SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO










ALTER               PROCEDURE csh_InsPayment
     @session_id bigint
    ,@ac_id int
    ,@cur_id tinyint               
    ,@conv_amount money    -- 
    ,@cm_serial varchar(30) --   
    ,@ch_serial varchar(30) --  
    ,@comment varchar(50) 
    ,@cardType tinyint
    
AS
DECLARE	 
  	 @dt 		datetime
    ,@pay_id_out int
    ,@cashier_num int
    ,@cm_num int
    ,@store_num int
    ,@ch_num int
    ,@type int
    ,@result int

BEGIN
	SELECT @dt = getdate()

SELECT 
     @cashier_num = cashier_num
    ,@cm_serial = cm_serial
FROM KASSA_Sessions (NOLOCK)
  WHERE [id] = @session_id

SELECT @ch_num = (SELECT ISNULL(MAX(ch_num), 0) + 1 
                        FROM KASSA_Cheques
                        WHERE session_id = @session_id)
BEGIN TRANSACTION Kassa_Service
IF @@TRANCOUNT > 1
	SAVE TRANSACTION Kassa_Service

exec @result=pay_inspayment2
  	@pay_id_out = @pay_id_out OUTPUT,
  	@ac_id = @ac_id,
  	@cur_id = @cur_id,
  	@pay_method_id = 5,
  	@amount = @conv_amount,	
  	@conv_date = @dt,
  	@create_date = @dt,
  	@comment = @comment
   ,@confirm =1

--exec pay_updconfirmpayment 
--  	@pay_id = @pay_id_out
if @result <> 0 GOTO errorend

IF @cardType = 0
  SELECT @cardType = null
IF @conv_amount > 0
  SELECT @type=0
else
  SELECT @type=1

INSERT INTO KASSA_Cheques
(
     session_id
    ,cashier_num
    ,cm_serial
    ,ch_num 
    ,ch_serial 
    ,pay_date 
    ,ac_id 
    ,pay_type
    ,pay_id
    ,cardType
    ,amount
    ,type
)
VALUES
(
     @session_id
    ,@cashier_num
    ,@cm_serial
    ,@ch_num
    ,@ch_serial
    ,@dt
    ,@ac_id
    ,5
    ,@pay_id_out
    ,@cardType
    ,@conv_amount
    ,@type
)
if(@@error <> 0) goto errorend

IF @@TRANCOUNT >= 1
	COMMIT TRANSACTION Kassa_Service
RETURN 0

errorend:

begin
  ROLLBACK TRANSACTION Kassa_Service
	return -1
end



END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

