if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_CardTypes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_CardTypes]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_CashRegisters]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_CashRegisters]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_Cheques]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_Cheques]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_Invoices]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_Invoices]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_KEOStores]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_KEOStores]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_OrderTypes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_OrderTypes]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_account]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_account]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_cashBook]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_cashBook]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_cashBook_old]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_cashBook_old]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_cashman_register]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_cashman_register]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KASSA_sessions]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KASSA_sessions]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KEO_Rates]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KEO_Rates]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KEO_Sold]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KEO_Sold]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KEO_Store]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[KEO_Store]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kassa_cashman_KKM]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Kassa_cashman_KKM]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kassa_cashmans]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Kassa_cashmans]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kassa_register_Office]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Kassa_register_Office]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[_bad_code_]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[_bad_code_]
GO

CREATE TABLE [dbo].[KASSA_CardTypes] (
	[id] [tinyint] NULL ,
	[desk] [varchar] (50) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_CashRegisters] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[num] [int] NULL ,
	[serial_num] [varchar] (255) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[adddress] [varchar] (255) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_Cheques] (
	[id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[session_id] [bigint] NULL ,
	[cashier_num] [int] NULL ,
	[cm_serial] [int] NULL ,
	[ch_num] [int] NULL ,
	[ch_serial] [int] NULL ,
	[pay_date] [datetime] NULL ,
	[ac_id] [int] NULL ,
	[pay_type] [tinyint] NULL ,
	[pay_id] [int] NULL ,
	[cardType] [tinyint] NULL ,
	[Amount] [money] NULL ,
	[type] [tinyint] NULL ,
	[invoice_num] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_Invoices] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[dt] [datetime] NULL ,
	[orig_store] [int] NULL ,
	[dest_store] [int] NULL ,
	[cashier_num] [int] NULL ,
	[invoice_num] [int] NULL ,
	[price] [money] NULL ,
	[serial_num_start] [char] (16) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[summa] [money] NULL ,
	[qty] [int] NULL ,
	[serial_num_end] [char] (16) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_KEOStores] (
	[store_num] [int] NULL ,
	[address] [varchar] (255) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[cashier_num] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_OrderTypes] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[desk] [varchar] (255) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[type] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_account] (
	[operation] [int] NULL ,
	[kor_account] [int] NULL ,
	[account] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_cashBook] (
	[id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[session_id] [bigint] NULL ,
	[cm_num] [int] NULL ,
	[cm_serial] [int] NULL ,
	[pay_date] [datetime] NULL ,
	[cur_id] [tinyint] NULL ,
	[amount] [money] NULL ,
	[conv_amount] [money] NULL ,
	[Comment] [varchar] (50) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[desk_id] [int] NULL ,
	[cashier_num] [int] NULL ,
	[kor_account] [char] (6) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[order_num] [int] NULL ,
	[status] [tinyint] NULL ,
	[ac_id] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_cashBook_old] (
	[id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[KKM_num] [int] NULL ,
	[KKM_serialNum] [varchar] (20) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[cheque_num] [int] NULL ,
	[cheque_serial_num] [varchar] (20) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[pay_date] [datetime] NULL ,
	[cur_id] [int] NULL ,
	[amount] [money] NULL ,
	[ac_id] [int] NULL ,
	[pay_type] [tinyint] NULL ,
	[ord_type] [int] NULL ,
	[ord_direction] [tinyint] NULL ,
	[Comment] [varchar] (255) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[cashman_id] [int] NULL ,
	[office_id] [int] NULL ,
	[ESPP] [bit] NULL ,
	[pay_id] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_cashman_register] (
	[id] [int] NULL ,
	[cashman_id] [int] NULL ,
	[cash_register_id] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KASSA_sessions] (
	[id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[opened] [datetime] NULL ,
	[closed] [datetime] NULL ,
	[cashier_num] [int] NULL ,
	[Comment] [varchar] (255) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[cm_serial] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KEO_Rates] (
	[cur_id] [int] NULL ,
	[qty] [int] NULL ,
	[rate] [int] NULL ,
	[started] [datetime] NULL ,
	[ended] [datetime] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KEO_Sold] (
	[id] [bigint] IDENTITY (1, 1) NOT NULL ,
	[session_id] [bigint] NULL ,
	[sell_count] [int] NULL ,
	[price] [money] NULL ,
	[amount] [money] NULL ,
	[store] [int] NULL ,
	[cashier_num] [int] NULL ,
	[conv_amount] [money] NULL ,
	[sell_date] [datetime] NULL ,
	[invoice] [int] NULL ,
	[serialnum] [char] (16) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[ch_num] [bigint] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[KEO_Store] (
	[serialNum] [char] (14) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[price] [money] NULL ,
	[status] [tinyint] NULL ,
	[store] [int] NULL ,
	[isBlocked] [bit] NULL ,
	[invoice] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Kassa_cashman_KKM] (
	[cashman_id] [int] NULL ,
	[_id] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Kassa_cashmans] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[Full_Name] [varchar] (255) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[id_log] [int] NULL ,
	[access_level] [tinyint] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Kassa_register_Office] (
	[register_id] [int] NULL ,
	[Office_id] [char] (255) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[Office_name] [varchar] (255) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[_bad_code_] (
	[bad_code] [varchar] (16) COLLATE SQL_Latin1_General_CP1251_CI_AS NOT NULL ,
	[note] [varchar] (254) COLLATE SQL_Latin1_General_CP1251_CI_AS NULL ,
	[status] [tinyint] NULL 
) ON [PRIMARY]
GO

