using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Data;
using System.IO;
using ProxyKassaDll;


namespace Kassa
{
	/// <summary>
	/// Summary description for Find.
	/// </summary>
	public class FrmFind : System.Windows.Forms.Form
	{
		//private MainForm  MF;

		private System.Windows.Forms.GroupBox GBType;
		private System.Windows.Forms.RadioButton RBDeleted;
		private System.Windows.Forms.RadioButton RBPos;
		private System.Windows.Forms.RadioButton RBNaklKEO;
		private System.Windows.Forms.RadioButton RBCheque;
		private System.Windows.Forms.Label LBLSearch1;
		private System.Windows.Forms.Label LBLSearch2;
		private System.Windows.Forms.Label LBLSearch4;
		private System.Windows.Forms.Button BTSearch;
		private System.Windows.Forms.DateTimePicker DTDateStart;
		private System.Windows.Forms.DateTimePicker DTDateEnd;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.DateTimePicker DTTimeStart;
		private System.Windows.Forms.DateTimePicker DTTimeEnd;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Data.SqlClient.SqlDataAdapter sqlDataAdapterFind;
		private System.Data.SqlClient.SqlConnection sqlConnectionF;
		private System.Windows.Forms.GroupBox gBAtr;
		private System.Windows.Forms.GroupBox gBParF;
		private System.Windows.Forms.GroupBox gBKindF;
		private System.Data.SqlClient.SqlCommand sqlSelectCommand;
		private System.Windows.Forms.NumericUpDown UDpf;
		private System.Windows.Forms.NumericUpDown UDps;
		private System.Data.DataSet dataSetF;
		private System.Windows.Forms.TextBox tBKKM;
		private System.Windows.Forms.ListView lVFind;
		private System.Windows.Forms.ColumnHeader columnHeader1;
		private System.Windows.Forms.ColumnHeader columnHeader2;
		private System.Windows.Forms.ColumnHeader columnHeader3;
		private System.Windows.Forms.ColumnHeader columnHeader4;
		private System.Windows.Forms.ColumnHeader columnHeader5;
		private System.Windows.Forms.ColumnHeader columnHeader6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.ColumnHeader columnHeader7;
		private System.Windows.Forms.Label labelQty;
		private System.Windows.Forms.Label labelSumma;
		private System.Windows.Forms.NumericUpDown UDac;
		private System.Windows.Forms.CheckBox chboxDateStart;
		private System.Windows.Forms.CheckBox chBoxAC;
		private System.Windows.Forms.CheckBox chBoxChequeFinish;
		private System.Windows.Forms.CheckBox chBoxChequeStart;
		private System.Windows.Forms.CheckBox chBoxDateFinish;
		private System.Windows.Forms.ColumnHeader columnHeader8;
		private System.Windows.Forms.ColumnHeader columnHeader9;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FrmFind(SqlConnection connect,string cmSerial,ulong lisession, KassaProxy dr)//MainForm MainFrm)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			driver=dr;
			lsession=lisession;
			sqlSelectCommand.Connection = connect;//MainFrm.sqlConnection;
			tBKKM.Text=cmSerial;
			//this.DTDateStart.SetDTDateFrom.
			this.RBCheque.Select();
			//RBChheque.
			//DateTime dtStart, dtEnd;
			strNameFile="LastCheque.xml";
			lastcheque = new LastCheque();
			/*
			dtStart = Convert.ToDateTime("1999.09.09");
			dtEnd = Convert.ToDateTime("1999.09.09");
			//sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@RETURN_VALUE", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.ReturnValue, false, ((System.Byte)(0)), ((System.Byte)(0)), "", System.Data.DataRowVersion.Current, null));
			sqlSelectCommand.Parameters["@function"].Value=1;
			sqlSelectCommand.Parameters["@KKM_num"].Value="0010617";
			sqlSelectCommand.Parameters["@startCheque"].Value="1";
			sqlSelectCommand.Parameters["@finishCheque"].Value="1";
			sqlSelectCommand.Parameters["@startdate"].Value=dtStart;
			sqlSelectCommand.Parameters["@finishdate"].Value=dtEnd;
			sqlDataAdapterFind.Fill(dataSetF, "Cheques");
			dGF.DataSource=dataSetF.Tables["Cheques"].DefaultView;
			dGF.Refresh()
			*/
		}
		public Boolean  SetfrmCheck(MainForm TmpFrm)
		{
			//MF = TmpFrm;
			return true;
		}
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.GBType = new System.Windows.Forms.GroupBox();
			this.gBParF = new System.Windows.Forms.GroupBox();
			this.UDac = new System.Windows.Forms.NumericUpDown();
			this.chBoxAC = new System.Windows.Forms.CheckBox();
			this.chBoxChequeFinish = new System.Windows.Forms.CheckBox();
			this.chBoxChequeStart = new System.Windows.Forms.CheckBox();
			this.chBoxDateFinish = new System.Windows.Forms.CheckBox();
			this.chboxDateStart = new System.Windows.Forms.CheckBox();
			this.label5 = new System.Windows.Forms.Label();
			this.tBKKM = new System.Windows.Forms.TextBox();
			this.UDpf = new System.Windows.Forms.NumericUpDown();
			this.UDps = new System.Windows.Forms.NumericUpDown();
			this.label4 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.DTTimeEnd = new System.Windows.Forms.DateTimePicker();
			this.DTTimeStart = new System.Windows.Forms.DateTimePicker();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.DTDateEnd = new System.Windows.Forms.DateTimePicker();
			this.DTDateStart = new System.Windows.Forms.DateTimePicker();
			this.BTSearch = new System.Windows.Forms.Button();
			this.LBLSearch4 = new System.Windows.Forms.Label();
			this.LBLSearch2 = new System.Windows.Forms.Label();
			this.LBLSearch1 = new System.Windows.Forms.Label();
			this.gBKindF = new System.Windows.Forms.GroupBox();
			this.RBDeleted = new System.Windows.Forms.RadioButton();
			this.RBPos = new System.Windows.Forms.RadioButton();
			this.RBNaklKEO = new System.Windows.Forms.RadioButton();
			this.RBCheque = new System.Windows.Forms.RadioButton();
			this.sqlDataAdapterFind = new System.Data.SqlClient.SqlDataAdapter();
			this.sqlSelectCommand = new System.Data.SqlClient.SqlCommand();
			this.sqlConnectionF = new System.Data.SqlClient.SqlConnection();
			this.dataSetF = new System.Data.DataSet();
			this.gBAtr = new System.Windows.Forms.GroupBox();
			this.labelSumma = new System.Windows.Forms.Label();
			this.labelQty = new System.Windows.Forms.Label();
			this.lVFind = new System.Windows.Forms.ListView();
			this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader3 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader4 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader5 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader6 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader7 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader8 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader9 = new System.Windows.Forms.ColumnHeader();
			this.GBType.SuspendLayout();
			this.gBParF.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.UDac)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.UDpf)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.UDps)).BeginInit();
			this.gBKindF.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataSetF)).BeginInit();
			this.gBAtr.SuspendLayout();
			this.SuspendLayout();
			// 
			// GBType
			// 
			this.GBType.Controls.Add(this.gBParF);
			this.GBType.Controls.Add(this.gBKindF);
			this.GBType.Location = new System.Drawing.Point(7, 0);
			this.GBType.Name = "GBType";
			this.GBType.Size = new System.Drawing.Size(628, 171);
			this.GBType.TabIndex = 0;
			this.GBType.TabStop = false;
			// 
			// gBParF
			// 
			this.gBParF.Controls.Add(this.UDac);
			this.gBParF.Controls.Add(this.chBoxAC);
			this.gBParF.Controls.Add(this.chBoxChequeFinish);
			this.gBParF.Controls.Add(this.chBoxChequeStart);
			this.gBParF.Controls.Add(this.chBoxDateFinish);
			this.gBParF.Controls.Add(this.chboxDateStart);
			this.gBParF.Controls.Add(this.label5);
			this.gBParF.Controls.Add(this.tBKKM);
			this.gBParF.Controls.Add(this.UDpf);
			this.gBParF.Controls.Add(this.UDps);
			this.gBParF.Controls.Add(this.label4);
			this.gBParF.Controls.Add(this.label3);
			this.gBParF.Controls.Add(this.DTTimeEnd);
			this.gBParF.Controls.Add(this.DTTimeStart);
			this.gBParF.Controls.Add(this.label2);
			this.gBParF.Controls.Add(this.label1);
			this.gBParF.Controls.Add(this.DTDateEnd);
			this.gBParF.Controls.Add(this.DTDateStart);
			this.gBParF.Controls.Add(this.BTSearch);
			this.gBParF.Controls.Add(this.LBLSearch4);
			this.gBParF.Controls.Add(this.LBLSearch2);
			this.gBParF.Controls.Add(this.LBLSearch1);
			this.gBParF.Location = new System.Drawing.Point(256, 8);
			this.gBParF.Name = "gBParF";
			this.gBParF.Size = new System.Drawing.Size(368, 159);
			this.gBParF.TabIndex = 7;
			this.gBParF.TabStop = false;
			this.gBParF.Text = " ";
			// 
			// UDac
			// 
			this.UDac.Location = new System.Drawing.Point(160, 136);
			this.UDac.Maximum = new System.Decimal(new int[] {
																 100000000,
																 0,
																 0,
																 0});
			this.UDac.Name = "UDac";
			this.UDac.Size = new System.Drawing.Size(104, 20);
			this.UDac.TabIndex = 30;
			// 
			// chBoxAC
			// 
			this.chBoxAC.Location = new System.Drawing.Point(120, 136);
			this.chBoxAC.Name = "chBoxAC";
			this.chBoxAC.Size = new System.Drawing.Size(16, 24);
			this.chBoxAC.TabIndex = 29;
			// 
			// chBoxChequeFinish
			// 
			this.chBoxChequeFinish.Location = new System.Drawing.Point(120, 112);
			this.chBoxChequeFinish.Name = "chBoxChequeFinish";
			this.chBoxChequeFinish.Size = new System.Drawing.Size(16, 24);
			this.chBoxChequeFinish.TabIndex = 28;
			// 
			// chBoxChequeStart
			// 
			this.chBoxChequeStart.Location = new System.Drawing.Point(120, 88);
			this.chBoxChequeStart.Name = "chBoxChequeStart";
			this.chBoxChequeStart.Size = new System.Drawing.Size(16, 24);
			this.chBoxChequeStart.TabIndex = 27;
			// 
			// chBoxDateFinish
			// 
			this.chBoxDateFinish.Location = new System.Drawing.Point(120, 64);
			this.chBoxDateFinish.Name = "chBoxDateFinish";
			this.chBoxDateFinish.Size = new System.Drawing.Size(16, 24);
			this.chBoxDateFinish.TabIndex = 26;
			// 
			// chboxDateStart
			// 
			this.chboxDateStart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.chboxDateStart.Location = new System.Drawing.Point(120, 40);
			this.chboxDateStart.Name = "chboxDateStart";
			this.chboxDateStart.Size = new System.Drawing.Size(16, 24);
			this.chboxDateStart.TabIndex = 25;
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(8, 136);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(100, 16);
			this.label5.TabIndex = 24;
			this.label5.Text = " ";
			// 
			// tBKKM
			// 
			this.tBKKM.Location = new System.Drawing.Point(160, 16);
			this.tBKKM.Name = "tBKKM";
			this.tBKKM.TabIndex = 22;
			this.tBKKM.Text = "";
			// 
			// UDpf
			// 
			this.UDpf.Location = new System.Drawing.Point(160, 112);
			this.UDpf.Maximum = new System.Decimal(new int[] {
																 -727379969,
																 232,
																 0,
																 0});
			this.UDpf.Minimum = new System.Decimal(new int[] {
																 1,
																 0,
																 0,
																 0});
			this.UDpf.Name = "UDpf";
			this.UDpf.Size = new System.Drawing.Size(103, 20);
			this.UDpf.TabIndex = 21;
			this.UDpf.Value = new System.Decimal(new int[] {
															   1,
															   0,
															   0,
															   0});
			// 
			// UDps
			// 
			this.UDps.Location = new System.Drawing.Point(160, 88);
			this.UDps.Maximum = new System.Decimal(new int[] {
																 -727379969,
																 232,
																 0,
																 0});
			this.UDps.Minimum = new System.Decimal(new int[] {
																 1,
																 0,
																 0,
																 0});
			this.UDps.Name = "UDps";
			this.UDps.Size = new System.Drawing.Size(103, 20);
			this.UDps.TabIndex = 20;
			this.UDps.Value = new System.Decimal(new int[] {
															   1,
															   0,
															   0,
															   0});
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(141, 118);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(17, 16);
			this.label4.TabIndex = 19;
			this.label4.Text = "";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(144, 95);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(11, 14);
			this.label3.TabIndex = 18;
			this.label3.Text = "";
			// 
			// DTTimeEnd
			// 
			this.DTTimeEnd.Format = System.Windows.Forms.DateTimePickerFormat.Time;
			this.DTTimeEnd.Location = new System.Drawing.Point(272, 64);
			this.DTTimeEnd.Name = "DTTimeEnd";
			this.DTTimeEnd.ShowUpDown = true;
			this.DTTimeEnd.Size = new System.Drawing.Size(88, 20);
			this.DTTimeEnd.TabIndex = 17;
			// 
			// DTTimeStart
			// 
			this.DTTimeStart.Format = System.Windows.Forms.DateTimePickerFormat.Time;
			this.DTTimeStart.Location = new System.Drawing.Point(272, 40);
			this.DTTimeStart.Name = "DTTimeStart";
			this.DTTimeStart.ShowUpDown = true;
			this.DTTimeStart.Size = new System.Drawing.Size(88, 20);
			this.DTTimeStart.TabIndex = 16;
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(139, 70);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(18, 14);
			this.label2.TabIndex = 15;
			this.label2.Text = "";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(144, 47);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(11, 14);
			this.label1.TabIndex = 14;
			this.label1.Text = "";
			// 
			// DTDateEnd
			// 
			this.DTDateEnd.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.DTDateEnd.Location = new System.Drawing.Point(160, 64);
			this.DTDateEnd.Name = "DTDateEnd";
			this.DTDateEnd.Size = new System.Drawing.Size(104, 20);
			this.DTDateEnd.TabIndex = 13;
			// 
			// DTDateStart
			// 
			this.DTDateStart.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
			this.DTDateStart.Location = new System.Drawing.Point(160, 40);
			this.DTDateStart.Name = "DTDateStart";
			this.DTDateStart.Size = new System.Drawing.Size(104, 20);
			this.DTDateStart.TabIndex = 11;
			// 
			// BTSearch
			// 
			this.BTSearch.Location = new System.Drawing.Point(272, 131);
			this.BTSearch.Name = "BTSearch";
			this.BTSearch.Size = new System.Drawing.Size(88, 22);
			this.BTSearch.TabIndex = 10;
			this.BTSearch.Text = "";
			this.BTSearch.Click += new System.EventHandler(this.BTSearch_Click);
			// 
			// LBLSearch4
			// 
			this.LBLSearch4.Location = new System.Drawing.Point(7, 91);
			this.LBLSearch4.Name = "LBLSearch4";
			this.LBLSearch4.Size = new System.Drawing.Size(97, 15);
			this.LBLSearch4.TabIndex = 8;
			this.LBLSearch4.Text = "";
			// 
			// LBLSearch2
			// 
			this.LBLSearch2.Location = new System.Drawing.Point(7, 45);
			this.LBLSearch2.Name = "LBLSearch2";
			this.LBLSearch2.Size = new System.Drawing.Size(105, 16);
			this.LBLSearch2.TabIndex = 6;
			this.LBLSearch2.Text = ":";
			// 
			// LBLSearch1
			// 
			this.LBLSearch1.Location = new System.Drawing.Point(7, 23);
			this.LBLSearch1.Name = "LBLSearch1";
			this.LBLSearch1.Size = new System.Drawing.Size(146, 15);
			this.LBLSearch1.TabIndex = 5;
			this.LBLSearch1.Text = " ";
			// 
			// gBKindF
			// 
			this.gBKindF.Controls.Add(this.RBDeleted);
			this.gBKindF.Controls.Add(this.RBPos);
			this.gBKindF.Controls.Add(this.RBNaklKEO);
			this.gBKindF.Controls.Add(this.RBCheque);
			this.gBKindF.Location = new System.Drawing.Point(4, 8);
			this.gBKindF.Name = "gBKindF";
			this.gBKindF.Size = new System.Drawing.Size(249, 159);
			this.gBKindF.TabIndex = 6;
			this.gBKindF.TabStop = false;
			this.gBKindF.Text = " ";
			// 
			// RBDeleted
			// 
			this.RBDeleted.Location = new System.Drawing.Point(7, 91);
			this.RBDeleted.Name = "RBDeleted";
			this.RBDeleted.Size = new System.Drawing.Size(233, 23);
			this.RBDeleted.TabIndex = 9;
			this.RBDeleted.Text = "  ";
			// 
			// RBPos
			// 
			this.RBPos.Location = new System.Drawing.Point(7, 68);
			this.RBPos.Name = "RBPos";
			this.RBPos.Size = new System.Drawing.Size(233, 23);
			this.RBPos.TabIndex = 8;
			this.RBPos.Text = " POS- ";
			this.RBPos.CheckedChanged += new System.EventHandler(this.RBPos_CheckedChanged);
			// 
			// RBNaklKEO
			// 
			this.RBNaklKEO.Location = new System.Drawing.Point(7, 45);
			this.RBNaklKEO.Name = "RBNaklKEO";
			this.RBNaklKEO.Size = new System.Drawing.Size(233, 23);
			this.RBNaklKEO.TabIndex = 7;
			this.RBNaklKEO.Text = "    ";
			this.RBNaklKEO.CheckedChanged += new System.EventHandler(this.RBNaklKEO_CheckedChanged);
			// 
			// RBCheque
			// 
			this.RBCheque.Location = new System.Drawing.Point(7, 23);
			this.RBCheque.Name = "RBCheque";
			this.RBCheque.Size = new System.Drawing.Size(220, 22);
			this.RBCheque.TabIndex = 6;
			this.RBCheque.Text = " ";
			this.RBCheque.CheckedChanged += new System.EventHandler(this.RBCheque_CheckedChanged);
			// 
			// sqlDataAdapterFind
			// 
			this.sqlDataAdapterFind.SelectCommand = this.sqlSelectCommand;
			// 
			// sqlSelectCommand
			// 
			this.sqlSelectCommand.CommandText = "[csh_findCheck]";
			this.sqlSelectCommand.CommandType = System.Data.CommandType.StoredProcedure;
			this.sqlSelectCommand.Connection = this.sqlConnectionF;
			this.sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@RETURN_VALUE", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.ReturnValue, false, ((System.Byte)(0)), ((System.Byte)(0)), "", System.Data.DataRowVersion.Current, null));
			this.sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@function", System.Data.SqlDbType.Int, 4));
			this.sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@KKM_num", System.Data.SqlDbType.VarChar, 30));
			this.sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@startCheque", System.Data.SqlDbType.VarChar, 30));
			this.sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@finishCheque", System.Data.SqlDbType.VarChar, 30));
			this.sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@startdate", System.Data.SqlDbType.DateTime, 8));
			this.sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@finishdate", System.Data.SqlDbType.DateTime, 8));
			this.sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@status", System.Data.SqlDbType.Int));
			this.sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ac", System.Data.SqlDbType.Int));
			// 
			// sqlConnectionF
			// 
			this.sqlConnectionF.ConnectionString = "workstation id=\"SNIIP-AL\";packet size=4096;user id=sa;data source=SERVERX;persist" +
				" security info=False;initial catalog=bill";
			// 
			// dataSetF
			// 
			this.dataSetF.DataSetName = "dataSetF";
			this.dataSetF.Locale = new System.Globalization.CultureInfo("ru-RU");
			// 
			// gBAtr
			// 
			this.gBAtr.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.gBAtr.Controls.Add(this.labelSumma);
			this.gBAtr.Controls.Add(this.labelQty);
			this.gBAtr.Location = new System.Drawing.Point(0, 408);
			this.gBAtr.Name = "gBAtr";
			this.gBAtr.Size = new System.Drawing.Size(744, 80);
			this.gBAtr.TabIndex = 2;
			this.gBAtr.TabStop = false;
			this.gBAtr.Text = "";
			// 
			// labelSumma
			// 
			this.labelSumma.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			//this.labelSumma.Font = new System.Drawing.Font("Microsoft Sans Serif", 14.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.labelSumma.Location = new System.Drawing.Point(488, 32);
			this.labelSumma.Name = "labelSumma";
			this.labelSumma.Size = new System.Drawing.Size(160, 23);
			this.labelSumma.TabIndex = 1;
			this.labelSumma.Text = "";
			// 
			// labelQty
			// 
			//this.labelQty.Font = new System.Drawing.Font("Microsoft Sans Serif", 14.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.labelQty.Location = new System.Drawing.Point(56, 32);
			this.labelQty.Name = "labelQty";
			this.labelQty.Size = new System.Drawing.Size(136, 23);
			this.labelQty.TabIndex = 0;
			this.labelQty.Text = "-";
			// 
			// lVFind
			// 
			this.lVFind.Alignment = System.Windows.Forms.ListViewAlignment.SnapToGrid;
			this.lVFind.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.lVFind.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																					 this.columnHeader1,
																					 this.columnHeader2,
																					 this.columnHeader3,
																					 this.columnHeader4,
																					 this.columnHeader5,
																					 this.columnHeader6,
																					 this.columnHeader7,
																					 this.columnHeader8,
																					 this.columnHeader9});
			this.lVFind.GridLines = true;
			this.lVFind.Location = new System.Drawing.Point(8, 184);
			this.lVFind.Name = "lVFind";
			this.lVFind.Size = new System.Drawing.Size(736, 208);
			this.lVFind.TabIndex = 3;
			this.lVFind.View = System.Windows.Forms.View.Details;
			this.lVFind.DoubleClick += new System.EventHandler(this.lVFind_DoubleClick);
			// 
			// columnHeader1
			// 
			this.columnHeader1.Text = "";
			this.columnHeader1.Width = 99;
			// 
			// columnHeader2
			// 
			this.columnHeader2.Text = "";
			this.columnHeader2.Width = 57;
			// 
			// columnHeader3
			// 
			this.columnHeader3.Text = "";
			this.columnHeader3.Width = 49;
			// 
			// columnHeader4
			// 
			this.columnHeader4.Text = " ";
			this.columnHeader4.Width = 73;
			// 
			// columnHeader5
			// 
			this.columnHeader5.Text = " ";
			this.columnHeader5.Width = 67;
			// 
			// columnHeader6
			// 
			this.columnHeader6.Text = "";
			this.columnHeader6.Width = 71;
			// 
			// columnHeader7
			// 
			this.columnHeader7.Text = ". ";
			// 
			// columnHeader8
			// 
			this.columnHeader8.Text = "";
			this.columnHeader8.Width = 152;
			// 
			// columnHeader9
			// 
			this.columnHeader9.Text = "";
			this.columnHeader9.Width = 102;
			// 
			// FrmFind
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(752, 493);
			this.Controls.Add(this.lVFind);
			this.Controls.Add(this.gBAtr);
			this.Controls.Add(this.GBType);
			this.Name = "FrmFind";
			this.Text = "";
			this.Load += new System.EventHandler(this.FrmFind_Load);
			this.GBType.ResumeLayout(false);
			this.gBParF.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.UDac)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.UDpf)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.UDps)).EndInit();
			this.gBKindF.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataSetF)).EndInit();
			this.gBAtr.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void RBCheque_CheckedChanged(object sender, System.EventArgs e)
		{
			LBLSearch4.Text = " ";
			//LBLSearch1.Text = " ";
			//LBLSearch2.Text = "";
			/*
			LBLSearch3.Text = " ";
			DTP.Location = TBSearch2.Location;
			DTP.Width = TBSearch2.Width;
			DTP.Visible = true;
			TBSearch2.Visible = false;
			LBLSearch4.Visible = false;
			TBSearch4.Visible = false;
			LBLSearch5.Visible = false;
			TBSearch5.Visible = false;
			*/
		}

		private void RBNaklKEO_CheckedChanged(object sender, System.EventArgs e)
		{
			/*
			LBLSearch4.Visible = true;
			TBSearch4.Visible = true;

			LBLSearch1.Text = "  ";
			LBLSearch2.Text = " ";
			LBLSearch3.Text = "";
			LBLSearch4.Text = "";
			LBLSearch5.Visible = false;
			TBSearch5.Visible = false;
			*/
		}

		private void RBPos_CheckedChanged(object sender, System.EventArgs e)
		{
			/*
			LBLSearch4.Visible = true;
			TBSearch4.Visible = true;
			LBLSearch1.Text = " ";
			LBLSearch2.Text = " /";
			LBLSearch3.Text = "";
			LBLSearch4.Text = " ";
			LBLSearch5.Visible = false;
			TBSearch5.Visible = false;
			*/

		}

		private void FrmFind_Load(object sender, System.EventArgs e)
		{
    
		}

		private void BTSearch_Click(object sender, System.EventArgs e)
		{
		
			///MessageBox.Show(DTDateStart.Value.ToShortDateString()+"....."+DTTimeStart.Value.ToShortTimeString());
			DateTime dtStart, dtEnd;
			dtStart = Convert.ToDateTime(DTDateStart.Value.ToShortDateString()+" "+DTTimeStart.Value.ToShortTimeString());
			dtEnd = Convert.ToDateTime(DTDateEnd.Value.ToShortDateString()+" "+DTTimeEnd.Value.ToShortTimeString());
			//sqlSelectCommand.Parameters.Add(new System.Data.SqlClient.SqlParameter("@RETURN_VALUE", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.ReturnValue, false, ((System.Byte)(0)), ((System.Byte)(0)), "", System.Data.DataRowVersion.Current, null));
			//sqlSelectCommand.Connection=
			sqlSelectCommand.Parameters["@function"].Value=1;
			if(RBNaklKEO.Checked)
				sqlSelectCommand.Parameters["@function"].Value=2;
			if(RBPos.Checked)
				sqlSelectCommand.Parameters["@function"].Value=3;
			if(RBDeleted.Checked)
				sqlSelectCommand.Parameters["@function"].Value=4;
			sqlSelectCommand.Parameters["@KKM_num"].Value=tBKKM.Text.Trim(); //"0010617";
			sqlSelectCommand.Parameters["@startCheque"].Value=UDps.Value.ToString();
			sqlSelectCommand.Parameters["@finishCheque"].Value=UDpf.Value.ToString();
			sqlSelectCommand.Parameters["@startdate"].Value=dtStart;
			sqlSelectCommand.Parameters["@finishdate"].Value=dtEnd;
			int status=0;
			if(chboxDateStart.Checked)
				status=1;
			if(chBoxDateFinish.Checked)
				status+=2;
			if(chBoxChequeStart.Checked)
				status+=4;
			if(chBoxChequeFinish.Checked)
				status+=8;
			if(chBoxAC.Checked)
				status+=16;
			sqlSelectCommand.Parameters["@status"].Value=status;

			sqlSelectCommand.Parameters["@ac"].Value=UDac.Value;
			
			SqlDataReader reader = sqlSelectCommand.ExecuteReader();
        
			//    , -    
			int i=0;
			lVFind.Items.Clear();
			double sum=0;
			while(reader.Read())
			{
				
				ListViewItem item = new ListViewItem(reader.GetSqlDateTime(0).ToString());
				item.SubItems.Add(reader.GetSqlInt32(6).ToString());//number
				//item.SubItems.Add(reader.GetString(1));//number
				item.SubItems.Add(reader.GetString(5));//status
				item.SubItems.Add(reader.GetString(3));//order
				item.SubItems.Add(reader.GetString(4));//type of 
				item.SubItems.Add(reader.GetSqlMoney(2).ToString());//money
				sum+=reader.GetSqlMoney(2).ToDouble();
				item.SubItems.Add(reader.GetSqlInt32(7).ToString());//money
				//item.SubItems.Add(reader.GetSqlInt32(7).ToString());//money
				item.SubItems.Add(reader.GetString(8));//client
				item.SubItems.Add(reader.GetString(9));//cashier
				lVFind.Items.Add(item);
				i++;
			}
			reader.Close();
			//dataSetF.Tables[0].Rows.Clear();
			//sqlDataAdapterFind.Fill(dataSetF, "Cheques");
			//dGF.DataSource=dataSetF.Tables["Cheques"].DefaultView;
			//dGF.Refresh();
			if(i==0)
				MessageBox.Show("  !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			else
			{
				labelQty.Text="-: " +i.ToString();
				labelSumma.Text=": " + sum.ToString();
			}
			//dataSetF.Tables[0].Rows.Clear();
			//	MessageBox.Show("  ");



			/*
			sqlCommand.CommandText = "csh_Find";
	  sqlCommand.Parameters.Add("@KKM",SqlDbType.TinyInt).Value = UDKKMNum.Value;
	  sqlCommand.Parameters.Add("@DTStart",SqlDbType.DateTime).Value = dtStart;
	  sqlCommand.Parameters.Add("@DTEnd",SqlDbType.DateTime).Value = dtEnd;
	  sqlCommand.Parameters.Add("@p1",SqlDbType.VarChar, 15).Value = dtEnd;
	  sqlCommand.Parameters.Add("@p2",SqlDbType.VarChar, 15).Value = dtEnd;
	  */


			//sqlCommand.Parameters.Add("",SqlDbType.DateTime).Value;// = DateTime.
			//		DS.Clear();
			//		sqlDataAdapter.Fill(DS, "CashBook");
			//	DataTable table;

			//DG.BackColor = System.Drawing.Color.Blue;
			//DG.BackgroundColor = System.Drawing.Color.Red;
			//System.Windows.Forms.DataDataGridBoolColumn col = new DataGridBoolColumn(
			//	DG[

			
			//DG.SetSetBackColor = 20;
			//dataGrid.Parent
			//dataGrid.ContextMenu.
			//sqlCommand.
			//dataView.re
			
			/*
						if(RBCheque.Checked)
						{
							//FindDS.Tables["Kassa_FindCheck"].Rows.Clear();
							FindDS.Clear();
							//dataGrid1.Update();
							sqlDataAdapter.SelectCommand.Parameters["@KKM_Num"].Value = System.Convert.ToInt32(TBSearch1.Text);
							sqlDataAdapter.SelectCommand.Parameters["@Cheque_Num"].Value = System.Convert.ToInt32(TBSearch2.Text);
							sqlDataAdapter.SelectCommand.Parameters["@ac_id"].Value = System.Convert.ToInt32(TBSearch3.Text);
							//sqlDataAdapter.SelectCommand.Parameters.Clear();
							sqlDataAdapter.Fill(FindDS,"Kassa_FindCheck");
							dataGrid.DataSource = FindDS.Tables["Kassa_FindCheck"].DefaultView;

							//MessageBox.Show("   ");
						}
						else if (RBNaklKEO.Checked)
						{
							FindDS.Reset();
							//FindDS.Tables["Kassa_FindCheck"].Rows.Clear();
							MessageBox.Show("      ");
						}
						else if (RBPos.Checked)
						{
							FindDS.Clear();
							//FindDS.Tables["Kassa_FindCheck"].Rows.Clear();
							MessageBox.Show("  POS-");
						}
						else if (RBDeleted.Checked)
						{
							FindDS.Clear();
							//FindDS.Tables["Kassa_FindCheck"].Rows.Clear();
							MessageBox.Show("   ");
						}
						else
						{
						}
						*/
		}

		private void TBSearch1_TextChanged(object sender, System.EventArgs e)
		{
		}

		private void TBSearch1_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
		{
			if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))e.Handled = true; 
		}

		private void TBSearch2_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
		{
			if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))e.Handled = true; 

		}

		private void TBSearch3_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
		{
			if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))e.Handled = true; 

		}


		private void menuItem1_Click(object sender, System.EventArgs e)
		{/*
			ulong id = Convert.ToUInt64(DG[DG.CurrentRowIndex, 0]);
			sqlCommand.CommandText = "csh_CancelCheque";
			sqlCommand.Parameters.Clear();
			sqlCommand.Parameters.Add("@cheque_num", SqlDbType.BigInt).Value = id;

			try
			{
				sqlCommand.ExecuteNonQuery();
			}
			catch(SqlException ex)
			{
				MessageBox.Show(ex.Message);
			}

			//DV.
			
			DG.Refresh();
			*/
		}

		private void lVFind_DoubleClick(object sender, System.EventArgs e)
		{
			 StreamWriter sw;
		  if(File.Exists(strNameFile))
		  {
			  
				  MessageBox.Show("         ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
				  return; 
		  }
			 if(MessageBox.Show("      ?",
			  " ", MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes)
				 return;

			string stramount=lVFind.SelectedItems[0].SubItems[5].Text;
			string strac= lVFind.SelectedItems[0].SubItems[6].Text;
			decimal amount = System.Convert.ToDecimal(stramount);	
			int ac_id = System.Convert.ToInt32(strac);
			string namepay="  "+ ac_id.ToString()+ "  ";
			int nChequeNumber = driver.returnCheck(namepay, amount, 1, true, false, true, 1)+1;
		
			if(nChequeNumber < 0)
			{
				//chbReturn.Checked=false;
				MessageBox.Show("    " +driver.cont.ECRErrorDescription, " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			

				sw = File.AppendText("LogFile.txt");
				sw.WriteLine(DateTime.Now.ToString() + " " + driver.cont.ECRErrorDescription);
				sw.Close();
				//MessageBox.Show("   ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

				//MessageBox.Show("   ");
				return;
			}
            
			lastcheque.cheque_number=nChequeNumber;
			lastcheque.amount=amount;
			lastcheque.charge=amount;
			lastcheque.ac_id=ac_id.ToString();
			lastcheque.Save();


			//if(MessageBox.Show("    ?",
			//	"", MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes)
			//	return;
         
			string strChequeSerial = Convert.ToString(nChequeNumber);
			int nsign=-1;
			SqlCommand sqlCommand = new SqlCommand();
			
			//decimal amount = System.Convert.ToDecimal(lVFind.SelectedItems[5].Text);	
			//int ac_id = System.Convert.ToInt32(lVFind.SelectedItems[6].Text);
			
			
			{
				
				//connection=connect;
				sqlCommand.Connection = sqlSelectCommand.Connection;
				sqlCommand.CommandType = CommandType.StoredProcedure;
				sqlCommand.Parameters.Clear();
				sqlCommand.CommandType = CommandType.StoredProcedure;
				sqlCommand.CommandText = "csh_InsPayment";

				sqlCommand.Parameters.Add("@ret", SqlDbType.Int);

				sqlCommand.Parameters.Add("@session_id", SqlDbType.BigInt).Value = lsession;
				sqlCommand.Parameters.Add("@ac_id",SqlDbType.Int).Value = ac_id;
				sqlCommand.Parameters.Add("@cur_id", SqlDbType.TinyInt).Value = 1;
				sqlCommand.Parameters.Add("@conv_amount", SqlDbType.Money).Value = nsign* amount;
				sqlCommand.Parameters.Add("@cm_serial", SqlDbType.VarChar, 30).Value =  tBKKM.Text;
				sqlCommand.Parameters.Add("@ch_serial", SqlDbType.VarChar, 30).Value =  strChequeSerial;
				sqlCommand.Parameters.Add("@comment",SqlDbType.VarChar, 50).Value = "";
				sqlCommand.Parameters.Add("@cardType",SqlDbType.TinyInt);

				
				
					sqlCommand.Parameters["@cardType"].Value = 0;
				

				sqlCommand.Parameters["@ret"].Direction = ParameterDirection.ReturnValue;
			}

			try
			{
				sqlCommand.ExecuteNonQuery();
				if((int)sqlCommand.Parameters["@ret"].Value != 0)
				{
					MessageBox.Show("   ", 
						"   " + sqlCommand.Parameters["@ret"].Value.ToString(), MessageBoxButtons.OK, MessageBoxIcon.Error);

					return ;

				}
				if(File.Exists(this.strNameFile))
					File.Delete(this.strNameFile);
			}
			catch(SqlException ex)
			{
				MessageBox.Show(ex.Message + 
					"\n\n   ", 
					" ", MessageBoxButtons.OK, MessageBoxIcon.Error);
				sqlCommand.Parameters.Clear();
				//return;
			} 
			sqlCommand.Parameters.Clear();
			//return 0;
		
		}

		public ulong lsession;
		public string strNameFile;
		public KassaProxy driver;

		public LastCheque lastcheque;
		//public string strNameFile;







	}		
		
	}

