using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Data;
using ProxyKassaDll;
//using ProxyKassaDll;

namespace Kassa
{
	/// <summary>
	/// Summary description for FrmCash.
	/// </summary>
	public class FrmCash : System.Windows.Forms.Form
	{
    public  KassaProxy driver;
    private SqlConnection connection;
    private SqlCommand SP;
    private System.Windows.Forms.GroupBox GB1;
    private System.Windows.Forms.GroupBox GB;
    private System.Windows.Forms.Label label2;
    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.TextBox TBAmount;
    public System.Windows.Forms.ComboBox CBTypes;
    private System.Windows.Forms.Button BTCancelGB;
    private System.Windows.Forms.Button BTOKGB;
    private System.Windows.Forms.Button BTRemove;
    private System.Windows.Forms.Button BTAdd;
    private System.Windows.Forms.ListView LV;
    private System.Windows.Forms.ColumnHeader columnHeader5;
    private System.Windows.Forms.ColumnHeader columnHeader6;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FrmCash(SqlConnection connect,string strCMSerial,int nCashierNum,ulong lSessionID,KassaProxy dr)
		{
			//
			// Required for Windows Form Designer support
			//

			InitializeComponent();
			
			BTOKGB.Enabled=false;
			BTCancelGB.Enabled=false;

			TBAmount.Enabled=false;
			CBTypes.Enabled=false;

			strSerial=strCMSerial;
			nCashier=nCashierNum;
			lSession=lSessionID;
			driver=dr;
            
			sqlCommand = new SqlCommand();
			connection=connect;
			sqlCommand.Connection = connect;
			sqlCommand.CommandType = CommandType.StoredProcedure;
			refreshLV();
			

  
    }

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.GB1 = new System.Windows.Forms.GroupBox();
			this.LV = new System.Windows.Forms.ListView();
			this.columnHeader5 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader6 = new System.Windows.Forms.ColumnHeader();
			this.GB = new System.Windows.Forms.GroupBox();
			this.BTRemove = new System.Windows.Forms.Button();
			this.BTAdd = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.TBAmount = new System.Windows.Forms.TextBox();
			this.CBTypes = new System.Windows.Forms.ComboBox();
			this.BTCancelGB = new System.Windows.Forms.Button();
			this.BTOKGB = new System.Windows.Forms.Button();
			this.GB1.SuspendLayout();
			this.GB.SuspendLayout();
			this.SuspendLayout();
			// 
			// GB1
			// 
			this.GB1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.GB1.Controls.Add(this.LV);
			//this.GB1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.GB1.Location = new System.Drawing.Point(0, 0);
			this.GB1.Name = "GB1";
			this.GB1.Size = new System.Drawing.Size(291, 92);
			this.GB1.TabIndex = 5;
			this.GB1.TabStop = false;
			this.GB1.Text = "  ";
			// 
			// LV
			// 
			this.LV.Alignment = System.Windows.Forms.ListViewAlignment.SnapToGrid;
			this.LV.AllowColumnReorder = true;
			this.LV.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.LV.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																				 this.columnHeader5,
																				 this.columnHeader6});
			//this.LV.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.LV.GridLines = true;
			this.LV.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
			this.LV.HideSelection = false;
			this.LV.LabelEdit = true;
			this.LV.Location = new System.Drawing.Point(5, 15);
			this.LV.MultiSelect = false;
			this.LV.Name = "LV";
			this.LV.Size = new System.Drawing.Size(280, 73);
			this.LV.TabIndex = 19;
			this.LV.View = System.Windows.Forms.View.Details;
			// 
			// columnHeader5
			// 
			this.columnHeader5.Text = "";
			this.columnHeader5.Width = 156;
			// 
			// columnHeader6
			// 
			this.columnHeader6.Text = "";
			this.columnHeader6.Width = 119;
			// 
			// GB
			// 
			this.GB.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.GB.Controls.Add(this.BTRemove);
			this.GB.Controls.Add(this.BTAdd);
			this.GB.Controls.Add(this.label2);
			this.GB.Controls.Add(this.label1);
			this.GB.Controls.Add(this.TBAmount);
			this.GB.Controls.Add(this.CBTypes);
			this.GB.Location = new System.Drawing.Point(0, 96);
			this.GB.Name = "GB";
			this.GB.Size = new System.Drawing.Size(293, 128);
			this.GB.TabIndex = 7;
			this.GB.TabStop = false;
			this.GB.Text = "";
			// 
			// BTRemove
			// 
			this.BTRemove.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			//this.BTRemove.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.BTRemove.Location = new System.Drawing.Point(208, 96);
			this.BTRemove.Name = "BTRemove";
			this.BTRemove.TabIndex = 7;
			this.BTRemove.Text = "";
			this.BTRemove.Click += new System.EventHandler(this.BTRemove_Click);
			// 
			// BTAdd
			// 
			this.BTAdd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			//this.BTAdd.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.BTAdd.Location = new System.Drawing.Point(121, 96);
			this.BTAdd.Name = "BTAdd";
			this.BTAdd.TabIndex = 6;
			this.BTAdd.Text = "";
			this.BTAdd.Click += new System.EventHandler(this.BTAdd_Click_1);
			// 
			// label2
			// 
			//this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label2.Location = new System.Drawing.Point(8, 16);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(100, 14);
			this.label2.TabIndex = 5;
			this.label2.Text = "";
			// 
			// label1
			// 
			//this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label1.Location = new System.Drawing.Point(8, 56);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(100, 13);
			this.label1.TabIndex = 4;
			this.label1.Text = "";
			// 
			// TBAmount
			// 
			this.TBAmount.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
			//this.TBAmount.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.TBAmount.Location = new System.Drawing.Point(8, 32);
			this.TBAmount.Name = "TBAmount";
			this.TBAmount.Size = new System.Drawing.Size(276, 20);
			this.TBAmount.TabIndex = 3;
			this.TBAmount.Text = "";
			this.TBAmount.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.TBAmount_KeyPress);
			// 
			// CBTypes
			// 
			this.CBTypes.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
			this.CBTypes.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			//this.CBTypes.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.CBTypes.Location = new System.Drawing.Point(8, 72);
			this.CBTypes.MaxDropDownItems = 12;
			this.CBTypes.Name = "CBTypes";
			this.CBTypes.Size = new System.Drawing.Size(276, 21);
			this.CBTypes.TabIndex = 2;
			// 
			// BTCancelGB
			// 
			this.BTCancelGB.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.BTCancelGB.Location = new System.Drawing.Point(209, 238);
			this.BTCancelGB.Name = "BTCancelGB";
			this.BTCancelGB.TabIndex = 9;
			this.BTCancelGB.Text = "";
			this.BTCancelGB.Click += new System.EventHandler(this.BTCancelGB_Click);
			// 
			// BTOKGB
			// 
			this.BTOKGB.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.BTOKGB.Location = new System.Drawing.Point(121, 238);
			this.BTOKGB.Name = "BTOKGB";
			this.BTOKGB.TabIndex = 8;
			this.BTOKGB.Text = "OK";
			this.BTOKGB.Click += new System.EventHandler(this.BTOKGB_Click);
			// 
			// FrmCash
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(294, 278);
			this.Controls.Add(this.BTCancelGB);
			this.Controls.Add(this.BTOKGB);
			this.Controls.Add(this.GB);
			this.Controls.Add(this.GB1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.MinimumSize = new System.Drawing.Size(300, 300);
			this.Name = "FrmCash";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = " ";
			this.GB1.ResumeLayout(false);
			this.GB.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion



    private void BTCancelGB_Click(object sender, System.EventArgs e)
    {
      CBTypes.Text = "";
      TBAmount.Text = "";
      //GB.Visible = false;
	  TBAmount.Enabled=false;
	  CBTypes.Enabled=false;
	  BTOKGB.Enabled=false;
	  BTCancelGB.Enabled=false;
	  BTAdd.Enabled=true;
	  BTRemove.Enabled=true;
      this.Text = " ";
    }

    private void BTOKGB_Click(object sender, System.EventArgs e)
    {
	  dAmount=nSign*Convert.ToDecimal(TBAmount.Text);
	  addAmount();

      CBTypes.Text = "";
      TBAmount.Text = "";
      TBAmount.Enabled=false;
      CBTypes.Enabled=false;
	  BTOKGB.Enabled=false;
	  BTCancelGB.Enabled=false;
      BTAdd.Enabled=true;
      BTRemove.Enabled=true;
     // GB.Visible = false;
      this.Text = " ";
    }

    private void button2_Click_1(object sender, System.EventArgs e)
    {
      GB.Size = GB1.Size;
      GB.Location = GB1.Location;
      GB.Visible = true;
      BTOKGB.Text = "";
      this.Text += " - ";
    }

    private void BTAdd_Click_1(object sender, System.EventArgs e)
    {
      /*
	  GB.Size = GB1.Size;
      GB.Location = GB1.Location;
      GB.Visible = true;
      BTOKGB.Text = "";
	  */
      this.Text += " - ";
	  
		nSign=-1;
		BTAdd.Enabled=false;
		BTRemove.Enabled=false;

		BTCancelGB.Enabled=true;
		BTOKGB.Enabled=true;

		TBAmount.Enabled=true;;
		CBTypes.Enabled=true;
		RefreshCBTypes();
	  //	dAmount=Convert.ToDecimal(TBAmount.Text);
	  //	addAmount();
    }

    private void BTOKGB_Click_1(object sender, System.EventArgs e)
    {
      GB.Visible = false;
      this.Text = " ";
    }

    private void BTCancelGB_Click_1(object sender, System.EventArgs e)
    {
      GB.Visible = false;
      this.Text = " ";
    }

		/// <summary>
		///   
		/// </summary>
		public string strSerial;
		/// <summary>
		///  sql
		/// </summary>
		public SqlCommand sqlCommand;

		public void refreshLV()
		{
			sqlCommand.CommandText = "csh_GetCash";
			sqlCommand.Parameters.Clear();
			sqlCommand.Parameters.Add("@cm_serial", SqlDbType.VarChar, 30).Value = strSerial;
			sqlCommand.Parameters.Add("@amountN", SqlDbType.Money);
			sqlCommand.Parameters.Add("@amountBN", SqlDbType.Money);
			sqlCommand.Parameters["@amountN"].Direction = ParameterDirection.Output;
			sqlCommand.Parameters["@amountBN"].Direction = ParameterDirection.Output;



			try
			{
				sqlCommand.ExecuteNonQuery();
			}
			catch(SqlException ex)
			{
				MessageBox.Show(ex.Message);
				return;
			}
			decimal dSum=Convert.ToDecimal(sqlCommand.Parameters["@amountN"].Value);
			dNalCash=dSum;
			LV.Items.Clear();
			ListViewItem item = new ListViewItem(" ");
			item.SubItems.Add(dSum.ToString());
			LV.Items.Add(item);
			item = new ListViewItem(" ");
			dSum=Convert.ToDecimal(sqlCommand.Parameters["@amountBN"].Value);
			item.SubItems.Add(dSum.ToString());
			LV.Items.Add(item);
      
		
		}

		/// <summary>
		///  
		/// </summary>
		public int nCashier;
		public ulong lSession;
		public decimal dAmount;

		/// <summary>
		///     
		/// </summary>
		public void addAmount()
		{

			if(dAmount < 0)
				driver.insertCash(-dAmount);
			else
				driver.getCash(dAmount);
    
			sqlCommand.CommandText = "csh_InsCashBook";
			sqlCommand.Parameters.Clear();
			sqlCommand.Parameters.Add("@cm_serial", SqlDbType.VarChar, 30).Value = strSerial;
			sqlCommand.Parameters.Add("@cashier_num", SqlDbType.Int).Value = nCashier;
			int nDesk_id = 
				Convert.ToInt32(CBTypes.Text.Substring(CBTypes.Text.Length-3, 3));
			sqlCommand.Parameters.Add("@desk_id", SqlDbType.Int).Value = nDesk_id;
			sqlCommand.Parameters.Add("@session_id", SqlDbType.BigInt).Value = lSession;
			sqlCommand.Parameters.Add("@amount", SqlDbType.Money).Value=dAmount;
			//sqlCommand.Parameters.Add("@pay_id_out",SqlDbType.Int);
			//sqlCommand.Parameters.Add("@ac_id",SqlDbType.Int).Value = 0;
			//sqlCommand.Parameters["@pay_id_out"].Direction = ParameterDirection.Output;

		


			try
			{
				sqlCommand.ExecuteNonQuery();
			}
			catch(SqlException ex)
			{
				MessageBox.Show(ex.Message);
				return;
			}
			int parameter=1;
			int nReport;

			if(dAmount  > 0)
				nReport=10015; // 
			else
				nReport=100005; // 
			//connection.ConnectionString
			/*
			if(driver.ourLDNumber == 0)
			{
				System.Diagnostics.Process myProcess = new System.Diagnostics.Process(); 
				myProcess.StartInfo.FileName = "FRGlobal.exe";
				if(MsSqlHelper.connectParams[3]=="")
					myProcess.StartInfo.Arguments = MsSqlHelper.connectParams[0]+" "+MsSqlHelper.connectParams[1]+" "+MsSqlHelper.connectParams[2]+" "+ "NULL" + " "+nReport.ToString()+ " "+parameter.ToString();
				else
					myProcess.StartInfo.Arguments = MsSqlHelper.connectParams[0]+" "+MsSqlHelper.connectParams[1]+" "+MsSqlHelper.connectParams[2]+" "+MsSqlHelper.connectParams[3] + " "+nReport.ToString()+ " "+parameter.ToString();
				myProcess.StartInfo.UseShellExecute = false; 
	
				myProcess.Start();
			}
			*/

			refreshLV();
		
		}

		private void BTRemove_Click(object sender, System.EventArgs e)
		{   
			nSign=1;
			RefreshCBTypes();
			this.Text += " - ";
			BTAdd.Enabled=false;
			BTRemove.Enabled=false;

			BTCancelGB.Enabled=true;
			BTOKGB.Enabled=true;


			TBAmount.Enabled=true;
			TBAmount.Text=dNalCash.ToString();
			CBTypes.Enabled=true;

		}

		/// <summary>
		///  
		/// </summary>
		public int nSign;

		public void RefreshCBTypes()
		{
			sqlCommand.Parameters.Clear();
			sqlCommand.CommandType = CommandType.StoredProcedure;
			sqlCommand.CommandText = "csh_GetOrderTypes";
			SqlDataReader reader = sqlCommand.ExecuteReader();
        
			//    , -    
			int i=0;
			CBTypes.Items.Clear();
			while(reader.Read())
			{
				if(reader.GetInt32(2) == (-nSign+1))
				{
					CBTypes.Items.Add(reader.GetString(1) + 
						"                                                                                                                                                                      " 
						+ reader.GetInt32(0).ToString());
		
						
					
				}
			}
			reader.Close();
			if(CBTypes.Items.Count > 0)
				CBTypes.SelectedIndex = 0;
		}

		private void TBAmount_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
		{
			if(InputError.checkDecimal(e.KeyChar, TBAmount.Text))
				e.Handled = true;
		}

		public decimal dNalCash;



	}
}
