using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Data.OleDb;
using System.Data;
using System.IO;
using System.Xml;
using System.Xml.Serialization;
using ProxyKassaDll;


namespace Kassa
{
	
  /// <summary>
  /// Summary description for MainForm.
  /// </summary>
  /// 
  public class MainForm : System.Windows.Forms.Form
  {
    public string strErrorConnectDB;
    public Settings settings;
    public LastCheque lastcheque;
    public FileInfo flc;
    public string strServer;
    public string strDB;
    public string strUser;
    public string strPassword;
    public string strOperatorName;
    public bool   bESPP; // 
    public KassaProxy a;
    public string strNameFile;



    /// <summary>
    ///     
    /// </summary>
    public int nCashierNum;         // 
		public string strCMSerial;      //   
    public int nCMNum;              // 
    public int nStoreNum;           //  
		public ulong lSessionID;        //  
    public short nAccessLevel;      // 
    public ushort nCurID;
    public decimal dRate;           // 
    public string strChequeSerial;  //  

    private ArrayList delArray;
    private struct arrVal 
    {
      public decimal price;
      public int count;
    }
    public System.DateTime dtOpenSession;
    private System.Windows.Forms.MenuItem menuItem1;
    private System.Windows.Forms.MenuItem menuItem2;
    private System.Windows.Forms.MenuItem menuItem3;
    private System.Windows.Forms.MainMenu mainMenu;
    private System.Data.DataSet FindDS;
	

    /// <summary>
    /// Required designer variable.
    /// </summary>
    private System.ComponentModel.Container components = null;
    public System.Data.SqlClient.SqlConnection sqlConnection;
    public System.Data.SqlClient.SqlCommand sqlCommand;
    private System.Windows.Forms.MenuItem MIOpenSession;
    private System.Windows.Forms.MenuItem MenuReports;
    private System.Windows.Forms.MenuItem MICloseSession;
    private System.Windows.Forms.MenuItem menuItem7;
    private System.Windows.Forms.MenuItem menuItem8;
    private System.Windows.Forms.MenuItem menuItem4;
    private System.Windows.Forms.MenuItem menuItem9;
    private System.Windows.Forms.GroupBox GBSearch;
    private System.Windows.Forms.TextBox TBPhone;
    private System.Windows.Forms.Label label11;
    private System.Windows.Forms.TextBox TBAccount;
    private System.Windows.Forms.Label label7;
    private System.Windows.Forms.GroupBox GBRequisites;
    private System.Windows.Forms.Label lblOperator;
    private System.Windows.Forms.Label label2;
    public System.Windows.Forms.Label lblBalance;
    private System.Windows.Forms.Label label10;
    private System.Windows.Forms.Label lblRefuseCause;
    private System.Windows.Forms.Label lblFIO;
    private System.Windows.Forms.Label label3;
    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.GroupBox GBPayment;
    private System.Windows.Forms.Button BTClear;
    private System.Windows.Forms.CheckBox CBPos;
    private System.Windows.Forms.Button BTRegister;
    private System.Windows.Forms.Label label8;
    private System.Windows.Forms.Label label4;
    private System.Windows.Forms.TextBox TBChange;
    private System.Windows.Forms.TextBox TBComment;
    private System.Windows.Forms.Label label6;
    private System.Windows.Forms.TabPage TPCash;
    private System.Windows.Forms.TextBox TBAmount;
    private System.Windows.Forms.TabPage TPKEOSell;
    private System.Windows.Forms.TabPage TPKEOMove;
    private System.Data.SqlClient.SqlDataAdapter sqlDA;
    private System.Windows.Forms.ListView LVLocalStore;
    private System.Windows.Forms.ColumnHeader columnHeader5;
    private System.Windows.Forms.ColumnHeader columnHeader6;
    private System.Windows.Forms.ListView LVKEOSell;
    private System.Windows.Forms.ColumnHeader columnHeader7;
    private System.Windows.Forms.ColumnHeader columnHeader8;
    private System.Windows.Forms.Button BTRefreshLocalStore;
    private System.Windows.Forms.GroupBox GBKEOSell;
    private System.Windows.Forms.Button BTKEOAdd;
    private System.Windows.Forms.Button BTKeoRemove;
    private System.Windows.Forms.TextBox TBSum;
    private System.Windows.Forms.Label label5;
    private System.Windows.Forms.GroupBox GBKEOPayment;
    private System.Windows.Forms.Label label17;
    private System.Windows.Forms.Label label14;
    private System.Windows.Forms.Label label13;
    private System.Windows.Forms.TextBox TBKEOChange;
    private System.Windows.Forms.TextBox TBKEOAmount;
    private System.Windows.Forms.TextBox TBKEOSum;
    private System.Windows.Forms.Button BTKEOSell;
    private System.Windows.Forms.NumericUpDown UDSellNumber;
    private System.Data.DataTable Invoices;
    private System.Data.DataColumn dataColumn1;
    private System.Data.DataColumn dataColumn2;
    private System.Data.DataTable dataTable1;
    private System.Data.DataColumn dataColumn3;
    private System.Data.DataColumn dataColumn4;
    private System.Data.SqlClient.SqlConnection sqlConnection1;
    private System.Data.SqlClient.SqlDataAdapter sqlDataAdapter;
    public System.Data.DataSet DS;
    private System.Windows.Forms.ComboBox CBCurrency;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.ComboBox CBStoreLocation;
		private System.Windows.Forms.ListView LVCashierStore;
		private System.Windows.Forms.ColumnHeader columnHeader1;
		private System.Windows.Forms.ColumnHeader columnHeader2;
		private System.Windows.Forms.ComboBox CBStores;
		private System.Windows.Forms.ListView LVMainStore;
		private System.Windows.Forms.ColumnHeader columnHeader3;
		private System.Windows.Forms.ColumnHeader columnHeader4;
		private System.Windows.Forms.GroupBox GBKEOStore;
		private System.Windows.Forms.GroupBox GBKEOMainStore;
		private System.Windows.Forms.Label label18;
		private System.Windows.Forms.Label label19;
		private System.Windows.Forms.GroupBox GBKEOControls;
		private System.Windows.Forms.Button BTKEOMainSave;
		private System.Windows.Forms.Button BTKEOStoreRemove;
		private System.Windows.Forms.Button BTKEOStoreAdd;
		private System.Windows.Forms.Button LBKEORefresh2;
    private System.Windows.Forms.MenuItem menuItem11;
    public System.Windows.Forms.ComboBox CBPayType;
    private System.Windows.Forms.ComboBox CBCardType;
    private System.Windows.Forms.CheckBox CBKEOPos;
    private System.Windows.Forms.ComboBox CBKEOCardType;
    private System.Windows.Forms.Button BTKEOMove;
    protected internal System.Windows.Forms.StatusBar statusBar;
    private System.Windows.Forms.TabControl TC;
    private System.Windows.Forms.ContextMenu CM;
    private System.Windows.Forms.MenuItem menuItem12;
    private System.Windows.Forms.ColumnHeader columnHeader9;
    private System.Windows.Forms.ColumnHeader columnHeader10;
    private System.Windows.Forms.Label lblUE;
  	private System.Windows.Forms.LinkLabel linkLabel1;
  	private System.Windows.Forms.Label labelCn;
  	private System.Windows.Forms.TextBox TBContract;
  	private System.Windows.Forms.TextBox TBUESum;
  	private System.Windows.Forms.Label label9;
  	private System.Windows.Forms.Label label15;
  	private System.Windows.Forms.Label label16;
  	public System.Windows.Forms.Label lblMethod;
  	private System.Windows.Forms.MenuItem menuItem5;
  	private System.Windows.Forms.MenuItem menuItem6;
  	private System.Windows.Forms.MenuItem menuItem10;
  	private System.Windows.Forms.MenuItem menuItem13;
  	private System.Windows.Forms.MenuItem menuItem14;
  	public System.Windows.Forms.Label lblMarket;
    
    /// <summary>
    ///  .
    ///   xml-
    /// </summary>   
    public class Settings
    {

      public string strServer;    
      public string strDB;        
      public string strUser;        
      public string strOperator;

      public int nCashierNum;       /// 
      public int nCashRegisterNum;         /// 

      public int nDefaultOperation; /// 
      public int nDefaultCurrency;  /// 
      public int nDebugMode; ///   
      public int nLDNumber;
      public int nComPort;
      public int nUse;
      

      //
      public int nMainFormX,
        nMainFormY,
        nMainFormW,
        nMainFormH;

      public void Save()
      {
        using(FileStream fs = 
                new FileStream("settings.xml",FileMode.Create))
        {
          System.Xml.Serialization.XmlSerializer xs = 
            new System.Xml.Serialization.XmlSerializer(typeof(Settings));
          xs.Serialize(fs, this);
        }
      }
    }
    int flag_log;
    public MainForm()
    {
      flag_log=0;
      //
      // Required for Windows Form Designer support
      //
      InitializeComponent();
      //nAct=false; 
      //a = new KassaProxy(nAct);
      //strCMSerial=a.cont.SerialNumber;
      delArray = new ArrayList();
			///TODO: (?)        . ,      
			///TODO: .       
     // 
	  
	 
		
      settings = new Settings();
      strNameFile="LastCheque.xml";
      lastcheque = new LastCheque();
      //lastcheque.strName=strNameFile;


      GBSearch.Enabled = false;
      GBRequisites.Enabled = false;
      GBPayment.Enabled = false;
      ///TODO:         user, pwd, ..  .   
      ///   
    }

    /// <summary>
    /// Clean up any resources being used.
    /// </summary>
    protected override void Dispose( bool disposing )
    {
      if( disposing )
      {
        if (components != null) 
        {
          components.Dispose();
        }
      }
      base.Dispose( disposing );
    }

    #region Windows Form Designer generated code
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
		this.mainMenu = new System.Windows.Forms.MainMenu();
		this.menuItem1 = new System.Windows.Forms.MenuItem();
		this.MIOpenSession = new System.Windows.Forms.MenuItem();
		this.MICloseSession = new System.Windows.Forms.MenuItem();
		this.menuItem7 = new System.Windows.Forms.MenuItem();
		this.menuItem8 = new System.Windows.Forms.MenuItem();
		this.menuItem11 = new System.Windows.Forms.MenuItem();
		this.menuItem6 = new System.Windows.Forms.MenuItem();
		this.menuItem10 = new System.Windows.Forms.MenuItem();
		this.menuItem13 = new System.Windows.Forms.MenuItem();
		this.menuItem14 = new System.Windows.Forms.MenuItem();
		this.menuItem2 = new System.Windows.Forms.MenuItem();
		this.menuItem4 = new System.Windows.Forms.MenuItem();
		this.menuItem5 = new System.Windows.Forms.MenuItem();
		this.MenuReports = new System.Windows.Forms.MenuItem();
		this.menuItem9 = new System.Windows.Forms.MenuItem();
		this.menuItem3 = new System.Windows.Forms.MenuItem();
		this.FindDS = new System.Data.DataSet();
		this.dataTable1 = new System.Data.DataTable();
		this.dataColumn3 = new System.Data.DataColumn();
		this.dataColumn4 = new System.Data.DataColumn();
		this.sqlConnection = new System.Data.SqlClient.SqlConnection();
		this.sqlCommand = new System.Data.SqlClient.SqlCommand();
		this.DS = new System.Data.DataSet();
		this.Invoices = new System.Data.DataTable();
		this.dataColumn1 = new System.Data.DataColumn();
		this.dataColumn2 = new System.Data.DataColumn();
		this.TC = new System.Windows.Forms.TabControl();
		this.TPCash = new System.Windows.Forms.TabPage();
		this.GBPayment = new System.Windows.Forms.GroupBox();
		this.label9 = new System.Windows.Forms.Label();
		this.TBUESum = new System.Windows.Forms.TextBox();
		this.CBCardType = new System.Windows.Forms.ComboBox();
		this.label12 = new System.Windows.Forms.Label();
		this.CBCurrency = new System.Windows.Forms.ComboBox();
		this.TBSum = new System.Windows.Forms.TextBox();
		this.label5 = new System.Windows.Forms.Label();
		this.TBAmount = new System.Windows.Forms.TextBox();
		this.BTClear = new System.Windows.Forms.Button();
		this.CBPos = new System.Windows.Forms.CheckBox();
		this.BTRegister = new System.Windows.Forms.Button();
		this.label8 = new System.Windows.Forms.Label();
		this.label4 = new System.Windows.Forms.Label();
		this.TBChange = new System.Windows.Forms.TextBox();
		this.TBComment = new System.Windows.Forms.TextBox();
		this.label6 = new System.Windows.Forms.Label();
		this.GBRequisites = new System.Windows.Forms.GroupBox();
		this.lblMarket = new System.Windows.Forms.Label();
		this.lblMethod = new System.Windows.Forms.Label();
		this.label16 = new System.Windows.Forms.Label();
		this.label15 = new System.Windows.Forms.Label();
		this.lblOperator = new System.Windows.Forms.Label();
		this.label2 = new System.Windows.Forms.Label();
		this.lblBalance = new System.Windows.Forms.Label();
		this.label10 = new System.Windows.Forms.Label();
		this.lblRefuseCause = new System.Windows.Forms.Label();
		this.lblFIO = new System.Windows.Forms.Label();
		this.label3 = new System.Windows.Forms.Label();
		this.label1 = new System.Windows.Forms.Label();
		this.GBSearch = new System.Windows.Forms.GroupBox();
		this.TBContract = new System.Windows.Forms.TextBox();
		this.labelCn = new System.Windows.Forms.Label();
		this.TBPhone = new System.Windows.Forms.TextBox();
		this.label11 = new System.Windows.Forms.Label();
		this.TBAccount = new System.Windows.Forms.TextBox();
		this.label7 = new System.Windows.Forms.Label();
		this.linkLabel1 = new System.Windows.Forms.LinkLabel();
		this.TPKEOSell = new System.Windows.Forms.TabPage();
		this.GBKEOPayment = new System.Windows.Forms.GroupBox();
		this.lblUE = new System.Windows.Forms.Label();
		this.CBKEOCardType = new System.Windows.Forms.ComboBox();
		this.CBPayType = new System.Windows.Forms.ComboBox();
		this.CBKEOPos = new System.Windows.Forms.CheckBox();
		this.label17 = new System.Windows.Forms.Label();
		this.label14 = new System.Windows.Forms.Label();
		this.label13 = new System.Windows.Forms.Label();
		this.TBKEOChange = new System.Windows.Forms.TextBox();
		this.TBKEOAmount = new System.Windows.Forms.TextBox();
		this.TBKEOSum = new System.Windows.Forms.TextBox();
		this.BTKEOSell = new System.Windows.Forms.Button();
		this.BTRefreshLocalStore = new System.Windows.Forms.Button();
		this.BTKEOAdd = new System.Windows.Forms.Button();
		this.BTKeoRemove = new System.Windows.Forms.Button();
		this.GBKEOSell = new System.Windows.Forms.GroupBox();
		this.UDSellNumber = new System.Windows.Forms.NumericUpDown();
		this.LVLocalStore = new System.Windows.Forms.ListView();
		this.columnHeader5 = new System.Windows.Forms.ColumnHeader();
		this.columnHeader6 = new System.Windows.Forms.ColumnHeader();
		this.CM = new System.Windows.Forms.ContextMenu();
		this.menuItem12 = new System.Windows.Forms.MenuItem();
		this.LVKEOSell = new System.Windows.Forms.ListView();
		this.columnHeader7 = new System.Windows.Forms.ColumnHeader();
		this.columnHeader8 = new System.Windows.Forms.ColumnHeader();
		this.columnHeader9 = new System.Windows.Forms.ColumnHeader();
		this.columnHeader10 = new System.Windows.Forms.ColumnHeader();
		this.TPKEOMove = new System.Windows.Forms.TabPage();
		this.GBKEOControls = new System.Windows.Forms.GroupBox();
		this.BTKEOMove = new System.Windows.Forms.Button();
		this.BTKEOMainSave = new System.Windows.Forms.Button();
		this.BTKEOStoreRemove = new System.Windows.Forms.Button();
		this.BTKEOStoreAdd = new System.Windows.Forms.Button();
		this.LBKEORefresh2 = new System.Windows.Forms.Button();
		this.GBKEOMainStore = new System.Windows.Forms.GroupBox();
		this.LVMainStore = new System.Windows.Forms.ListView();
		this.columnHeader3 = new System.Windows.Forms.ColumnHeader();
		this.columnHeader4 = new System.Windows.Forms.ColumnHeader();
		this.GBKEOStore = new System.Windows.Forms.GroupBox();
		this.label19 = new System.Windows.Forms.Label();
		this.label18 = new System.Windows.Forms.Label();
		this.CBStoreLocation = new System.Windows.Forms.ComboBox();
		this.LVCashierStore = new System.Windows.Forms.ListView();
		this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
		this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
		this.CBStores = new System.Windows.Forms.ComboBox();
		this.sqlDA = new System.Data.SqlClient.SqlDataAdapter();
		this.sqlDataAdapter = new System.Data.SqlClient.SqlDataAdapter();
		this.sqlConnection1 = new System.Data.SqlClient.SqlConnection();
		this.statusBar = new System.Windows.Forms.StatusBar();
		((System.ComponentModel.ISupportInitialize)(this.FindDS)).BeginInit();
		((System.ComponentModel.ISupportInitialize)(this.dataTable1)).BeginInit();
		((System.ComponentModel.ISupportInitialize)(this.DS)).BeginInit();
		((System.ComponentModel.ISupportInitialize)(this.Invoices)).BeginInit();
		this.TC.SuspendLayout();
		this.TPCash.SuspendLayout();
		this.GBPayment.SuspendLayout();
		this.GBRequisites.SuspendLayout();
		this.GBSearch.SuspendLayout();
		this.TPKEOSell.SuspendLayout();
		this.GBKEOPayment.SuspendLayout();
		this.GBKEOSell.SuspendLayout();
		((System.ComponentModel.ISupportInitialize)(this.UDSellNumber)).BeginInit();
		this.TPKEOMove.SuspendLayout();
		this.GBKEOControls.SuspendLayout();
		this.GBKEOMainStore.SuspendLayout();
		this.GBKEOStore.SuspendLayout();
		this.SuspendLayout();
		// 
		// mainMenu
		// 
		this.mainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																				 this.menuItem1,
																				 this.menuItem2,
																				 this.MenuReports,
																				 this.menuItem3});
		// 
		// menuItem1
		// 
		this.menuItem1.Index = 0;
		this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																				  this.MIOpenSession,
																				  this.MICloseSession,
																				  this.menuItem7,
																				  this.menuItem8,
																				  this.menuItem11,
																				  this.menuItem6,
																				  this.menuItem10,
																				  this.menuItem13,
																				  this.menuItem14});
		this.menuItem1.Text = "";
		// 
		// MIOpenSession
		// 
		this.MIOpenSession.Index = 0;
		this.MIOpenSession.Text = " ";
		this.MIOpenSession.Click += new System.EventHandler(this.menuItem7_Click);
		// 
		// MICloseSession
		// 
		this.MICloseSession.Enabled = false;
		this.MICloseSession.Index = 1;
		this.MICloseSession.Text = " ";
		this.MICloseSession.Click += new System.EventHandler(this.menuItem7_Click_1);
		// 
		// menuItem7
		// 
		this.menuItem7.Index = 2;
		this.menuItem7.Text = "-";
		// 
		// menuItem8
		// 
		this.menuItem8.Enabled = false;
		this.menuItem8.Index = 3;
		this.menuItem8.Text = "";
		this.menuItem8.Click += new System.EventHandler(this.menuItem8_Click);
		// 
		// menuItem11
		// 
		this.menuItem11.Enabled = false;
		this.menuItem11.Index = 4;
		this.menuItem11.Text = " ";
		this.menuItem11.Click += new System.EventHandler(this.menuItem11_Click);
		// 
		// menuItem6
		// 
		this.menuItem6.Index = 5;
		this.menuItem6.Text = " ";
		this.menuItem6.Click += new System.EventHandler(this.menuItem6_Click);
		// 
		// menuItem10
		// 
		this.menuItem10.Index = 6;
		this.menuItem10.Text = "  ";
		this.menuItem10.Click += new System.EventHandler(this.menuItem10_Click_1);
		// 
		// menuItem13
		// 
		this.menuItem13.Index = 7;
		this.menuItem13.Text = "  ";
		this.menuItem13.Click += new System.EventHandler(this.menuItem13_Click_1);
		// 
		// menuItem14
		// 
		this.menuItem14.Index = 8;
		this.menuItem14.Text = "";
		this.menuItem14.Click += new System.EventHandler(this.menuItem14_Click);
		// 
		// menuItem2
		// 
		this.menuItem2.Index = 1;
		this.menuItem2.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																				  this.menuItem4,
																				  this.menuItem5});
		this.menuItem2.Text = "";
		// 
		// menuItem4
		// 
		this.menuItem4.Index = 0;
		this.menuItem4.Text = "  ";
		this.menuItem4.Click += new System.EventHandler(this.menuItem4_Click);
		// 
		// menuItem5
		// 
		this.menuItem5.Index = 1;
		this.menuItem5.Text = " ";
		this.menuItem5.Click += new System.EventHandler(this.menuItem5_Click_1);
		// 
		// MenuReports
		// 
		this.MenuReports.Index = 2;
		this.MenuReports.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					this.menuItem9});
		this.MenuReports.Text = "";
		// 
		// menuItem9
		// 
		this.menuItem9.Index = 0;
		this.menuItem9.Text = "-";
		this.menuItem9.Click += new System.EventHandler(this.menuItem9_Click);
		// 
		// menuItem3
		// 
		this.menuItem3.Index = 3;
		this.menuItem3.Text = "";
		// 
		// FindDS
		// 
		this.FindDS.DataSetName = "NewDataSet";
		this.FindDS.Locale = new System.Globalization.CultureInfo("ru-RU");
		this.FindDS.Tables.AddRange(new System.Data.DataTable[] {
																	this.dataTable1});
		// 
		// dataTable1
		// 
		this.dataTable1.Columns.AddRange(new System.Data.DataColumn[] {
																		  this.dataColumn3,
																		  this.dataColumn4});
		this.dataTable1.TableName = "Table1";
		// 
		// dataColumn3
		// 
		this.dataColumn3.ColumnName = "Column1";
		// 
		// dataColumn4
		// 
		this.dataColumn4.ColumnName = "Column2";
		// 
		// sqlCommand
		// 
		this.sqlCommand.CommandType = System.Data.CommandType.StoredProcedure;
		this.sqlCommand.Connection = this.sqlConnection;
		// 
		// DS
		// 
		this.DS.DataSetName = "DS";
		this.DS.Locale = new System.Globalization.CultureInfo("ru-RU");
		this.DS.Namespace = "KASSA";
		this.DS.Tables.AddRange(new System.Data.DataTable[] {
																this.Invoices});
		// 
		// Invoices
		// 
		this.Invoices.Columns.AddRange(new System.Data.DataColumn[] {
																		this.dataColumn1,
																		this.dataColumn2});
		this.Invoices.TableName = "Invoices";
		// 
		// dataColumn1
		// 
		this.dataColumn1.ColumnName = "Number";
		// 
		// dataColumn2
		// 
		this.dataColumn2.ColumnName = "KEO_Num";
		// 
		// TC
		// 
		this.TC.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.TC.Controls.Add(this.TPCash);
		this.TC.Controls.Add(this.TPKEOSell);
		this.TC.Controls.Add(this.TPKEOMove);
		this.TC.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TC.Location = new System.Drawing.Point(1, 0);
		this.TC.Name = "TC";
		this.TC.SelectedIndex = 0;
		this.TC.Size = new System.Drawing.Size(607, 448);
		this.TC.TabIndex = 9;
		this.TC.SelectedIndexChanged += new System.EventHandler(this.TC_SelectedIndexChanged);
		// 
		// TPCash
		// 
		this.TPCash.Controls.Add(this.GBPayment);
		this.TPCash.Controls.Add(this.GBRequisites);
		this.TPCash.Controls.Add(this.GBSearch);
		this.TPCash.Controls.Add(this.linkLabel1);
		this.TPCash.Location = new System.Drawing.Point(4, 24);
		this.TPCash.Name = "TPCash";
		this.TPCash.Size = new System.Drawing.Size(599, 420);
		this.TPCash.TabIndex = 0;
		this.TPCash.Text = " ";
		this.TPCash.ToolTipText = "  ";
		this.TPCash.Click += new System.EventHandler(this.tabPage1_Click);
		// 
		// GBPayment
		// 
		this.GBPayment.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.GBPayment.Controls.Add(this.label9);
		this.GBPayment.Controls.Add(this.TBUESum);
		this.GBPayment.Controls.Add(this.CBCardType);
		this.GBPayment.Controls.Add(this.label12);
		this.GBPayment.Controls.Add(this.CBCurrency);
		this.GBPayment.Controls.Add(this.TBSum);
		this.GBPayment.Controls.Add(this.label5);
		this.GBPayment.Controls.Add(this.TBAmount);
		this.GBPayment.Controls.Add(this.BTClear);
		this.GBPayment.Controls.Add(this.CBPos);
		this.GBPayment.Controls.Add(this.BTRegister);
		this.GBPayment.Controls.Add(this.label8);
		this.GBPayment.Controls.Add(this.label4);
		this.GBPayment.Controls.Add(this.TBChange);
		this.GBPayment.Controls.Add(this.TBComment);
		this.GBPayment.Controls.Add(this.label6);
		this.GBPayment.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.GBPayment.Location = new System.Drawing.Point(0, 207);
		this.GBPayment.Name = "GBPayment";
		this.GBPayment.Size = new System.Drawing.Size(596, 217);
		this.GBPayment.TabIndex = 10;
		this.GBPayment.TabStop = false;
		this.GBPayment.Text = "";
		// 
		// label9
		// 
		this.label9.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.label9.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label9.Location = new System.Drawing.Point(472, 16);
		this.label9.Name = "label9";
		this.label9.Size = new System.Drawing.Size(66, 22);
		this.label9.TabIndex = 32;
		this.label9.Text = "(y..)";
		// 
		// TBUESum
		// 
		this.TBUESum.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.TBUESum.Location = new System.Drawing.Point(328, 16);
		this.TBUESum.Name = "TBUESum";
		this.TBUESum.TabIndex = 31;
		this.TBUESum.Text = "";
		this.TBUESum.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.TBUESum_KeyPress);
		this.TBUESum.KeyUp += new System.Windows.Forms.KeyEventHandler(this.TBUESum_KeyUp);
		// 
		// CBCardType
		// 
		this.CBCardType.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.CBCardType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
		this.CBCardType.Enabled = false;
		this.CBCardType.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.CBCardType.Location = new System.Drawing.Point(504, 108);
		this.CBCardType.Name = "CBCardType";
		this.CBCardType.Size = new System.Drawing.Size(86, 23);
		this.CBCardType.TabIndex = 29;
		// 
		// label12
		// 
		this.label12.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.label12.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label12.Location = new System.Drawing.Point(296, 16);
		this.label12.Name = "label12";
		this.label12.Size = new System.Drawing.Size(66, 22);
		this.label12.TabIndex = 28;
		this.label12.Text = "";
		// 
		// CBCurrency
		// 
		this.CBCurrency.Location = new System.Drawing.Point(432, 72);
		this.CBCurrency.Name = "CBCurrency";
		this.CBCurrency.Size = new System.Drawing.Size(121, 24);
		this.CBCurrency.TabIndex = 27;
		this.CBCurrency.Visible = false;
		// 
		// TBSum
		// 
		this.TBSum.AutoSize = false;
		this.TBSum.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TBSum.Location = new System.Drawing.Point(136, 16);
		this.TBSum.Name = "TBSum";
		this.TBSum.Size = new System.Drawing.Size(152, 22);
		this.TBSum.TabIndex = 26;
		this.TBSum.Text = "";
		this.TBSum.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.TBSum_KeyPress);
		this.TBSum.KeyUp += new System.Windows.Forms.KeyEventHandler(this.TBSum_KeyUp);
		// 
		// label5
		// 
		this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label5.Location = new System.Drawing.Point(7, 20);
		this.label5.Name = "label5";
		this.label5.Size = new System.Drawing.Size(129, 23);
		this.label5.TabIndex = 25;
		this.label5.Text = " ";
		// 
		// TBAmount
		// 
		this.TBAmount.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.TBAmount.AutoSize = false;
		this.TBAmount.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TBAmount.ImeMode = System.Windows.Forms.ImeMode.NoControl;
		this.TBAmount.Location = new System.Drawing.Point(136, 46);
		this.TBAmount.MaxLength = 12;
		this.TBAmount.Name = "TBAmount";
		this.TBAmount.Size = new System.Drawing.Size(384, 26);
		this.TBAmount.TabIndex = 24;
		this.TBAmount.Text = "";
		this.TBAmount.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.TBAmount_KeyPress);
		this.TBAmount.KeyUp += new System.Windows.Forms.KeyEventHandler(this.TBAmount_KeyUp);
		// 
		// BTClear
		// 
		this.BTClear.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
		this.BTClear.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.BTClear.Location = new System.Drawing.Point(184, 168);
		this.BTClear.Name = "BTClear";
		this.BTClear.Size = new System.Drawing.Size(179, 24);
		this.BTClear.TabIndex = 17;
		this.BTClear.Text = "";
		this.BTClear.Click += new System.EventHandler(this.BTClear_Click_2);
		// 
		// CBPos
		// 
		this.CBPos.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.CBPos.Enabled = false;
		this.CBPos.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.CBPos.Location = new System.Drawing.Point(200, 109);
		this.CBPos.Name = "CBPos";
		this.CBPos.Size = new System.Drawing.Size(289, 23);
		this.CBPos.TabIndex = 14;
		this.CBPos.Text = "  POS-";
		this.CBPos.CheckedChanged += new System.EventHandler(this.CBPos_CheckedChanged_1);
		// 
		// BTRegister
		// 
		this.BTRegister.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
		this.BTRegister.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.BTRegister.Location = new System.Drawing.Point(392, 168);
		this.BTRegister.Name = "BTRegister";
		this.BTRegister.Size = new System.Drawing.Size(184, 25);
		this.BTRegister.TabIndex = 13;
		this.BTRegister.Text = "";
		this.BTRegister.Click += new System.EventHandler(this.BTRegister_Click_1);
		// 
		// label8
		// 
		this.label8.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label8.Location = new System.Drawing.Point(9, 80);
		this.label8.Name = "label8";
		this.label8.Size = new System.Drawing.Size(119, 18);
		this.label8.TabIndex = 12;
		this.label8.Text = "";
		// 
		// label4
		// 
		this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label4.Location = new System.Drawing.Point(7, 48);
		this.label4.Name = "label4";
		this.label4.Size = new System.Drawing.Size(129, 23);
		this.label4.TabIndex = 11;
		this.label4.Text = " ";
		// 
		// TBChange
		// 
		this.TBChange.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.TBChange.AutoSize = false;
		this.TBChange.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TBChange.Location = new System.Drawing.Point(136, 78);
		this.TBChange.Name = "TBChange";
		this.TBChange.ReadOnly = true;
		this.TBChange.Size = new System.Drawing.Size(296, 26);
		this.TBChange.TabIndex = 10;
		this.TBChange.Text = "";
		// 
		// TBComment
		// 
		this.TBComment.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.TBComment.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TBComment.Location = new System.Drawing.Point(8, 136);
		this.TBComment.MaxLength = 50;
		this.TBComment.Name = "TBComment";
		this.TBComment.Size = new System.Drawing.Size(577, 20);
		this.TBComment.TabIndex = 5;
		this.TBComment.Text = "";
		// 
		// label6
		// 
		this.label6.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label6.Location = new System.Drawing.Point(8, 112);
		this.label6.Name = "label6";
		this.label6.Size = new System.Drawing.Size(137, 18);
		this.label6.TabIndex = 3;
		this.label6.Text = "";
		// 
		// GBRequisites
		// 
		this.GBRequisites.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.GBRequisites.Controls.Add(this.lblMarket);
		this.GBRequisites.Controls.Add(this.lblMethod);
		this.GBRequisites.Controls.Add(this.label16);
		this.GBRequisites.Controls.Add(this.label15);
		this.GBRequisites.Controls.Add(this.lblOperator);
		this.GBRequisites.Controls.Add(this.label2);
		this.GBRequisites.Controls.Add(this.lblBalance);
		this.GBRequisites.Controls.Add(this.label10);
		this.GBRequisites.Controls.Add(this.lblRefuseCause);
		this.GBRequisites.Controls.Add(this.lblFIO);
		this.GBRequisites.Controls.Add(this.label3);
		this.GBRequisites.Controls.Add(this.label1);
		this.GBRequisites.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.GBRequisites.Location = new System.Drawing.Point(0, 80);
		this.GBRequisites.Name = "GBRequisites";
		this.GBRequisites.Size = new System.Drawing.Size(608, 127);
		this.GBRequisites.TabIndex = 9;
		this.GBRequisites.TabStop = false;
		this.GBRequisites.Text = " ";
		// 
		// lblMarket
		// 
		this.lblMarket.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.lblMarket.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.lblMarket.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.lblMarket.Location = new System.Drawing.Point(464, 99);
		this.lblMarket.Name = "lblMarket";
		this.lblMarket.Size = new System.Drawing.Size(128, 21);
		this.lblMarket.TabIndex = 13;
		// 
		// lblMethod
		// 
		this.lblMethod.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.lblMethod.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.lblMethod.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.lblMethod.Location = new System.Drawing.Point(440, 45);
		this.lblMethod.Name = "lblMethod";
		this.lblMethod.Size = new System.Drawing.Size(128, 18);
		this.lblMethod.TabIndex = 12;
		// 
		// label16
		// 
		this.label16.Anchor = System.Windows.Forms.AnchorStyles.Right;
		this.label16.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label16.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.label16.Location = new System.Drawing.Point(328, 99);
		this.label16.Name = "label16";
		this.label16.Size = new System.Drawing.Size(132, 21);
		this.label16.TabIndex = 11;
		this.label16.Text = ".";
		// 
		// label15
		// 
		this.label15.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label15.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.label15.Location = new System.Drawing.Point(328, 45);
		this.label15.Name = "label15";
		this.label15.Size = new System.Drawing.Size(96, 18);
		this.label15.TabIndex = 10;
		this.label15.Text = " ";
		// 
		// lblOperator
		// 
		this.lblOperator.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.lblOperator.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.lblOperator.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.lblOperator.Location = new System.Drawing.Point(149, 72);
		this.lblOperator.Name = "lblOperator";
		this.lblOperator.Size = new System.Drawing.Size(447, 22);
		this.lblOperator.TabIndex = 9;
		// 
		// label2
		// 
		this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label2.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.label2.Location = new System.Drawing.Point(7, 72);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(105, 20);
		this.label2.TabIndex = 8;
		this.label2.Text = "";
		// 
		// lblBalance
		// 
		this.lblBalance.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.lblBalance.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.lblBalance.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.lblBalance.Location = new System.Drawing.Point(149, 45);
		this.lblBalance.Name = "lblBalance";
		this.lblBalance.Size = new System.Drawing.Size(163, 21);
		this.lblBalance.TabIndex = 7;
		// 
		// label10
		// 
		this.label10.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label10.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.label10.Location = new System.Drawing.Point(7, 45);
		this.label10.Name = "label10";
		this.label10.Size = new System.Drawing.Size(132, 18);
		this.label10.TabIndex = 6;
		this.label10.Text = "";
		// 
		// lblRefuseCause
		// 
		this.lblRefuseCause.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.lblRefuseCause.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.lblRefuseCause.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.lblRefuseCause.Location = new System.Drawing.Point(147, 99);
		this.lblRefuseCause.Name = "lblRefuseCause";
		this.lblRefuseCause.Size = new System.Drawing.Size(173, 22);
		this.lblRefuseCause.TabIndex = 5;
		// 
		// lblFIO
		// 
		this.lblFIO.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.lblFIO.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.lblFIO.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.lblFIO.Location = new System.Drawing.Point(149, 16);
		this.lblFIO.Name = "lblFIO";
		this.lblFIO.Size = new System.Drawing.Size(455, 21);
		this.lblFIO.TabIndex = 3;
		// 
		// label3
		// 
		this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label3.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.label3.Location = new System.Drawing.Point(7, 99);
		this.label3.Name = "label3";
		this.label3.Size = new System.Drawing.Size(105, 21);
		this.label3.TabIndex = 2;
		this.label3.Text = " ";
		// 
		// label1
		// 
		this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label1.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
		this.label1.Location = new System.Drawing.Point(7, 16);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(130, 20);
		this.label1.TabIndex = 0;
		this.label1.Text = "...";
		// 
		// GBSearch
		// 
		this.GBSearch.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.GBSearch.Controls.Add(this.TBContract);
		this.GBSearch.Controls.Add(this.labelCn);
		this.GBSearch.Controls.Add(this.TBPhone);
		this.GBSearch.Controls.Add(this.label11);
		this.GBSearch.Controls.Add(this.TBAccount);
		this.GBSearch.Controls.Add(this.label7);
		this.GBSearch.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.GBSearch.Location = new System.Drawing.Point(1, 4);
		this.GBSearch.Name = "GBSearch";
		this.GBSearch.Size = new System.Drawing.Size(596, 76);
		this.GBSearch.TabIndex = 8;
		this.GBSearch.TabStop = false;
		this.GBSearch.Text = "";
		// 
		// TBContract
		// 
		this.TBContract.Anchor = System.Windows.Forms.AnchorStyles.Right;
		this.TBContract.ImeMode = System.Windows.Forms.ImeMode.Off;
		this.TBContract.Location = new System.Drawing.Point(448, 44);
		this.TBContract.Name = "TBContract";
		this.TBContract.Size = new System.Drawing.Size(136, 21);
		this.TBContract.TabIndex = 224;
		this.TBContract.Text = "";
		this.TBContract.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.TBPhone_KeyPress);
		// 
		// labelCn
		// 
		this.labelCn.Anchor = System.Windows.Forms.AnchorStyles.Right;
		this.labelCn.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.labelCn.Location = new System.Drawing.Point(352, 44);
		this.labelCn.Name = "labelCn";
		this.labelCn.Size = new System.Drawing.Size(88, 24);
		this.labelCn.TabIndex = 23;
		this.labelCn.Text = "  ";
		// 
		// TBPhone
		// 
		this.TBPhone.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.TBPhone.AutoSize = false;
		this.TBPhone.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TBPhone.Location = new System.Drawing.Point(136, 14);
		this.TBPhone.MaxLength = 10;
		this.TBPhone.Name = "TBPhone";
		this.TBPhone.Size = new System.Drawing.Size(448, 24);
		this.TBPhone.TabIndex = 222;
		this.TBPhone.Text = "";
		this.TBPhone.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.TBPhone_KeyPress);
		this.TBPhone.TextChanged += new System.EventHandler(this.TBPhone_TextChanged);
		// 
		// label11
		// 
		this.label11.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label11.Location = new System.Drawing.Point(8, 48);
		this.label11.Name = "label11";
		this.label11.Size = new System.Drawing.Size(120, 16);
		this.label11.TabIndex = 18;
		this.label11.Text = "  ";
		// 
		// TBAccount
		// 
		this.TBAccount.AutoSize = false;
		this.TBAccount.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TBAccount.ImeMode = System.Windows.Forms.ImeMode.Off;
		this.TBAccount.Location = new System.Drawing.Point(136, 44);
		this.TBAccount.MaxLength = 10;
		this.TBAccount.Name = "TBAccount";
		this.TBAccount.Size = new System.Drawing.Size(185, 24);
		this.TBAccount.TabIndex = 223;
		this.TBAccount.Text = "";
		this.TBAccount.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.TBPhone_KeyPress);
		// 
		// label7
		// 
		this.label7.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label7.Location = new System.Drawing.Point(8, 20);
		this.label7.Name = "label7";
		this.label7.Size = new System.Drawing.Size(112, 20);
		this.label7.TabIndex = 7;
		this.label7.Text = " ";
		// 
		// linkLabel1
		// 
		this.linkLabel1.Location = new System.Drawing.Point(136, 408);
		this.linkLabel1.Name = "linkLabel1";
		this.linkLabel1.Size = new System.Drawing.Size(8, 8);
		this.linkLabel1.TabIndex = 30;
		this.linkLabel1.TabStop = true;
		this.linkLabel1.Text = "linkLabel1";
		this.linkLabel1.Visible = false;
		// 
		// TPKEOSell
		// 
		this.TPKEOSell.Controls.Add(this.GBKEOPayment);
		this.TPKEOSell.Controls.Add(this.GBKEOSell);
		this.TPKEOSell.Location = new System.Drawing.Point(4, 24);
		this.TPKEOSell.Name = "TPKEOSell";
		this.TPKEOSell.Size = new System.Drawing.Size(599, 420);
		this.TPKEOSell.TabIndex = 1;
		this.TPKEOSell.Text = " ";
		this.TPKEOSell.ToolTipText = "   ";
		// 
		// GBKEOPayment
		// 
		this.GBKEOPayment.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.GBKEOPayment.Controls.Add(this.lblUE);
		this.GBKEOPayment.Controls.Add(this.CBKEOCardType);
		this.GBKEOPayment.Controls.Add(this.CBPayType);
		this.GBKEOPayment.Controls.Add(this.CBKEOPos);
		this.GBKEOPayment.Controls.Add(this.label17);
		this.GBKEOPayment.Controls.Add(this.label14);
		this.GBKEOPayment.Controls.Add(this.label13);
		this.GBKEOPayment.Controls.Add(this.TBKEOChange);
		this.GBKEOPayment.Controls.Add(this.TBKEOAmount);
		this.GBKEOPayment.Controls.Add(this.TBKEOSum);
		this.GBKEOPayment.Controls.Add(this.BTKEOSell);
		this.GBKEOPayment.Controls.Add(this.BTRefreshLocalStore);
		this.GBKEOPayment.Controls.Add(this.BTKEOAdd);
		this.GBKEOPayment.Controls.Add(this.BTKeoRemove);
		this.GBKEOPayment.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.GBKEOPayment.Location = new System.Drawing.Point(4, 289);
		this.GBKEOPayment.Name = "GBKEOPayment";
		this.GBKEOPayment.Size = new System.Drawing.Size(591, 129);
		this.GBKEOPayment.TabIndex = 1;
		this.GBKEOPayment.TabStop = false;
		this.GBKEOPayment.Text = "";
		// 
		// lblUE
		// 
		this.lblUE.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.lblUE.Location = new System.Drawing.Point(416, 16);
		this.lblUE.Name = "lblUE";
		this.lblUE.Size = new System.Drawing.Size(168, 23);
		this.lblUE.TabIndex = 39;
		// 
		// CBKEOCardType
		// 
		this.CBKEOCardType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
		this.CBKEOCardType.Enabled = false;
		this.CBKEOCardType.Location = new System.Drawing.Point(240, 96);
		this.CBKEOCardType.Name = "CBKEOCardType";
		this.CBKEOCardType.Size = new System.Drawing.Size(121, 24);
		this.CBKEOCardType.TabIndex = 38;
		// 
		// CBPayType
		// 
		this.CBPayType.AllowDrop = true;
		this.CBPayType.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.CBPayType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
		this.CBPayType.Location = new System.Drawing.Point(352, 64);
		this.CBPayType.MaxDropDownItems = 15;
		this.CBPayType.Name = "CBPayType";
		this.CBPayType.Size = new System.Drawing.Size(168, 22);
		this.CBPayType.Sorted = true;
		this.CBPayType.TabIndex = 37;
		this.CBPayType.Visible = false;
		// 
		// CBKEOPos
		// 
		this.CBKEOPos.Location = new System.Drawing.Point(11, 96);
		this.CBKEOPos.Name = "CBKEOPos";
		this.CBKEOPos.Size = new System.Drawing.Size(224, 24);
		this.CBKEOPos.TabIndex = 36;
		this.CBKEOPos.Text = "  POS-";
		this.CBKEOPos.CheckedChanged += new System.EventHandler(this.CBKEOPos_CheckedChanged);
		// 
		// label17
		// 
		this.label17.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label17.Location = new System.Drawing.Point(8, 72);
		this.label17.Name = "label17";
		this.label17.Size = new System.Drawing.Size(136, 16);
		this.label17.TabIndex = 34;
		this.label17.Text = "";
		// 
		// label14
		// 
		this.label14.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label14.Location = new System.Drawing.Point(8, 48);
		this.label14.Name = "label14";
		this.label14.Size = new System.Drawing.Size(152, 16);
		this.label14.TabIndex = 33;
		this.label14.Text = " ";
		// 
		// label13
		// 
		this.label13.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.label13.Location = new System.Drawing.Point(8, 24);
		this.label13.Name = "label13";
		this.label13.Size = new System.Drawing.Size(136, 16);
		this.label13.TabIndex = 32;
		this.label13.Text = "";
		// 
		// TBKEOChange
		// 
		this.TBKEOChange.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.TBKEOChange.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TBKEOChange.Location = new System.Drawing.Point(168, 64);
		this.TBKEOChange.Name = "TBKEOChange";
		this.TBKEOChange.ReadOnly = true;
		this.TBKEOChange.Size = new System.Drawing.Size(240, 22);
		this.TBKEOChange.TabIndex = 31;
		this.TBKEOChange.Text = "0";
		// 
		// TBKEOAmount
		// 
		this.TBKEOAmount.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.TBKEOAmount.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TBKEOAmount.Location = new System.Drawing.Point(168, 40);
		this.TBKEOAmount.Name = "TBKEOAmount";
		this.TBKEOAmount.Size = new System.Drawing.Size(240, 22);
		this.TBKEOAmount.TabIndex = 30;
		this.TBKEOAmount.Text = "0";
		this.TBKEOAmount.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.TBKEOAmount_KeyPress);
		this.TBKEOAmount.KeyUp += new System.Windows.Forms.KeyEventHandler(this.TBKEOAmount_KeyUp);
		// 
		// TBKEOSum
		// 
		this.TBKEOSum.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.TBKEOSum.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.TBKEOSum.Location = new System.Drawing.Point(168, 16);
		this.TBKEOSum.Name = "TBKEOSum";
		this.TBKEOSum.ReadOnly = true;
		this.TBKEOSum.Size = new System.Drawing.Size(240, 22);
		this.TBKEOSum.TabIndex = 29;
		this.TBKEOSum.Text = "0";
		// 
		// BTKEOSell
		// 
		this.BTKEOSell.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
		this.BTKEOSell.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.BTKEOSell.Location = new System.Drawing.Point(504, 96);
		this.BTKEOSell.Name = "BTKEOSell";
		this.BTKEOSell.TabIndex = 28;
		this.BTKEOSell.Text = "";
		this.BTKEOSell.Click += new System.EventHandler(this.BTKEOSell_Click);
		// 
		// BTRefreshLocalStore
		// 
		this.BTRefreshLocalStore.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.BTRefreshLocalStore.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.BTRefreshLocalStore.Location = new System.Drawing.Point(496, 32);
		this.BTRefreshLocalStore.Name = "BTRefreshLocalStore";
		this.BTRefreshLocalStore.Size = new System.Drawing.Size(40, 23);
		this.BTRefreshLocalStore.TabIndex = 19;
		this.BTRefreshLocalStore.Text = "";
		this.BTRefreshLocalStore.Visible = false;
		this.BTRefreshLocalStore.Click += new System.EventHandler(this.BTRefreshLocalStore_Click);
		// 
		// BTKEOAdd
		// 
		this.BTKEOAdd.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.BTKEOAdd.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.BTKEOAdd.Location = new System.Drawing.Point(496, 56);
		this.BTKEOAdd.Name = "BTKEOAdd";
		this.BTKEOAdd.Size = new System.Drawing.Size(40, 24);
		this.BTKEOAdd.TabIndex = 20;
		this.BTKEOAdd.Text = "<<";
		this.BTKEOAdd.Visible = false;
		this.BTKEOAdd.Click += new System.EventHandler(this.BTKEOAdd_Click);
		// 
		// BTKeoRemove
		// 
		this.BTKeoRemove.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.BTKeoRemove.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.BTKeoRemove.ForeColor = System.Drawing.Color.Red;
		this.BTKeoRemove.Location = new System.Drawing.Point(440, 56);
		this.BTKeoRemove.Name = "BTKeoRemove";
		this.BTKeoRemove.Size = new System.Drawing.Size(40, 24);
		this.BTKeoRemove.TabIndex = 21;
		this.BTKeoRemove.Text = "X";
		this.BTKeoRemove.Visible = false;
		this.BTKeoRemove.Click += new System.EventHandler(this.BTKeoRemove_Click);
		// 
		// GBKEOSell
		// 
		this.GBKEOSell.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.GBKEOSell.Controls.Add(this.UDSellNumber);
		this.GBKEOSell.Controls.Add(this.LVLocalStore);
		this.GBKEOSell.Controls.Add(this.LVKEOSell);
		this.GBKEOSell.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.GBKEOSell.Location = new System.Drawing.Point(4, 0);
		this.GBKEOSell.Name = "GBKEOSell";
		this.GBKEOSell.Size = new System.Drawing.Size(592, 286);
		this.GBKEOSell.TabIndex = 0;
		this.GBKEOSell.TabStop = false;
		this.GBKEOSell.Text = " ";
		// 
		// UDSellNumber
		// 
		this.UDSellNumber.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.UDSellNumber.Location = new System.Drawing.Point(128, 208);
		this.UDSellNumber.Name = "UDSellNumber";
		this.UDSellNumber.Size = new System.Drawing.Size(88, 22);
		this.UDSellNumber.TabIndex = 22;
		this.UDSellNumber.Visible = false;
		this.UDSellNumber.KeyDown += new System.Windows.Forms.KeyEventHandler(this.UDSellNumber_KeyDown);
		this.UDSellNumber.Leave += new System.EventHandler(this.UDSellNumber_Leave);
		// 
		// LVLocalStore
		// 
		this.LVLocalStore.Alignment = System.Windows.Forms.ListViewAlignment.SnapToGrid;
		this.LVLocalStore.AllowColumnReorder = true;
		this.LVLocalStore.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.LVLocalStore.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																					   this.columnHeader5,
																					   this.columnHeader6});
		this.LVLocalStore.ContextMenu = this.CM;
		this.LVLocalStore.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.LVLocalStore.GridLines = true;
		this.LVLocalStore.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
		this.LVLocalStore.HideSelection = false;
		this.LVLocalStore.LabelEdit = true;
		this.LVLocalStore.Location = new System.Drawing.Point(408, 16);
		this.LVLocalStore.MultiSelect = false;
		this.LVLocalStore.Name = "LVLocalStore";
		this.LVLocalStore.Size = new System.Drawing.Size(176, 264);
		this.LVLocalStore.TabIndex = 18;
		this.LVLocalStore.View = System.Windows.Forms.View.Details;
		this.LVLocalStore.DoubleClick += new System.EventHandler(this.BTKEOAdd_Click);
		// 
		// columnHeader5
		// 
		this.columnHeader5.Text = "";
		this.columnHeader5.Width = 72;
		// 
		// columnHeader6
		// 
		this.columnHeader6.Text = "-";
		this.columnHeader6.Width = 99;
		// 
		// CM
		// 
		this.CM.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																		   this.menuItem12});
		this.CM.Popup += new System.EventHandler(this.CMKEOMove_Popup);
		// 
		// menuItem12
		// 
		this.menuItem12.Index = 0;
		this.menuItem12.Text = "";
		this.menuItem12.Select += new System.EventHandler(this.TC_SelectedIndexChanged);
		// 
		// LVKEOSell
		// 
		this.LVKEOSell.Alignment = System.Windows.Forms.ListViewAlignment.SnapToGrid;
		this.LVKEOSell.AllowColumnReorder = true;
		this.LVKEOSell.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.LVKEOSell.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																					this.columnHeader7,
																					this.columnHeader8,
																					this.columnHeader9,
																					this.columnHeader10});
		this.LVKEOSell.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.LVKEOSell.GridLines = true;
		this.LVKEOSell.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
		this.LVKEOSell.HideSelection = false;
		this.LVKEOSell.Location = new System.Drawing.Point(8, 18);
		this.LVKEOSell.MultiSelect = false;
		this.LVKEOSell.Name = "LVKEOSell";
		this.LVKEOSell.Size = new System.Drawing.Size(392, 260);
		this.LVKEOSell.TabIndex = 17;
		this.LVKEOSell.View = System.Windows.Forms.View.Details;
		this.LVKEOSell.KeyDown += new System.Windows.Forms.KeyEventHandler(this.LVKEOSell_KeyDown);
		this.LVKEOSell.DoubleClick += new System.EventHandler(this.LVKEOSell_DoubleClick);
		// 
		// columnHeader7
		// 
		this.columnHeader7.Text = "";
		this.columnHeader7.Width = 76;
		// 
		// columnHeader8
		// 
		this.columnHeader8.Text = "-";
		this.columnHeader8.Width = 64;
		// 
		// columnHeader9
		// 
		this.columnHeader9.Text = "";
		this.columnHeader9.Width = 127;
		// 
		// columnHeader10
		// 
		this.columnHeader10.Text = "";
		this.columnHeader10.Width = 119;
		// 
		// TPKEOMove
		// 
		this.TPKEOMove.Controls.Add(this.GBKEOControls);
		this.TPKEOMove.Controls.Add(this.GBKEOMainStore);
		this.TPKEOMove.Controls.Add(this.GBKEOStore);
		this.TPKEOMove.Location = new System.Drawing.Point(4, 24);
		this.TPKEOMove.Name = "TPKEOMove";
		this.TPKEOMove.Size = new System.Drawing.Size(599, 420);
		this.TPKEOMove.TabIndex = 3;
		this.TPKEOMove.Text = " ";
		// 
		// GBKEOControls
		// 
		this.GBKEOControls.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.GBKEOControls.Controls.Add(this.BTKEOMove);
		this.GBKEOControls.Controls.Add(this.BTKEOMainSave);
		this.GBKEOControls.Controls.Add(this.BTKEOStoreRemove);
		this.GBKEOControls.Controls.Add(this.BTKEOStoreAdd);
		this.GBKEOControls.Controls.Add(this.LBKEORefresh2);
		this.GBKEOControls.Location = new System.Drawing.Point(8, 364);
		this.GBKEOControls.Name = "GBKEOControls";
		this.GBKEOControls.Size = new System.Drawing.Size(584, 40);
		this.GBKEOControls.TabIndex = 5;
		this.GBKEOControls.TabStop = false;
		// 
		// BTKEOMove
		// 
		this.BTKEOMove.Enabled = false;
		this.BTKEOMove.Location = new System.Drawing.Point(472, 8);
		this.BTKEOMove.Name = "BTKEOMove";
		this.BTKEOMove.TabIndex = 27;
		this.BTKEOMove.Text = "";
		this.BTKEOMove.Visible = false;
		this.BTKEOMove.Click += new System.EventHandler(this.BTKEOMove_Click);
		// 
		// BTKEOMainSave
		// 
		this.BTKEOMainSave.Anchor = System.Windows.Forms.AnchorStyles.Bottom;
		this.BTKEOMainSave.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.BTKEOMainSave.Location = new System.Drawing.Point(48, 8);
		this.BTKEOMainSave.Name = "BTKEOMainSave";
		this.BTKEOMainSave.Size = new System.Drawing.Size(40, 23);
		this.BTKEOMainSave.TabIndex = 26;
		this.BTKEOMainSave.Text = "V";
		this.BTKEOMainSave.Visible = false;
		this.BTKEOMainSave.Click += new System.EventHandler(this.BTKEOMainSave_Click);
		// 
		// BTKEOStoreRemove
		// 
		this.BTKEOStoreRemove.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.BTKEOStoreRemove.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.BTKEOStoreRemove.ForeColor = System.Drawing.Color.Red;
		this.BTKEOStoreRemove.Location = new System.Drawing.Point(96, 32);
		this.BTKEOStoreRemove.Name = "BTKEOStoreRemove";
		this.BTKEOStoreRemove.Size = new System.Drawing.Size(40, 23);
		this.BTKEOStoreRemove.TabIndex = 25;
		this.BTKEOStoreRemove.Text = "X";
		this.BTKEOStoreRemove.Visible = false;
		// 
		// BTKEOStoreAdd
		// 
		this.BTKEOStoreAdd.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.BTKEOStoreAdd.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.BTKEOStoreAdd.Location = new System.Drawing.Point(144, 32);
		this.BTKEOStoreAdd.Name = "BTKEOStoreAdd";
		this.BTKEOStoreAdd.Size = new System.Drawing.Size(40, 23);
		this.BTKEOStoreAdd.TabIndex = 24;
		this.BTKEOStoreAdd.Text = "<<";
		this.BTKEOStoreAdd.Visible = false;
		// 
		// LBKEORefresh2
		// 
		this.LBKEORefresh2.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.LBKEORefresh2.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.LBKEORefresh2.Location = new System.Drawing.Point(216, 36);
		this.LBKEORefresh2.Name = "LBKEORefresh2";
		this.LBKEORefresh2.Size = new System.Drawing.Size(40, 23);
		this.LBKEORefresh2.TabIndex = 23;
		this.LBKEORefresh2.Text = "Refresh";
		this.LBKEORefresh2.Visible = false;
		this.LBKEORefresh2.Click += new System.EventHandler(this.LBKEORefresh2_Click);
		// 
		// GBKEOMainStore
		// 
		this.GBKEOMainStore.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.GBKEOMainStore.Controls.Add(this.LVMainStore);
		this.GBKEOMainStore.Location = new System.Drawing.Point(360, 4);
		this.GBKEOMainStore.Name = "GBKEOMainStore";
		this.GBKEOMainStore.Size = new System.Drawing.Size(224, 344);
		this.GBKEOMainStore.TabIndex = 3;
		this.GBKEOMainStore.TabStop = false;
		this.GBKEOMainStore.Text = "  ";
		// 
		// LVMainStore
		// 
		this.LVMainStore.Alignment = System.Windows.Forms.ListViewAlignment.Left;
		this.LVMainStore.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.LVMainStore.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																					  this.columnHeader3,
																					  this.columnHeader4});
		this.LVMainStore.ContextMenu = this.CM;
		this.LVMainStore.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.LVMainStore.GridLines = true;
		this.LVMainStore.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
		this.LVMainStore.HideSelection = false;
		this.LVMainStore.LabelEdit = true;
		this.LVMainStore.Location = new System.Drawing.Point(0, 41);
		this.LVMainStore.MultiSelect = false;
		this.LVMainStore.Name = "LVMainStore";
		this.LVMainStore.RightToLeft = System.Windows.Forms.RightToLeft.Yes;
		this.LVMainStore.Size = new System.Drawing.Size(224, 335);
		this.LVMainStore.TabIndex = 17;
		this.LVMainStore.View = System.Windows.Forms.View.Details;
		this.LVMainStore.DoubleClick += new System.EventHandler(this.LVMainStore_DoubleClick);
		this.LVMainStore.SelectedIndexChanged += new System.EventHandler(this.LVMainStore_SelectedIndexChanged);
		// 
		// columnHeader3
		// 
		this.columnHeader3.Text = " ";
		this.columnHeader3.Width = 83;
		// 
		// columnHeader4
		// 
		this.columnHeader4.Text = "- ";
		this.columnHeader4.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
		this.columnHeader4.Width = 137;
		// 
		// GBKEOStore
		// 
		this.GBKEOStore.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left)));
		this.GBKEOStore.Controls.Add(this.label19);
		this.GBKEOStore.Controls.Add(this.label18);
		this.GBKEOStore.Controls.Add(this.CBStoreLocation);
		this.GBKEOStore.Controls.Add(this.LVCashierStore);
		this.GBKEOStore.Controls.Add(this.CBStores);
		this.GBKEOStore.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.GBKEOStore.ForeColor = System.Drawing.SystemColors.ControlText;
		this.GBKEOStore.Location = new System.Drawing.Point(8, 4);
		this.GBKEOStore.Name = "GBKEOStore";
		this.GBKEOStore.Size = new System.Drawing.Size(352, 344);
		this.GBKEOStore.TabIndex = 2;
		this.GBKEOStore.TabStop = false;
		this.GBKEOStore.Text = " ";
		// 
		// label19
		// 
		this.label19.Location = new System.Drawing.Point(8, 48);
		this.label19.Name = "label19";
		this.label19.Size = new System.Drawing.Size(56, 23);
		this.label19.TabIndex = 23;
		this.label19.Text = "";
		// 
		// label18
		// 
		this.label18.Location = new System.Drawing.Point(8, 24);
		this.label18.Name = "label18";
		this.label18.TabIndex = 22;
		this.label18.Text = " ";
		// 
		// CBStoreLocation
		// 
		this.CBStoreLocation.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
		this.CBStoreLocation.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.CBStoreLocation.ItemHeight = 16;
		this.CBStoreLocation.Location = new System.Drawing.Point(8, 72);
		this.CBStoreLocation.MaxDropDownItems = 16;
		this.CBStoreLocation.Name = "CBStoreLocation";
		this.CBStoreLocation.Size = new System.Drawing.Size(248, 24);
		this.CBStoreLocation.TabIndex = 21;
		this.CBStoreLocation.SelectedIndexChanged += new System.EventHandler(this.CBStoreLocation_SelectedIndexChanged);
		// 
		// LVCashierStore
		// 
		this.LVCashierStore.Alignment = System.Windows.Forms.ListViewAlignment.Left;
		this.LVCashierStore.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left)));
		this.LVCashierStore.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																						 this.columnHeader1,
																						 this.columnHeader2});
		this.LVCashierStore.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.LVCashierStore.GridLines = true;
		this.LVCashierStore.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
		this.LVCashierStore.HideSelection = false;
		this.LVCashierStore.Location = new System.Drawing.Point(8, 104);
		this.LVCashierStore.MultiSelect = false;
		this.LVCashierStore.Name = "LVCashierStore";
		this.LVCashierStore.RightToLeft = System.Windows.Forms.RightToLeft.Yes;
		this.LVCashierStore.Size = new System.Drawing.Size(200, 232);
		this.LVCashierStore.TabIndex = 13;
		this.LVCashierStore.View = System.Windows.Forms.View.Details;
		this.LVCashierStore.KeyDown += new System.Windows.Forms.KeyEventHandler(this.LVCashierStore_KeyDown);
		this.LVCashierStore.DoubleClick += new System.EventHandler(this.LVCashierStore_DoubleClick_1);
		this.LVCashierStore.SelectedIndexChanged += new System.EventHandler(this.LVCashierStore_SelectedIndexChanged);
		// 
		// columnHeader1
		// 
		this.columnHeader1.Text = "";
		this.columnHeader1.Width = 72;
		// 
		// columnHeader2
		// 
		this.columnHeader2.Text = "- ";
		this.columnHeader2.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
		this.columnHeader2.Width = 122;
		// 
		// CBStores
		// 
		this.CBStores.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.CBStores.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
		this.CBStores.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
		this.CBStores.ItemHeight = 16;
		this.CBStores.Location = new System.Drawing.Point(224, 32);
		this.CBStores.Name = "CBStores";
		this.CBStores.Size = new System.Drawing.Size(64, 22);
		this.CBStores.TabIndex = 2;
		this.CBStores.SelectedIndexChanged += new System.EventHandler(this.CBStores_SelectedIndexChanged);
		// 
		// sqlDA
		// 
		this.sqlDA.SelectCommand = this.sqlCommand;
		// 
		// sqlConnection1
		// 
		this.sqlConnection1.ConnectionString = "workstation id=SY;packet size=4096;user id=sa;data source=BILLSRV;persist securit" +
			"y info=False;initial catalog=BILL";
		// 
		// statusBar
		// 
		this.statusBar.Location = new System.Drawing.Point(0, 489);
		this.statusBar.Name = "statusBar";
		this.statusBar.Size = new System.Drawing.Size(608, 16);
		this.statusBar.TabIndex = 31;
		this.statusBar.Text = " : ";
		// 
		// MainForm
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(608, 505);
		this.Controls.Add(this.statusBar);
		this.Controls.Add(this.TC);
		this.MaximumSize = new System.Drawing.Size(800, 560);
		this.Menu = this.mainMenu;
		this.MinimumSize = new System.Drawing.Size(616, 532);
		this.Name = "MainForm";
		this.Text = " --";
		this.Resize += new System.EventHandler(this.MainForm_Resize);
		this.Closing += new System.ComponentModel.CancelEventHandler(this.MainForm_Closing);
		this.Load += new System.EventHandler(this.MainForm_Load);
		((System.ComponentModel.ISupportInitialize)(this.FindDS)).EndInit();
		((System.ComponentModel.ISupportInitialize)(this.dataTable1)).EndInit();
		((System.ComponentModel.ISupportInitialize)(this.DS)).EndInit();
		((System.ComponentModel.ISupportInitialize)(this.Invoices)).EndInit();
		this.TC.ResumeLayout(false);
		this.TPCash.ResumeLayout(false);
		this.GBPayment.ResumeLayout(false);
		this.GBRequisites.ResumeLayout(false);
		this.GBSearch.ResumeLayout(false);
		this.TPKEOSell.ResumeLayout(false);
		this.GBKEOPayment.ResumeLayout(false);
		this.GBKEOSell.ResumeLayout(false);
		((System.ComponentModel.ISupportInitialize)(this.UDSellNumber)).EndInit();
		this.TPKEOMove.ResumeLayout(false);
		this.GBKEOControls.ResumeLayout(false);
		this.GBKEOMainStore.ResumeLayout(false);
		this.GBKEOStore.ResumeLayout(false);
		this.ResumeLayout(false);

	}
    #endregion

    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main() 
    {
      MainForm MainFrm = new MainForm();
      XmlSerializer serializer = new XmlSerializer(typeof(Settings));
      try
      {
        FileStream fs = new FileStream("Kassasettings.xml", FileMode.Open);
        XmlReader reader = new XmlTextReader(fs);
        MainFrm.settings = (Settings)serializer.Deserialize(reader);
        fs.Close();

      }
      catch(System.IO.FileNotFoundException ex)
      {
        string message = ex.Message;
      }
     // FrmConnect connect = new FrmConnect();
     // connect.TBDB.Text = MainFrm.settings.strDB;
     // connect.TBServer.Text = MainFrm.settings.strServer;
     // connect.TBUser.Text = MainFrm.settings.strUser;

      if (MainFrm.DRegForm_Load())
      {

        /// 
      //  MainFrm.settings.strDB = connect.TBDB.Text;
      //  MainFrm.settings.strServer = connect.TBServer.Text;
      //  MainFrm.settings.strUser = connect.TBUser.Text;
      //  MainFrm.settings.Save();
        //TODO:    
		 // MainFrm.flc=new FileInfo("LastCheque.xml");
          
          MainFrm.nCurID = System.Convert.ToUInt16(MainFrm.settings.nDefaultCurrency);
         if(MainFrm.settings.nDebugMode>=1)
		  MainFrm.nAct=false; 
         else
          MainFrm.nAct=true; 
		  MainFrm.a = new KassaProxy(MainFrm.nAct,MainFrm.settings.nLDNumber,MainFrm.settings.nComPort,MainFrm.settings.nUse);
		  //MainFrm.a = new KassaProxy(MainFrm.nAct,,2,1);
		  //MainFrm.a = new KassaProxy(MainFrm.nAct,,2,1);
		  if(MainFrm.settings.nDebugMode==2)
			  MainFrm.a.cont.SerialNumber="00000";


		  MainFrm.strCMSerial=MainFrm.a.cont.SerialNumber;


        //Point loc = new Point(MainFrm.settings.nMainFormX, MainFrm.settings.nMainFormY);
        //MainFrm.Location = loc;
        //MainFrm.Height = MainFrm.settings.nMainFormH;
        //MainFrm.Width =  MainFrm.settings.nMainFormW;

        MainFrm.sqlConnection = MsSqlHelper.GetConnection();
        MainFrm.sqlCommand.Connection = MainFrm.sqlConnection;
        MainFrm.sqlCommand.CommandType = CommandType.StoredProcedure;
				MainFrm.sqlCommand.Parameters.Clear();

        // 
        decimal rate;
		  try
		  {
			  MainFrm.sqlCommand.CommandText = "csh_GetRate";
			  rate = Convert.ToDecimal(MainFrm.sqlCommand.ExecuteScalar());
			  MainFrm.dRate = rate;
			  MainFrm.statusBar.Text += rate.ToString();
		  }
		  catch(SqlException ex)
		  {
			  MessageBox.Show(ex.Message);
			  return;
		  }
				//TODO:       !!!
		//MainFrm.strCMSerial = "11112";

        MainFrm.sqlCommand.CommandText = "csh_GetCashierOptions";
        MainFrm.sqlCommand.Parameters.Add("@access_level", SqlDbType.TinyInt);
        MainFrm.sqlCommand.Parameters.Add("@cashier_num", SqlDbType.Int);
		MainFrm.sqlCommand.Parameters.Add("@operator_name", SqlDbType.VarChar, 255);
        MainFrm.sqlCommand.Parameters.Add("@store_num", SqlDbType.Int);

        MainFrm.sqlCommand.Parameters["@access_level"].Direction = ParameterDirection.Output;
        MainFrm.sqlCommand.Parameters["@cashier_num"].Direction = ParameterDirection.Output;
        MainFrm.sqlCommand.Parameters["@operator_name"].Direction = ParameterDirection.Output;
		MainFrm.sqlCommand.Parameters["@store_num"].Direction = ParameterDirection.Output;
        

        try
        {
			MainFrm.sqlCommand.ExecuteNonQuery();
			if((int)MainFrm.sqlCommand.Parameters["@cashier_num"].Value==-1)
			{
				MessageBox.Show("      !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

				
				return;
			}
			MainFrm.nAccessLevel = Convert.ToByte(MainFrm.sqlCommand.Parameters["@access_level"].Value);
			MainFrm.nCashierNum =  (int)MainFrm.sqlCommand.Parameters["@cashier_num"].Value;
			MainFrm.nStoreNum =	  (int)MainFrm.sqlCommand.Parameters["@store_num"].Value;
					//MainFrm.nCMNum =						 (int)MainFrm.sqlCommand.Parameters["@cm_num"].Value;
          MainFrm.strOperatorName = (string)MainFrm.sqlCommand.Parameters["@operator_name"].Value;
			if(MainFrm.a.writeCashierName(2,30, 2," "+MainFrm.strOperatorName.Trim())==-1)
			{
				MessageBox.Show("    !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			
				return;
			}	

        }
        catch(SqlException ex)
        {
          MessageBox.Show(ex.Message);
          return;
        }
				//TODO:      

				/* 
				 *    :
				 * 1.     .  -   
				 * 2.  , ,      
				 */
  //      MainFrm.Text = " " + MainFrm.strOperatorName + " -   ";

        //TODO:    

				//UNDONE:  
				/*
        MainFrm.sqlCommand.CommandText = "KASSA_GetReportsNames";
        SqlDataReader reader = MainFrm.sqlCommand.ExecuteReader();
        ///   ( )    ""   
        while(reader.Read())
        {
          MainFrm.MenuReports.MenuItems.Add(reader.GetString(0), new EventHandler (MainFrm.MenuClick_Click));
        }
        reader.Close();
        ///   (-    Reports)    ""
        DirectoryInfo repsDir = new DirectoryInfo("Reports");
        if(repsDir.Exists)
        {
          FileInfo[] reps = repsDir.GetFiles();
          foreach(FileInfo fri in reps)
          {
            //MessageBox.Show("|" + fri.Extension + "|");
            if(fri.Extension == ".rpt")
            {
              MainFrm.MenuReports.MenuItems.Add(fri.Name.Substring(0, (fri.Name.Length - 4)), new EventHandler (MainFrm.MenuClick_Click));
            }
          }

          if(MainFrm.MenuReports.MenuItems.Count == 0)
          {
            MessageBox.Show("  'Reports'   ", "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
          }
        }
        else
        {
          MessageBox.Show("   'Reports'  ", "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
				*/


        MainFrm.sqlCommand.Parameters.Clear();
        MainFrm.sqlCommand.CommandType = CommandType.StoredProcedure;
        MainFrm.sqlCommand.CommandText = "csh_GetOrderTypes";
        SqlDataReader reader = MainFrm.sqlCommand.ExecuteReader();
        
        //    , -    
        int i=0;
        while(reader.Read())
        {
          MainFrm.CBPayType.Items.Add(reader.GetString(1) + 
            "                                                                                                                                                                      " 
            + reader.GetInt32(0).ToString());

          if(reader.GetInt32(0) == MainFrm.settings.nDefaultOperation)
            MainFrm.CBPayType.SelectedIndex = i;
          i++;
        }
        reader.Close();
        i=0;
		 // ComboBoxItem
		  /*
		  ListViewItem item = new ListViewItem(reader.GetDecimal(0).ToString());
		  item.SubItems.Add(reader.GetInt32(1).ToString());
		  LVLocalStore.Items.Add(item);
			*/	
        //    
        MainFrm.sqlCommand.Parameters.Clear();
        MainFrm.sqlCommand.CommandType = CommandType.StoredProcedure;
        MainFrm.sqlCommand.CommandText = "csh_GetCardTypes";
        reader = MainFrm.sqlCommand.ExecuteReader();        
        while(reader.Read())
        {
          MainFrm.CBCardType.Items.Add(reader.GetString(1)
            + "                                                                                          "
            + reader.GetByte(0).ToString()
            );
          MainFrm.CBKEOCardType.Items.Add(reader.GetString(1)
            + "                                                                                          "
            + reader.GetByte(0).ToString()
            );
        }
        reader.Close();
        if(MainFrm.CBCardType.Items.Count == 0)
        {
          //MessageBox.Show("  - \n   POS-\n ", "", MessageBoxButtons.OK, MessageBoxIcon.Error);          
          MainFrm.CBPos.Enabled = false;
          MainFrm.CBKEOPos.Enabled = false;
        }
        else
        {
          MainFrm.CBCardType.SelectedIndex = 0;
          MainFrm.CBKEOCardType.SelectedIndex = 0;
        }

        //  
				MainFrm.sqlCommand.Parameters.Clear();
				MainFrm.sqlCommand.CommandType = CommandType.StoredProcedure;
        MainFrm.sqlCommand.CommandText = "csh_GetStores";
        reader = MainFrm.sqlCommand.ExecuteReader();        
        while(reader.Read())
        {
			if(reader.GetInt32(0)!=MainFrm.nStoreNum)
			{
				MainFrm.CBStores.Items.Add(reader.GetInt32(0).ToString());
				MainFrm.CBStoreLocation.Items.Add(reader.GetString(1));
			}
        }
        reader.Close();
		if(MainFrm.CBStores.Items.Count != 0)
		  {
			  MainFrm.CBStores.SelectedIndex = 0;
			  MainFrm.CBStoreLocation.SelectedIndex = 0;
		}
        /*
        // 
        MainFrm.sqlCommand.CommandText = "dir_GetCurrency";
        reader = MainFrm.sqlCommand.ExecuteReader();
        i=0;
        while(reader.Read())
        {
          MainFrm.CBCurrency.Items.Add(reader.GetString(2) + 
            "                                                                                                                                                                      " 
            + (reader.GetInt32(0)).ToString());
          if(reader.GetInt32(0) == MainFrm.settings.nDefaultCurrency)
          {
            MainFrm.CBCurrency.SelectedIndex = i;
          }
          i++;
        }
        reader.Close();
        */
        //connect.Dispose();
		MainFrm.GBPayment.Enabled = false;
		MainFrm.GBKEOPayment.Enabled=false;
		MainFrm.LVKEOSell.Enabled=false;
		MainFrm.LVLocalStore.Enabled=false;
		MainFrm.menuItem8.Enabled=false;
		MainFrm.menuItem11.Enabled=false;
		MainFrm.menuItem13.Enabled=false;

		if(MainFrm.nAccessLevel==2)
		  {
			  MainFrm.GBKEOMainStore.Enabled=false;
			  MainFrm.GBKEOStore.Enabled=false;
		  }
		  else
			  MainFrm.MIOpenSession.Enabled=false;
		Application.Run(MainFrm);
   

      }
      else
      {
        // connect.Dispose();
        Application.Exit();
        
      }
    }

	  private bool DRegForm_Load()
	  {
		  string connStatus		= "";	//  
		  string connFormStatus	= "";	//     connect

		  if (MsSqlHelper.ConnectLibraryAvailable() == true)
		  {
			  for (int i = 0; i < MsSqlHelper.MAX_CONNECT_RETRIES; i++)
			  {
				  connFormStatus = MsSqlHelper.Connect();
				  if (connFormStatus == "OK")
				  {
					  connStatus = MsSqlHelper.GetConnectionStatus();
					  if (connStatus == "OK")
					  {
						  return true;
						  /*
						  if (BusinessLogic.InitCurrentUserID() == true)
						  {
							  DDataGrid_Setup();
							  DCDataGrid_Setup();

							  DDataGrid_Refresh();
							  DDataGrid_CurrentCellChanged(null, null);

							  return;
						  }
						  else
						  {
							  MessageBox.Show("    !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

							  immediateExit = true;
							  Close();
							  return;
						  }		
						  */
					  }
					  else
						  MessageBox.Show(string.Format("   !\r\n{0}", connStatus), " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
				  }
				  else if (connFormStatus == "CANCEL")
				  {
					  immediateExit = true;
					  //Close();
					  return false;
				  }					
				  else if (connFormStatus == "INVALID")
				  {
					  MessageBox.Show("   CONNECT.DLL", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

					  immediateExit = true;
					  Close();
					  return false;
				  }					
			  }
		  }
		  else
		  {
			  MessageBox.Show("      CONNECT.DLL", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

			  immediateExit = true;
			  //Close();
			  return false;
		  }

		  MessageBox.Show("   (3) !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
		  //immediateExit = true;
		  Close();
		  return false;
	  }

	  private bool immediateExit = false;	//    ( )

/*
    /// <summary>
    ///   ...
    /// Get FIO, LS, Operator by phone
    /// </summary>
    public int GetClientRequisites(string phone)
    {

      sqlCommand.CommandText = "ESPP_acFind_new";
      sqlCommand.Parameters.Add("@PHN", SqlDbType.VarChar, 10).Value = phone;
      sqlCommand.Parameters.Add("@RRC", SqlDbType.VarChar, 6);
      sqlCommand.Parameters.Add("@ACC", SqlDbType.VarChar, 10);
      sqlCommand.Parameters.Add("@UFC", SqlDbType.VarChar, 1);
      sqlCommand.Parameters.Add("@FIO", SqlDbType.VarChar, 50);
      sqlCommand.Parameters.Add("@RON", SqlDbType.VarChar, 20);
      sqlCommand.Parameters.Add("@CHO", SqlDbType.VarChar, 11);
      sqlCommand.Parameters.Add("@ret", SqlDbType.TinyInt);
      sqlCommand.Parameters.Add("@RRC_val", SqlDbType.VarChar, 250);

      sqlCommand.Parameters["@RRC"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@ACC"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@UFC"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@FIO"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@RON"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@CHO"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@ret"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@RRC_val"].Direction = ParameterDirection.Output;

      try
      {
        sqlCommand.ExecuteNonQuery();
      }
      catch(SqlException ex)
      {
        MessageBox.Show(ex.Message);
        return -1;
      }

      if((int)sqlCommand.Parameters["@ret"].Value == 0) // 
      {
        GBPayment.Enabled = true;

        lblFIO.Text =         (string)sqlCommand.Parameters["@FIO"].Value;
        lblOperator.Text =    (string)sqlCommand.Parameters["@RON"].Value;
        lblRefuseCause.Text = (string)sqlCommand.Parameters["@RRC_val"].Value;
        lblOperator.Text = strOperatorName;
        TBAmount.Focus();
      }
      else
      {
        ClearForm();
        lblRefuseCause.Text = (string)sqlCommand.Parameters["@RRC_val"].Value;
        TBPhone.Focus();
      }

      sqlCommand.Parameters.Clear();
        
      return 0;
 */     
      /*
      else //Access
      {
        try
        {
          oleDbCommand.CommandText = "Select FIO, Balance from Abonent where PHN=\"" + phone + "\"";
          OleDbDataReader reader = oleDbCommand.ExecuteReader(CommandBehavior.SingleRow);

          
          if(reader.Read())
          {
            lblFIO.Text = reader.GetString(0).Trim();;
            lblBalance.Text = reader.GetString(1).Trim();
            lblOperator.Text = strOperatorName;

            TBAmount.Enabled = true;
            TBComment.Enabled = true;
            BTRegister.Enabled = true;

            TBAmount.Focus();
          }
          else
          {
            lblRefuseCause.Text = "  ";
          }
          reader.Close();
        }
        catch(OleDbException ex)
        {
          MessageBox.Show(ex.Message);
        }

        
        
        return 0;
      }
      
    }
*/

    private void BTClear_Click(object sender, System.EventArgs e)
    {
      ClearForm();
    }

    /// <summary>
    ///  ,  
    /// </summary>
    public void ClearForm()
    {
      TBPhone.Text = "";

      lblFIO.Text = "";
      lblOperator.Text = "";
      lblRefuseCause.Text = "";
      lblOperator.Text = "";
      lblBalance.Text = "";

      TBPhone.Text = "";
      TBAccount.Text = "";
      TBContract.Text="";

      TBAmount.Text = "";
      TBComment.Text = "";
      TBSum.Text = "";
      TBChange.Text = "";
      TBUESum.Text="";

      GBPayment.Enabled = false;
      CBPos.Checked = false;

      TBPhone.Focus();
    }
  


    private void TBSum_KeyUp(object sender, System.Windows.Forms.KeyEventArgs e)
    {
		TBAmount.Text=TBSum.Text;
      if((TBSum.Text == "") || (TBAmount.Text == "")) return;

		decimal amount = System.Convert.ToDecimal(TBSum.Text)/dRate;
		
		string stemp = amount.ToString();
       // if(stemp.IndexOf(',') >= 0)
		//	TBUESum.Text=stemp.Substring(0,stemp.IndexOf(',')+3);
		//else
			TBUESum.Text=stemp;
		//TBUESum.Text = amount.ToString();
		/*
		if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))
		{
			e.Handled = true;
			return;
		}
		*/
		//TBAmount.Text=TBSum.Text;
		//if(!(TBSum.Text.IndexOf('.') > 0 && TBSum.Text.IndexOf('.')+1 ==TBSum.Text.Length))
		{
			decimal change = System.Convert.ToDecimal(TBAmount.Text) - System.Convert.ToDecimal(TBSum.Text);
			if(change > 0)
				TBChange.Text = change.ToString();
			else
				TBChange.Text = "";
		} 
    }
    private void TBAmount_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
    {
     

	 if(e.KeyChar == '\r') 
      {
        TBSum.Focus();
        return;
      }
		if(InputError.checkDecimal(e.KeyChar, TBAmount.Text))
			e.Handled = true;		 
       
    }

    private void TBSum_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
    {
		/*
		if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar) )
		{

			MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			e.Handled = true;
			return;
		}
      if(e.KeyChar == '\r') return;
      if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))  e.Handled = true;
	  */
		if(InputError.checkDecimal(e.KeyChar, TBSum.Text))
			e.Handled = true;
    }

    private void TBAmount_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
    {

     // if(e.KeyValue == '\r') return;
      //if((TBSum.Text.Length == 0) || (TBAmount.Text.Length == 0)) return;
      //double Sum, Amount;
      //Sum = System.Convert.ToDouble(TBSum.Text);
      //Amount = System.Convert.ToDouble(TBAmount.Text);
      //if(System.Convert.ToDouble(TBSum.Text) >= System.Convert.ToDouble(TBAmount.Text))//System.Convert.ToDouble(TBSum.Text) >= System.Convert.ToDouble(TBAmount.Text))
      /*
      if(TBChange.Text.Length > 0)
        BTRegister.Enabled = true;
      else
        BTRegister.Enabled = false;
      */
      /*
      if((e.KeyValue < '0') || (e.KeyValue > 9) || (e.KeyValue != '.') || (e.KeyValue != ','))
      {
        //e.KeyValue = ' ';
      }
      */
    }

    private void menuItem7_Click(object sender, System.EventArgs e)
    {
      //TODO:  if(a.printReport(1)!=0) MessageBox.Show("Error");
      OpenSession();
    }

    private void MenuClick_Click(object sender, System.EventArgs e)
    {
		/*
      FrmReport rpt = new FrmReport();
      rpt.Text = ((System.Windows.Forms.MenuItem)sender).Text;
      rpt.Viewer.ReportSource = @"Reports\" 
        + ((System.Windows.Forms.MenuItem)sender).Text
        + ".rpt";
      rpt.ShowDialog();
      */
    }

    /// <summary>
    ///     param
    /// stype = 1 -    
    /// stype = 2 -     
    /// stype = 3 -    
    /// </summary>
    /// <param name="stype"> </param>
    /// <param name="param"> </param>
    public void FindClient(int stype, string param)

    {
		StreamWriter sw;	
      sqlCommand.CommandType = CommandType.StoredProcedure;
      sqlCommand.CommandText = "csh_FindClient";
      sqlCommand.CommandTimeout=30000;
      sqlCommand.Parameters.Clear();
      sqlCommand.Parameters.Add("@type", SqlDbType.Int, 4).Value = stype;
      sqlCommand.Parameters.Add("@param", SqlDbType.VarChar, 50).Value = param;

      sqlCommand.Parameters.Add("@phone", SqlDbType.VarChar, 50);
      sqlCommand.Parameters.Add("@account", SqlDbType.VarChar, 50);
      sqlCommand.Parameters.Add("@contract_num", SqlDbType.VarChar, 50);
      sqlCommand.Parameters.Add("@FIO", SqlDbType.VarChar, 50);
      sqlCommand.Parameters.Add("@balance", SqlDbType.VarChar, 20);
      sqlCommand.Parameters.Add("@oper_name", SqlDbType.VarChar, 50);
      sqlCommand.Parameters.Add("@ref_cause", SqlDbType.VarChar, 50);
      sqlCommand.Parameters.Add("@UFC", SqlDbType.VarChar, 20);
      sqlCommand.Parameters.Add("@pay_type", SqlDbType.TinyInt, 1);
	  sqlCommand.Parameters.Add("@market_cat", SqlDbType.VarChar, 30);
      sqlCommand.Parameters.Add("@ret", SqlDbType.Int, 4);

      sqlCommand.Parameters["@phone"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@account"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@contract_num"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@FIO"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@balance"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@oper_name"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@ref_cause"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@UFC"].Direction = ParameterDirection.Output;
      sqlCommand.Parameters["@ret"].Direction = ParameterDirection.Output;
	  sqlCommand.Parameters["@market_cat"].Direction = ParameterDirection.Output;
	  sqlCommand.Parameters["@pay_type"].Direction = ParameterDirection.Output;
      try

      {
		//  sw = File.AppendText("LogFile.txt");
		//  sw.WriteLine(DateTime.Now.ToString() + " " + " ");
		 // sw.Close();
	    MsSqlHelper.CloseConnection(this.sqlCommand.Connection);
		this.sqlConnection = MsSqlHelper.GetConnection();
		this.sqlCommand.Connection = this.sqlConnection;
        sqlCommand.ExecuteNonQuery();
		//  sw = File.AppendText("LogFile.txt");
		//  sw.WriteLine(DateTime.Now.ToString() + " " + " ");
		//  sw.Close();
      }
      catch(Exception ex)
      {
        MessageBox.Show(ex.Message, "   ", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
        return;
      }
      if((int)sqlCommand.Parameters["@ret"].Value == 0) // 
      {
        TBComment.Enabled = true;
        BTRegister.Enabled = true;
        TBAmount.Enabled = true;
        TBSum.Enabled = true;
        TBChange.Enabled = true;
        CBCurrency.Enabled = true;
        TBAmount.Clear();
        TBSum.Clear();
        TBChange.Clear();
        CBPayType.Enabled  = true; 
        GBPayment.Enabled = true;
		TBAccount.Enabled=false;
        TBPhone.Text =         (string)sqlCommand.Parameters["@phone"].Value;
        TBAccount.Text =      (string)sqlCommand.Parameters["@account"].Value;
        TBContract.Text =      (string)sqlCommand.Parameters["@contract_num"].Value;

        lblFIO.Text =         (string)sqlCommand.Parameters["@FIO"].Value;
        lblOperator.Text =    (string)sqlCommand.Parameters["@oper_name"].Value;
        lblRefuseCause.Text = (string)sqlCommand.Parameters["@ref_cause"].Value;
        lblBalance.Text =     (string)sqlCommand.Parameters["@balance"].Value;
        lblMarket.Text =     (string)sqlCommand.Parameters["@market_cat"].Value;
		if( Convert.ToInt32(sqlCommand.Parameters["@pay_type"].Value)==0)
        //if ( (int) sqlCommand.Parameters["@pay_type"].Value ==0)
			lblMethod.Text =    "";
		else
			lblMethod.Text =    ""; 	
        strBalance=           (string)sqlCommand.Parameters["@balance"].Value; 
        TBAccount.Enabled=true;
        TBSum.Focus();
        bESPP = false;
        return;
      }
      else
      {
        switch(stype)
        {
          case 1: //     
            if(MessageBox.Show("  \n    ?", "  ", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
            {
              //  
              sqlCommand.CommandType = CommandType.StoredProcedure;
              sqlCommand.CommandText = "ESPP_SMR0102001";
              sqlCommand.Parameters.Clear();
              sqlCommand.Parameters.Add("@PHN", SqlDbType.VarChar, 15).Value = TBPhone.Text.Trim();//Mobile number
              sqlCommand.Parameters.Add("@RRC", SqlDbType.VarChar, 6); //  
              sqlCommand.Parameters.Add("@ACC", SqlDbType.VarChar, 10);//  
              sqlCommand.Parameters.Add("@UFC", SqlDbType.VarChar, 1);//  
              sqlCommand.Parameters.Add("@FIO", SqlDbType.VarChar, 50);
              sqlCommand.Parameters.Add("@RON", SqlDbType.VarChar, 20);//  
              sqlCommand.Parameters.Add("@CHO", SqlDbType.VarChar, 11);//  
              sqlCommand.Parameters.Add("@RRC_val", SqlDbType.VarChar, 255);//   
              sqlCommand.Parameters.Add("@ret", SqlDbType.Int, 4);

              sqlCommand.Parameters["@ret"].Direction = ParameterDirection.Output;

              sqlCommand.Parameters["@RRC"].Direction = ParameterDirection.Output;
              sqlCommand.Parameters["@ACC"].Direction = ParameterDirection.Output;
              sqlCommand.Parameters["@UFC"].Direction = ParameterDirection.Output;
              sqlCommand.Parameters["@FIO"].Direction = ParameterDirection.Output;
              sqlCommand.Parameters["@RON"].Direction = ParameterDirection.Output;
              sqlCommand.Parameters["@CHO"].Direction = ParameterDirection.Output;
              sqlCommand.Parameters["@RRC_val"].Direction = ParameterDirection.Output;
              sqlCommand.Parameters["@ret"].Direction = ParameterDirection.Output;

              try
              {
                sqlCommand.ExecuteNonQuery();
              }
              catch(SqlException ex)
              {
                MessageBox.Show(ex.Message, "   ", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
                return;
              }

              lblRefuseCause.Text = (string)sqlCommand.Parameters["@RRC_val"].Value;
              if(((string)sqlCommand.Parameters["@RRC_val"].Value).Trim() == "0")
              {
                TBAccount.Text =      (string)sqlCommand.Parameters["@ACC"].Value;
                lblFIO.Text =         (string)sqlCommand.Parameters["@FIO"].Value;
                lblOperator.Text =    (string)sqlCommand.Parameters["@RON"].Value;
                TBAmount.Focus();
                bESPP = true;  
                return;
              }
            }      
            else
            {
              TBAccount.Text = "";
              lblFIO.Text = "";
              TBPhone.Focus();
              return;
            }
            
            break;
          case 2: //     
            MessageBox.Show("  ");
            ClearForm();
            break;
          case 3: //     
            MessageBox.Show("");
            break;
        }

        return;
      }

      /*
            if(type == 1)
            {
              sqlCommand()        
            }
            */
    }
    /// <summary>
    ///   .
    /// ,       
    /// </summary>
    /// <returns></returns>
    public object GetServerTime()
    {
      System.DateTime dt;
      sqlCommand.CommandText = "SELECT Getdate()";
      sqlCommand.CommandType = CommandType.Text;
      try
      {
        dt = (System.DateTime)sqlCommand.ExecuteScalar();
      }
      catch(SqlException ex)
      {
        MessageBox.Show(ex.Message + 
          "\n\n     \n   ", 
          " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        return null;
      }
      return dt;
    }

    private void menuItem7_Click_1(object sender, System.EventArgs e)
    {
      
		if(getCurrentCash() !=0)
		{
			MessageBox.Show("     ", 
			" ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			return;


		}
		if(MICloseSession.Enabled) 
		{
		//	if(a==null)
		//		a = new KassaProxy(nAct);
			    this.strCMSerial=a.cont.SerialNumber;
			//dispose 
			if(a.printReport(1)!=0)
				MessageBox.Show(" Z- ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

			//	MessageBox.Show(" Z- ");
			else
			{
				
				CloseSession();
			}
			//a=null;
		}
    }



    private void menuItem8_Click(object sender, System.EventArgs e)
    {
      FrmFind dlg = new FrmFind(sqlConnection,strCMSerial,lSessionID,a);
      //dlg.SetfrmCheck(this);
      dlg.ShowDialog();
    }

    /// <summary>
    ///  ,  
    /// </summary>
    /// <returns></returns>
	  public int RegisterCash(int restore)
	  {
		  StreamWriter sw;	
		  decimal sumb;
		  decimal sumvn;
		  int nChequeNumber=0;
		
		
		  if(File.Exists(this.strNameFile))
		  {
			  if(restore == 0) 
			  {
				  MessageBox.Show("         ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			

				  sw = File.AppendText("LogFile.txt");
				  sw.WriteLine(DateTime.Now.ToString() + " " + "        ");
				  sw.Close();

				  //MessageBox.Show("   ");
				  return -1;
			  }
			  else
			  {
				  XmlSerializer serializer = new XmlSerializer(typeof(LastCheque));
				  FileStream fs = new FileStream("LastCheque.xml", FileMode.Open);
				  XmlReader reader = new XmlTextReader(fs);
				  this.lastcheque = (LastCheque)serializer.Deserialize(reader);
				  fs.Close();
				  TBSum.Text=System.Convert.ToString(lastcheque.amount);
				  TBAmount.Text=System.Convert.ToString(lastcheque.charge);
				  TBAccount.Text=lastcheque.ac_id;
				  nChequeNumber=lastcheque.cheque_number;
				  sw = File.AppendText("LogFile.txt");
				  sw.WriteLine(DateTime.Now.ToString() + "   " );
				  sw.Close();

			  }

		  }
 
    
     
		  decimal rate;
		  try
		  {
			  MsSqlHelper.CloseConnection(this.sqlCommand.Connection);
			  this.sqlConnection = MsSqlHelper.GetConnection();
			  this.sqlCommand.Connection = this.sqlConnection;
			  sqlCommand.Parameters.Clear();
			  sqlCommand.CommandType = CommandType.StoredProcedure;
			  sqlCommand.CommandText = "csh_GetRate";
			  sqlCommand.CommandTimeout=120;
			  rate = Convert.ToDecimal(sqlCommand.ExecuteScalar());
			  dRate = rate;
			  //MainFrm.statusBar.Text += rate.ToString();
		  }
		  catch(Exception ex)
		  {
			  MessageBox.Show(ex.Message);
			  return -1;
		  }
      
		  // if(a==null)
		  //   a = new KassaProxy(nAct);
		  // nChequeNumber=a.printCashCheck("t",10.20m,1,1);
		  string namepay="  "+ TBAccount.Text.Trim()+ "  ";
		  sumb=System.Convert.ToDecimal(TBSum.Text);
		  sumvn=System.Convert.ToDecimal(TBAmount.Text);
		  // this.strCMSerial=a.cont.SerialNumber;//   c  
		  if(restore==0)
		  {
//			  if(!chbReturn.Checked)
			  {
				  if(CBPos.Checked) 
				  {	
					  //string namepay="   ";
					  nChequeNumber = a.printCardCheck(namepay ,sumb,1,1)+1;
				  }
				  else
					  nChequeNumber = a.printCashCheck(namepay,sumb,sumvn,1,1)+1;
	


			  }
//			  else
//				  nChequeNumber = a.returnCheck(namepay, sumb, 1, true, false, true, 1)+1;
		
			  if(nChequeNumber <= 0)
			  {
				  //chbReturn.Checked=false;
				  MessageBox.Show("    " +a.cont.ECRErrorDescription, " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			

				  sw = File.AppendText("LogFile.txt");
				  sw.WriteLine(DateTime.Now.ToString() + " " + a.cont.ECRErrorDescription);
				  sw.Close();

				  //MessageBox.Show("   ");
				  return nChequeNumber;
			  }
		  
		  lastcheque.cheque_number=nChequeNumber;
		  lastcheque.amount=sumb;
		  lastcheque.charge=sumvn;
		  lastcheque.ac_id=TBAccount.Text.Trim();
		  lastcheque.Save();
	  }
	  strChequeSerial = Convert.ToString(nChequeNumber);
      int nsign=1;
  //    if(chbReturn.Checked)
	//	  nsign=-1;
     // chbReturn.Checked=false;
	  if(settings.nDebugMode !=2)
		{
		if(!bESPP)
		{

				sqlCommand.Parameters.Clear();
				sqlCommand.CommandType = CommandType.StoredProcedure;
				sqlCommand.CommandText = "csh_InsPayment";
				sqlCommand.CommandTimeout=120;

				sqlCommand.Parameters.Add("@ret", SqlDbType.Int);

				sqlCommand.Parameters.Add("@session_id", SqlDbType.BigInt).Value = lSessionID;
				sqlCommand.Parameters.Add("@ac_id",SqlDbType.Int).Value = System.Convert.ToInt32(TBAccount.Text.Trim());
				sqlCommand.Parameters.Add("@cur_id", SqlDbType.TinyInt).Value = 1;
				sqlCommand.Parameters.Add("@conv_amount", SqlDbType.Money).Value = nsign* System.Convert.ToDecimal(TBSum.Text);
				sqlCommand.Parameters.Add("@cm_serial", SqlDbType.VarChar, 30).Value =  strCMSerial;
				sqlCommand.Parameters.Add("@ch_serial", SqlDbType.VarChar, 30).Value =  strChequeSerial;
				sqlCommand.Parameters.Add("@comment",SqlDbType.VarChar, 50).Value = TBComment.Text;
				sqlCommand.Parameters.Add("@cardType",SqlDbType.TinyInt);

				if(CBPos.Checked)
				{
					sqlCommand.Parameters["@cardType"].Value = 
						Convert.ToByte(CBCardType.Text.Substring(CBCardType.Text.Length-3, 3));
				}
				else
				{
					sqlCommand.Parameters["@cardType"].Value = 0;
				}

				sqlCommand.Parameters["@ret"].Direction = ParameterDirection.ReturnValue;
			}
			else
			{
				sqlCommand.CommandType = CommandType.StoredProcedure;
				sqlCommand.CommandText = "ESPP_SM_0402001";

				//TODO:   , , , ...
				sqlCommand.Parameters.Add("@PHN",SqlDbType.VarChar,15).Value = TBPhone.Text.Trim();
				sqlCommand.Parameters.Add("@PAM",SqlDbType.VarChar,21).Value = TBAmount.Text.Trim().Replace(",",".");//Pay amount
				sqlCommand.Parameters.Add("@CAH", SqlDbType.VarChar, 6).Value =  "123";//cheque number
				sqlCommand.Parameters.Add("@SNC", SqlDbType.VarChar, 11).Value =  "123";//cheque serial number
				sqlCommand.Parameters.Add("@CCM", SqlDbType.VarChar, 6).Value =  "123";//KKM number
				sqlCommand.Parameters.Add("@FCN", SqlDbType.VarChar, 30).Value =  "123";//KKM serial number
				sqlCommand.Parameters.Add("@OPN", SqlDbType.VarChar, 11).Value =  "123";//Kashier num
				sqlCommand.Parameters.Add("@PTY", SqlDbType.VarChar, 1).Value =  "1";//Payment type
				sqlCommand.Parameters.Add("@DSC", SqlDbType.VarChar,50).Value = TBComment.Text.Trim(); //comment       
				sqlCommand.Parameters.Add("@CHO1",SqlDbType.VarChar, 11).Value =  "123";//home operator code
			}
		}
		else
		{
		  sqlCommand.Parameters.Clear();
		  sqlCommand.CommandType = CommandType.StoredProcedure;
		    sqlCommand.CommandText = "csh_InsCashBook";
		  sqlCommand.Parameters.Clear();
		  sqlCommand.Parameters.Add("@cm_serial", SqlDbType.VarChar, 30).Value = strCMSerial;
		  sqlCommand.Parameters.Add("@cashier_num", SqlDbType.Int).Value = nCashierNum;
		  sqlCommand.Parameters.Add("@desk_id", SqlDbType.Int).Value = 0;
		  sqlCommand.Parameters.Add("@session_id", SqlDbType.BigInt).Value = lSessionID;
		  sqlCommand.Parameters.Add("@amount", SqlDbType.Money).Value=System.Convert.ToDecimal(TBSum.Text);
		  sqlCommand.Parameters.Add("@operation", SqlDbType.Int).Value=0;
		  sqlCommand.Parameters.Add("@cardType", SqlDbType.TinyInt).Value=0;
		  sqlCommand.Parameters.Add("@pay_id_out",SqlDbType.Int);
		  sqlCommand.Parameters.Add("@ac_id",SqlDbType.Int).Value = System.Convert.ToInt32(TBAccount.Text.Trim());
		  sqlCommand.Parameters["@pay_id_out"].Direction = ParameterDirection.Output;
		  if(CBPos.Checked)
		  {
			  sqlCommand.Parameters["@cardType"].Value = 
				  Convert.ToByte(CBCardType.Text.Substring(CBCardType.Text.Length-3, 3));
		  }
		  else
		  {
			  sqlCommand.Parameters["@cardType"].Value = 0;
		  }


		  sqlCommand.Parameters.Add("@ret", SqlDbType.Int);
		  sqlCommand.Parameters["@ret"].Direction = ParameterDirection.ReturnValue;



		}
      try
      {
        sqlCommand.ExecuteNonQuery();


        if((int)sqlCommand.Parameters["@ret"].Value != 0)
        {
          MessageBox.Show("");
			sw = File.AppendText("LogFile.txt");
			sw.WriteLine(DateTime.Now.ToString() + "  " );
			sw.Close();
          return - 1;
        }

		  //flc=new FileInfo("LastCheque");
		  if(File.Exists(this.strNameFile))
			  File.Delete(this.strNameFile);
		//  sw = File.AppendText("LogFile.txt");
		//  sw.WriteLine(DateTime.Now.ToString() + "   ");
		 // sw.Close();

		  if((int)sqlCommand.Parameters["@ret"].Value == 0  && settings.nDebugMode == 2)
		  {


			  int npay_id=(int)sqlCommand.Parameters["@pay_id_out"].Value;
			  sqlCommand.Parameters.Clear();
			  sqlCommand.CommandType = CommandType.StoredProcedure;
			  sqlCommand.CommandText = "csh_GetOrderByPayId";
			  sqlCommand.Parameters.Add("@pay_id",SqlDbType.Int).Value=npay_id; 
			  sqlCommand.Parameters.Add("@order_num",SqlDbType.Int);
			  sqlCommand.Parameters["@order_num"].Direction = ParameterDirection.Output;
			  sqlCommand.ExecuteNonQuery();	
			  int norder= (int)sqlCommand.Parameters["@order_num"].Value;
			  int nReport;
			  int parameter=1;
			  if(System.Convert.ToDecimal(TBSum.Text)  > 0)
				  nReport=10015; // 
			  else
				  nReport=100005; // 
			  //connection.ConnectionString
			  
			  System.Diagnostics.Process myProcess = new System.Diagnostics.Process(); 
			  myProcess.StartInfo.FileName = "FRGlobal.exe";
			  if(MsSqlHelper.connectParams[3]=="")
				  myProcess.StartInfo.Arguments = MsSqlHelper.connectParams[0]+" "+MsSqlHelper.connectParams[1]+" "+MsSqlHelper.connectParams[2]+" "+ "NULL" + " "+nReport.ToString()+ " "+parameter.ToString();// + " ord_num " + norder.ToString();
			  else
				  myProcess.StartInfo.Arguments = MsSqlHelper.connectParams[0]+" "+MsSqlHelper.connectParams[1]+" "+MsSqlHelper.connectParams[2]+" "+MsSqlHelper.connectParams[3] + " "+nReport.ToString()+ " "+parameter.ToString();// + " ord_num " +norder.ToString();
			  myProcess.StartInfo.UseShellExecute = false; 
	
			  myProcess.Start();
			  

			  

 
		  }
      }
      catch(Exception ex)
      {
        MessageBox.Show(ex.Message + 
          "\n\n  .     !!", 
          " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
		  sw = File.AppendText("LogFile.txt");
		  sw.WriteLine(DateTime.Now.ToString() + "  " + ex.Message);
		  sw.Close();
        sqlCommand.Parameters.Clear();
        //return;
      } 
      sqlCommand.Parameters.Clear();
	   
			// Add some text to the file.
		 
		  if(flag_log==1)
		  {
			  sw = File.AppendText("LogFile.txt");

			  sw.WriteLine(DateTime.Now.ToString() + "  " + strChequeSerial);
			  sw.Close();
		  }
      return 0;
/*
      sqlCommand.Parameters.Clear();
      sqlCommand.CommandType = CommandType.StoredProcedure;
      sqlCommand.CommandText = "pay_updconfirmpayment";
      sqlCommand.Parameters.Clear();

      sqlCommand.Parameters.Add("@pay_id",SqlDbType.Int,4).Value = (int)sqlCommand.Parameters["@ret"].Value;
      sqlCommand.Parameters.Add("@outputparam",SqlDbType.VarChar,256);
      sqlCommand.Parameters["@outputparam"].Direction = ParameterDirection.Output;
      try
      {
        sqlCommand.ExecuteNonQuery();
      }
      catch(SqlException ex)
      {
        MessageBox.Show(ex.Message + 
          "\n\n   ", 
          " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        sqlCommand.Parameters.Clear();
        //return;
      } 
      */
      

    }
    /// <summary>
    ///     
    /// </summary>
    /// <returns></returns>.
    public int RegisterPOS()
    {
		 
      //HACK: ! int nChequeNumber;
      //if(a.printCashCheck("",10.20m,1,1)<0)MessageBox.Show("Error");
      //HACK: ! nChequeNumber = a.printCardCheck("",4656,1,1);
      //HACK: ! if(nChequeNumber<0) MessageBox.Show("Error");
      //MessageBox.Show("registerPOS()");
      //HACK: ! return nChequeNumber;
			return -1;
    }

    private void BTClear_Click_1(object sender, System.EventArgs e)
    {
      ClearForm();
    }
    /// <summary>
    ///  :    
    ///        
    /// </summary>
    public void OpenSession()
    {
      int ret = 21;

      dtOpenSession = (System.DateTime)GetServerTime();
      
      if(dtOpenSession.Equals(null))
      {
        return;
      }

      FrmOpenSession dlg = new FrmOpenSession();
      sqlCommand.CommandType = CommandType.StoredProcedure;
      
      dlg.TBCloseSession.Visible = false;
      dlg.LBLCloseSession.Visible = false;
      dlg.TBOpenSession.Text = dtOpenSession.ToString("f");  
      if(dlg.ShowDialog() == DialogResult.OK)
      {
        sqlCommand.Parameters.Clear();
		 /* KassaProxy(nAct) pk;

		  
			  pk = new KassaProxy(nAct)();
		  strCMSerial=pk.cont.SerialNumber;
		  pk=null;
		  */
		 // strCMSerial="0010617";
		  //a=null;
		  //GC.Collect();
		  
        sqlCommand.CommandText = "csh_OpenSession";  //  
															
        sqlCommand.Parameters.Add("@ret", SqlDbType.Int);

        sqlCommand.Parameters.Add("@cashier_num", SqlDbType.Int).Value = nCashierNum;
        //sqlCommand.Parameters.Add("@cm_num", SqlDbType.Int).Value = nCMNum;
		sqlCommand.Parameters.Add("@cm_serial", SqlDbType.Char, 20).Value = strCMSerial;
        sqlCommand.Parameters.Add("@comment", SqlDbType.VarChar,255).Value = dlg.TBComment.Text;
        sqlCommand.Parameters.Add("@open_date", SqlDbType.DateTime);
		sqlCommand.Parameters.Add("@session_id", SqlDbType.BigInt);

        sqlCommand.Parameters["@ret"].Direction = ParameterDirection.ReturnValue;
        sqlCommand.Parameters["@open_date"].Direction = ParameterDirection.Output;
				sqlCommand.Parameters["@session_id"].Direction = ParameterDirection.Output;

        try
        {
          sqlCommand.ExecuteNonQuery();
			
        }
        catch(SqlException ex)
        {
          MessageBox.Show(ex.Message + 
            "\n\n  \n   ", 
            " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
          dlg.Dispose();
          sqlCommand.Parameters.Clear();
          return;
        } 
        ret = (int)sqlCommand.Parameters["@ret"].Value;
        if(ret == -2)
        {
          MessageBox.Show("     \n"
                          + "   \n   ", 
                          "   ", MessageBoxButtons.OK, MessageBoxIcon.Error);
          return;
        }

        if(ret != 0)
        {
          MessageBox.Show("\n"
            + "   ", 
            "   ", MessageBoxButtons.OK, MessageBoxIcon.Error);
          return;
        }
	  dtOpenSession = (System.DateTime)sqlCommand.Parameters["@open_date"].Value;
	  lSessionID = Convert.ToUInt64(sqlCommand.Parameters["@session_id"].Value);

        dlg.Dispose();
        this.Enabled = true;
        GBSearch.Enabled = true;
        GBRequisites.Enabled = true;

		GBKEOPayment.Enabled=true;
        LVKEOSell.Enabled=true;
		LVLocalStore.Enabled=true;
        ClearForm();
		menuItem8.Enabled=true;
		menuItem11.Enabled=true;
        menuItem13.Enabled=true;
        MIOpenSession.Enabled = false;
        MICloseSession.Enabled = true;
        this.Text =  " " + strOperatorName + " -  ";
        sqlCommand.Parameters.Clear();
		//a = new KassaProxy(nAct)();

      }
		GC.Collect();
    }
    
    /// <summary>
    ///  :
    /// 1.    
    /// 2.  
    /// 3.  -...
    /// 
    /// TODO: 
    /// 1.  
    /// 2.  
    /// 3. ...
    ///
    /// </summary>
    public void CloseSession()
    {
      System.DateTime dtCloseSession;
      dtCloseSession = (System.DateTime)GetServerTime();
      
      if(dtCloseSession.Equals(null))
      {
        return;
      }
    /*
      FrmOpenSession dlg = new FrmOpenSession();
      dlg.TBCloseSession.Visible = true;
      dlg.LBLCloseSession.Visible = true;
      dlg.TBOpenSession.Text = dtOpenSession.ToString("f");
      dlg.TBCloseSession.Text = dtCloseSession.ToString("f"); 
    */
      sqlCommand.CommandType = CommandType.StoredProcedure;

     // if(dlg.ShowDialog() == DialogResult.OK)
      {
        sqlCommand.Parameters.Clear();
        sqlCommand.CommandText = "csh_CloseSession";  //  
	    sqlCommand.Parameters.Add("@session_id", SqlDbType.BigInt, 8).Value = this.lSessionID;
        sqlCommand.Parameters.Add("@cm_serial", SqlDbType.Char, 20).Value = strCMSerial;

        try
        {
          sqlCommand.ExecuteNonQuery();
        }
        catch(SqlException ex)
        {
          MessageBox.Show(ex.Message + 
            "\n\n  \n   ", 
            " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
         // dlg.Dispose();
          sqlCommand.Parameters.Clear();
          return;
        } 
       // dlg.Dispose();

        ///TODO: 
        ///  1.   
        ///  2.  Z-
        ClearForm();
        GBSearch.Enabled = false;
		GBKEOPayment.Enabled=false;
        GBRequisites.Enabled = false;
        GBPayment.Enabled = false;

		GBKEOPayment.Enabled=false;
		LVKEOSell.Enabled=false;
		LVLocalStore.Enabled=false;
        //menuItem8.Enabled=true;
       // menuItem11.Enabled=true;
        MIOpenSession.Enabled = true;
        MICloseSession.Enabled = false;
		menuItem8.Enabled=false;
		menuItem11.Enabled=false;
        menuItem13.Enabled=false;
        this.Text =  " " + strOperatorName + " -   ";
        sqlCommand.Parameters.Clear();
      }    
    }

    private void menuItem5_Click(object sender, System.EventArgs e)
    {
      SettingsFrm sFrm = new SettingsFrm();
      sFrm.NMCashierNum.Value = settings.nCashierNum;
      sFrm.NMKassaNum.Value = settings.nCashRegisterNum;
      int i;
      string str;
      for(i=0; i<CBCurrency.Items.Count; i++)
      {
        str = (string)CBCurrency.Items[i];
        sFrm.CBDefaultCurrency.Items.Add(str);
        if(System.Convert.ToInt32(str.Substring(str.Length-3, 3).Trim()) == settings.nDefaultCurrency)
        {
          sFrm.CBDefaultCurrency.SelectedIndex = i;
        }
      }
      for(i=0; i<CBPayType.Items.Count; i++)
      {
        str = (string)CBPayType.Items[i];
        sFrm.CBDefaultPayType.Items.Add(str);
        if(System.Convert.ToInt32(str.Substring(str.Length-3, 3).Trim()) == settings.nDefaultOperation)
        {
          sFrm.CBDefaultPayType.SelectedIndex = i;
        }
      }
      

      if(sFrm.ShowDialog() == DialogResult.OK)
      {
        string strCurr, strOper;

        if(sFrm.CBDefaultCurrency.SelectedIndex != -1)
        {
          strCurr = (string)sFrm.CBDefaultCurrency.SelectedItem;
          strCurr = strCurr.Substring(strCurr.Length-3, 3).Trim();
          settings.nDefaultCurrency = System.Convert.ToInt32(strCurr);
        }
        if(sFrm.CBDefaultPayType.SelectedIndex != -1)
        {
          strOper = (string)sFrm.CBDefaultPayType.SelectedItem;
          strOper = strOper.Substring(strOper.Length-3, 3).Trim();
          settings.nDefaultOperation = System.Convert.ToInt32(strOper);
        }
        
        settings.nCashierNum = (int)sFrm.NMCashierNum.Value;
        settings.nCashRegisterNum = (int)sFrm.NMKassaNum.Value;
        
        settings.Save();

        CBPayType.SelectedIndex = sFrm.CBDefaultPayType.SelectedIndex;
        CBCurrency.SelectedIndex = sFrm.CBDefaultCurrency.SelectedIndex;
        sFrm.Dispose();
      }

    }

    private void CBPayType_SelectedIndexChanged(object sender, System.EventArgs e)
    {
    
    }

    private void TBPhone_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
    {
      if(e.KeyChar == '\b') return;
		 
      if(e.KeyChar == '\r') 
      {
        if(((System.Windows.Forms.TextBox)sender).Name == "TBPhone")
        {
          if(TBPhone.Text.Length < 11 )	
          {
            if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))e.Handled = true; 
            FindClient(1, TBPhone.Text);
            return;
          }
          else
          {
            MessageBox.Show("     10 ", "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);  
          }
        }

        if(((System.Windows.Forms.TextBox)sender).Name == "TBAccount")
        {
          FindClient(2, TBAccount.Text);
          return;
        }
		if(((System.Windows.Forms.TextBox)sender).Name == "TBContract")
		{
		   FindClient(3, TBContract.Text);
		   return;
		}
		if((e.KeyChar < '0') || (e.KeyChar > '9')&& !char.IsControl(e.KeyChar))
		{

			  MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			  e.Handled = true;
			  return;
		}
      }
    


    }

    private void GBSearch_Enter(object sender, System.EventArgs e)
    {
    
    }

    private void MainForm_Load(object sender, System.EventArgs e)
    {
    
    }

    private void TBSum_TextChanged(object sender, System.EventArgs e)
    {

    }

    private void CBPos_CheckedChanged(object sender, System.EventArgs e)
    {
     
    }

    private void button1_Click(object sender, System.EventArgs e)
    {
      //HACK: ! if(a.printReport(2)!=0)MessageBox.Show("Error");
		//if(a==null)
		//	a = new KassaProxy(nAct);
		if(a.printReport(2)!=0)
			MessageBox.Show("   X-", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

			//MessageBox.Show("  X-");
		//a=null;
    }

    private void button2_Click(object sender, System.EventArgs e)
    {
		//if(a==null)
		//	a = new KassaProxy(nAct);
		MessageBox.Show("  : " + a.cont.SerialNumber +"\n   : "+ a.cont.LogicalNumber );
		//a=null;
      //HACK: ! MessageBox.Show("  : " + a.cont.SerialNumber +"\n   : "+ a.cont.LogicalNumber );
    }

    private void menuItem4_Click(object sender, System.EventArgs e)
    {
		//if(a==null)
		//	a = new KassaProxy(nAct);
      MessageBox.Show("  : " + a.cont.SerialNumber +"\n   : "+ a.cont.LogicalNumber );
       // a=null;
    }

    private void menuItem9_Click(object sender, System.EventArgs e)
    {
       //if(a==null)
	//	a = new KassaProxy(nAct);
       if(a.printReport(2)!=0)
		   MessageBox.Show("   X- " + a.cont.ECRErrorDescription.ToString(), " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

		 //  MessageBox.Show("   X-");
		//a=null;
    }

    private void MainForm_Closing(object sender, CancelEventArgs e)
    {
	 /*
      if(MICloseSession.Enabled == true)
      {
        MessageBox.Show("   ", "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        e.Cancel = true;
        return;
      }
	  */
      if(a.ourUse==0)
		a.ldOtherNumberSet();
      settings.nMainFormX = this.Location.X;
      settings.nMainFormY = this.Location.Y;
      settings.nMainFormH = this.Height;
      settings.nMainFormW = this.Width;

      settings.Save();

    }

    private void tabPage1_Click(object sender, System.EventArgs e)
    {
    
    }

    private void BTKEORefresh_Click(object sender, System.EventArgs e)
    {
      //sqlCommand.Parameters.Clear();
      //sqlCommand.CommandText = ; // , -      
      /*

            DS.Clear();
            sqlDA.SelectCommand.Connection = this.sqlConnection;
            sqlDA.SelectCommand.CommandType = CommandType.StoredProcedure;
            sqlDA.SelectCommand.CommandText = "csh_GetKEOMainStore";
            sqlDA.SelectCommand.Parameters.Clear();
            try
            {
              sqlDA.Fill(DS, "AvailableKEO");
            }
            catch(SystemException ex)
            {
              MessageBox.Show(ex.Message);  
            }
            DGMainStore.DataSource = DS.Tables["AvailableKeo"];
     
            sqlDA.SelectCommand.CommandText = "csh_GetKEOLocalStore";
            sqlDA.SelectCommand.Parameters.Add("@store_num", SqlDbType.TinyInt).Value = System.Convert.ToByte(CBStores.Text.Trim());
            try
            {
              sqlDA.Fill(DS, "LocalKEO");
            }
            catch(SystemException ex)
            {
              MessageBox.Show(ex.Message);  
            }
            DGStore.DataSource = DS.Tables["LocalKEO"];
            //DGStore.Co
            DS.Tables["LocalKEO"].Columns[0].ReadOnly = true;

            sqlDA.SelectCommand.Parameters.Clear();
          */
    }



    private void LBKEORefresh2_Click(object sender, System.EventArgs e)
    {
      delArray.Clear();
	  
      sqlCommand.Parameters.Clear();
      sqlCommand.CommandType = CommandType.StoredProcedure;
      sqlCommand.CommandText = "csh_GetKEOlocalStore";
      sqlCommand.Parameters.Add("@store", SqlDbType.Int).Value = this.nStoreNum;
		try
		{
			SqlDataReader reader = sqlCommand.ExecuteReader();

			LVMainStore.Items.Clear();
			LVCashierStore.Items.Clear();

			while(reader.Read())
			{
				ListViewItem item = new ListViewItem(reader.GetDecimal(0).ToString());
				item.SubItems.Add(reader.GetInt32(1).ToString());
				LVMainStore.Items.Add(item);
			} 
			reader.Close();
			sqlCommand.Parameters.Clear();
			sqlCommand.CommandText = "csh_GetKEOLocalStore";
			sqlCommand.Parameters.Add("@store", SqlDbType.TinyInt).Value = 
				System.Convert.ToByte(CBStores.Text.Trim());
			reader = sqlCommand.ExecuteReader();
      

			while(reader.Read())
			{
				ListViewItem item = new ListViewItem(reader.GetDecimal(0).ToString());
				item.SubItems.Add(reader.GetInt32(1).ToString());
				LVCashierStore.Items.Add(item);
			} 
			sqlCommand.Parameters.Clear();
			reader.Close();

		}
		catch(SqlException ex)
		{
			MessageBox.Show(ex.Message);
		}
      

  




      if(LVMainStore.Items.Count > 0)
      {
        LVMainStore.Items[0].Selected = true;
        BTKEOStoreAdd.Enabled = true;
      }
      else
      {
        BTKEOStoreAdd.Enabled = false;
      }

      if(LVCashierStore.Items.Count > 0)
      {
        LVCashierStore.Items[0].Selected = true;
        BTKEOStoreRemove.Enabled = true;
      }
      else
      {
        BTKEOStoreRemove.Enabled = false;
      }

      

    }

    private void CBStores_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      CBStoreLocation.SelectedIndex = CBStores.SelectedIndex;
      sqlCommand.Parameters.Clear();
      sqlCommand.CommandText = "csh_GetKEOLocalStore";
      sqlCommand.Parameters.Add("@store", SqlDbType.TinyInt).Value = 
        System.Convert.ToByte(CBStores.Text.Trim());
      SqlDataReader reader = sqlCommand.ExecuteReader();
      
      LVCashierStore.Items.Clear();
  
      while(reader.Read())
      {
        ListViewItem item = new ListViewItem(reader.GetDecimal(0).ToString());
        item.SubItems.Add(reader.GetInt32(1).ToString());
        LVCashierStore.Items.Add(item);
      } 
      sqlCommand.Parameters.Clear();
      reader.Close();
    }

    private void LVCashierStore_DoubleClick(object sender, System.EventArgs e)
    {
		if(LVCashierStore.SelectedIndices.Count > 0)
		{
			FrmMoveKEO dlg = new FrmMoveKEO(sqlConnection);
			dlg.nStore = Convert.ToInt32(CBStores.Text.Trim());
			dlg.bMove = true;
			dlg.TBPrice.Text = LVMainStore.SelectedItems[0].Text;
			dlg.mPrice = Convert.ToDecimal(LVMainStore.SelectedItems[0].Text);
			if(dlg.ShowDialog() == DialogResult.OK)
			{
				sqlCommand.Parameters.Clear();
				sqlCommand.CommandText = "csh_KEOMove";

				sqlCommand.Parameters.Add("@storeOrig", SqlDbType.Int).Value = Convert.ToInt32(CBStores.Text.Trim());
				sqlCommand.Parameters.Add("@storeDest", SqlDbType.Int).Value =this.nStoreNum; 
				sqlCommand.Parameters.Add("@start", SqlDbType.Char, 14).Value = dlg.TBStart.Text.Trim();
				sqlCommand.Parameters.Add("@end", SqlDbType.Char, 14).Value = dlg.TBEnd.Text.Trim();

				try
				{
					sqlCommand.ExecuteNonQuery();
					//TODO:     
				}
				catch(SqlException ex)
				{
					MessageBox.Show(ex.Message);
				}

				dlg.Dispose();
          
			}
    
		}
		LBKEORefresh2_Click(sender,e);

    }

    private void LVCashierStore_DoubleClick_1(object sender, System.EventArgs e)
    {
      if(LVCashierStore.SelectedItems.Count == 0)
      {
        return;
      }

      int i;
      bool found = false;
      for(i = 0; i < LVMainStore.Items.Count; i++)
      {
        if(LVMainStore.Items[i].Text.Trim() == LVCashierStore.SelectedItems[0].Text.Trim()) 
        {
          found = true;
          LVMainStore.Items[i].SubItems[1].Text =
            ( (System.Convert.ToInt32(LVMainStore.Items[i].SubItems[1].Text.Trim())) + 
			  (System.Convert.ToInt32(LVCashierStore.Items[i].SubItems[1].Text.Trim())) ).ToString();
          break;
        }
      }
      if(!found)
      {
        ListViewItem item = new ListViewItem();
        item = (ListViewItem)LVCashierStore.SelectedItems[0].Clone();
        (item.SubItems[1]).Text = (System.Convert.ToInt32(LVCashierStore.Items[i].SubItems[1].Text.Trim())).ToString();
        LVMainStore.Items.Add(item);	
      }

      LVCashierStore.SelectedItems[0].SubItems[1].Text =
        ((System.Convert.ToInt32(LVCashierStore.SelectedItems[0].SubItems[1].Text.Trim())) - 1).ToString();

      if(LVCashierStore.SelectedItems[0].SubItems[1].Text.Trim() == "0")
      {
        arrVal v = new arrVal();
        v.price = System.Convert.ToDecimal(LVCashierStore.SelectedItems[0].Text.Trim());
        v.count = System.Convert.ToInt32(LVCashierStore.SelectedItems[0].SubItems[1].Text.Trim());
        delArray.Add(v);
        LVCashierStore.SelectedItems[0].Remove();
      }
    }

    private void UDKEONumber_Leave(object sender, System.EventArgs e)
    {
      //if(UDKEONumber.Visible == false) return;
      //MainStoreUpdate();
    }

    private void LVCashierStore_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
    {
      if(e.KeyValue == '\r')
      {
				/*
        Point loc = new Point(0, 0);
        Rectangle rect;
        rect = LVCashierStore.GetItemRect(LVCashierStore.SelectedItems[0].Index);
        loc.X = LVCashierStore.Location.X + rect.X + LVCashierStore.Columns[0].Width + 3;
        loc.Y = LVCashierStore.Location.Y + rect.Y;
        UDKEONumber.Value = System.Convert.ToInt32((LVCashierStore.SelectedItems[0].SubItems[1]).Text);
        UDKEONumber.Width = LVCashierStore.Columns[1].Width;
        UDKEONumber.Height = rect.Height;
        UDKEONumber.Font = LVCashierStore.Font;
        UDKEONumber.Location = loc;
        UDKEONumber.Visible = true;
        UDKEONumber.Focus();
				*/
      }
    }

    private void UDKEONumber_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
    {
      if(e.KeyValue == '\r')
      {
        MainStoreUpdate();
      }
      e.Handled = true;
    }

    private void LVMainStore_DoubleClick_1(object sender, System.EventArgs e)
    {
      if(LVMainStore.SelectedItems.Count == 0)
      {
        return;
      }
      if(LVMainStore.SelectedItems[0].SubItems[1].Text.Trim() == "0")
      {
        MessageBox.Show("   ", " ", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
        return;
      }
      int i;
      bool found = false;
      for(i = 0; i < LVCashierStore.Items.Count; i++)
      {
        if(LVCashierStore.Items[i].Text.Trim() == LVMainStore.SelectedItems[0].Text.Trim()) 
        {
          found = true;
          LVCashierStore.Items[i].SubItems[1].Text =
            ((System.Convert.ToInt32(LVCashierStore.Items[i].SubItems[1].Text.Trim())) + 1).ToString();
          break;
        }
      }
      if(!found)
      {
        ListViewItem item = new ListViewItem();
        item = (ListViewItem)LVMainStore.SelectedItems[0].Clone();
        (item.SubItems[1]).Text = "1";
        LVCashierStore.Items.Add(item);	
      }

      LVMainStore.SelectedItems[0].SubItems[1].Text =
        ((System.Convert.ToInt32(LVMainStore.SelectedItems[0].SubItems[1].Text.Trim())) - 1).ToString();

      if(LVMainStore.SelectedItems[0].SubItems[1].Text.Trim() == "0")
      {
        LVMainStore.SelectedItems[0].Remove();
      }

      BTKEOStoreRemove.Enabled = true;
      LVCashierStore.Items[0].Selected = true;
    }

    private void BTRefreshLocalStore_Click(object sender, System.EventArgs e)
    {
      LVKEOSell.Items.Clear();
      LVLocalStore.Items.Clear();

      sqlCommand.Parameters.Clear();
      sqlCommand.CommandText = "csh_GetKEOStore";
      sqlCommand.Parameters.Add("@store_num", SqlDbType.TinyInt).Value = nStoreNum;
      SqlDataReader reader = sqlCommand.ExecuteReader();
  
      while(reader.Read())
      {
        ListViewItem item = new ListViewItem(reader.GetDecimal(0).ToString());
        item.SubItems.Add(reader.GetInt32(1).ToString());
        LVLocalStore.Items.Add(item);
      } 
      sqlCommand.Parameters.Clear();
      reader.Close();

      if(LVLocalStore.Items.Count > 0)
      {
        LVLocalStore.Items[0].Selected = true;
      }
    }

    private void BTKEOAdd_Click(object sender, System.EventArgs e)
    {
      if(LVLocalStore.SelectedIndices.Count > 0)
      {
        FrmMoveKEO dlg = new FrmMoveKEO(sqlConnection);
        dlg.nStore = this.nStoreNum;//Convert.ToInt32(CBStores.Text.Trim());
        dlg.bMove = false;
        dlg.Text = "  ";
        dlg.BTMove.Text = "OK";
        dlg.TBPrice.Text = LVLocalStore.SelectedItems[0].Text;
        dlg.mPrice = Convert.ToDecimal(LVLocalStore.SelectedItems[0].Text);
        if(dlg.ShowDialog() == DialogResult.OK)
        {
            //     
			SqlCommand sqlCommandM;
			sqlCommandM = new SqlCommand();
			sqlCommandM.Connection = sqlConnection;
			sqlCommandM.CommandType = CommandType.StoredProcedure;
			sqlCommandM.CommandText = "csh_KEOMarkDiap";
			sqlCommandM.Parameters.Clear();
			
			sqlCommandM.Parameters.Add("@price", SqlDbType.Money).Value = Convert.ToDecimal(dlg.TBPrice.Text.Trim()); 
			sqlCommandM.Parameters.Add("@store", SqlDbType.Int).Value = dlg.nStore;
			sqlCommandM.Parameters.Add("@start", SqlDbType.Char, 14).Value = dlg.TBStart.Text;
			sqlCommandM.Parameters.Add("@end", SqlDbType.Char, 14).Value = dlg.TBEnd.Text;
			//sqlCommandM.Parameters["@ret"].Direction = ParameterDirection.ReturnValue;

			

			try
			{
				sqlCommandM.ExecuteNonQuery();
			}
			catch(SqlException ex)
			{
				MessageBox.Show(ex.Message);
				return;
			}
		 //	MessageBox.Show("Test");
		
		
         // int gt;
		 // gt=Convert.ToInt32(sqlCommandM.Parameters["@ret"].Value);
         // gt=gt+1;
          ListViewItem item = new ListViewItem(dlg.TBPrice.Text.Trim());
          //item.Text = 
          item.SubItems.Add(dlg.strCount);
          item.SubItems.Add(dlg.TBStart.Text.Trim());
          item.SubItems.Add(dlg.TBEnd.Text.Trim());

          LVKEOSell.Items.Add(item);

          dlg.Dispose();

          decimal amount=0  //  ..
                  ,convAmount=0;  //  
          foreach(ListViewItem Item in LVKEOSell.Items)
          {
            amount += ( Convert.ToDecimal(Item.Text.Trim()) ) * Convert.ToInt32(Item.SubItems[1].Text.Trim());
          }
          lblUE.Text = "( " + amount.ToString() + " .. )";
          amount = amount * dRate;
          TBKEOSum.Text = amount.ToString();
		  LVLocalStore.Items.Clear();
    		sqlCommand.Parameters.Clear();
			sqlCommand.CommandText = "csh_GetKEOStore";
			sqlCommand.Parameters.Add("@store_num", SqlDbType.TinyInt).Value = nStoreNum;
   		    sqlCommand.Parameters.Add("@flag", SqlDbType.TinyInt).Value = 2;
			try
			{
				SqlDataReader reader = sqlCommand.ExecuteReader();
			
			
				while(reader.Read())
				{
					ListViewItem itemn = new ListViewItem(reader.GetDecimal(0).ToString());
					itemn.SubItems.Add(reader.GetInt32(1).ToString());
					LVLocalStore.Items.Add(itemn);
				} 
				sqlCommand.Parameters.Clear();
				reader.Close();
			}
			catch(SqlException ex)
			{
				MessageBox.Show(ex.Message);
				return;
			}	
			if(LVLocalStore.Items.Count > 0)
			{
				LVLocalStore.Items[0].Selected = true;
			}
          /*
          sqlCommand.Parameters.Clear();
          sqlCommand.CommandText = "csh_KEOMove";

          sqlCommand.Parameters.Add("@storeOrig", SqlDbType.Int).Value = this.nStoreNum;
          sqlCommand.Parameters.Add("@storeDest", SqlDbType.Int).Value = Convert.ToInt32(CBStores.Text.Trim());
          sqlCommand.Parameters.Add("@start", SqlDbType.Char, 14).Value = dlg.TBStart.Text.Trim();
          sqlCommand.Parameters.Add("@end", SqlDbType.Char, 14).Value = dlg.TBEnd.Text.Trim();

          try
          {
            sqlCommand.ExecuteNonQuery();
          }
          catch(SqlException ex)
          {
            MessageBox.Show(ex.Message);
          }
          */
          
          
        }
        /*
         * if(LVLocalStore.SelectedItems.Count == 0)
        {
          return;
        }

        int i;
        bool found = false;
        for(i = 0; i < LVKEOSell.Items.Count; i++)
        {
          if(LVKEOSell.Items[i].Text.Trim() == LVLocalStore.SelectedItems[0].Text.Trim()) 
          {
            found = true;
            LVKEOSell.Items[i].SubItems[1].Text =
              ((System.Convert.ToInt32(LVKEOSell.Items[i].SubItems[1].Text.Trim())) + 1).ToString();
            break;
          }
        }
        if(!found)
        {
          ListViewItem item = new ListViewItem();
          item = (ListViewItem)LVLocalStore.SelectedItems[0].Clone();
          (item.SubItems[1]).Text = "1";
          LVKEOSell.Items.Add(item);	
        }

        LVLocalStore.SelectedItems[0].SubItems[1].Text =
          ((System.Convert.ToInt32(LVLocalStore.Items[i].SubItems[1].Text.Trim())) - 1).ToString();

        if(LVLocalStore.SelectedItems[0].SubItems[1].Text.Trim() == "0")
        {
          LVLocalStore.SelectedItems[0].Remove();
        }

        BTKeoRemove.Enabled = true;
        if(LVLocalStore.Items.Count > 0)
        {
          LVLocalStore.Items[0].Selected = true;
        }
        KEOPriceUpdate();
        */
      }
    }

    private void LVKEOSell_Click(object sender, System.EventArgs e)
    {
      Point loc = new Point(0, 0);
      Rectangle rect;
      rect = LVKEOSell.GetItemRect(LVKEOSell.SelectedItems[0].Index);
      loc.X = LVKEOSell.Location.X + rect.X + LVKEOSell.Columns[0].Width + 3;
      loc.Y = LVKEOSell.Location.Y + rect.Y;
      UDSellNumber.Value = System.Convert.ToInt32((LVKEOSell.SelectedItems[0].SubItems[1]).Text);
      UDSellNumber.Width = LVKEOSell.Columns[1].Width;
      UDSellNumber.Height = rect.Height;
      UDSellNumber.Font = LVKEOSell.Font;
      UDSellNumber.Location = loc;
      UDSellNumber.Visible = true;		
      UDSellNumber.Focus();
    }

    private void UDSellNumber_Leave(object sender, System.EventArgs e)
    {
      //double sum = 0;
      string str = LVKEOSell.Items[LVKEOSell.SelectedItems[0].Index].Text;
      (LVKEOSell.Items[LVKEOSell.SelectedItems[0].Index].SubItems).Clear();
      LVKEOSell.Items[LVKEOSell.SelectedItems[0].Index].Text = str;
      LVKEOSell.Items[LVKEOSell.SelectedItems[0].Index].SubItems.Add(UDSellNumber.Value.ToString());

			KEOPriceUpdate();
      UDSellNumber.Visible = false;

    }

    private void UDSellNumber_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
    {
      if(e.KeyValue == '\r')
      {
        KEOStoreUpdate();
        /*
        double sum=0;
        string str = LVKEOSell.Items[LVKEOSell.SelectedItems[0].Index].Text;
        (LVKEOSell.Items[LVKEOSell.SelectedItems[0].Index].SubItems).Clear();
        LVKEOSell.Items[LVKEOSell.SelectedItems[0].Index].Text = str;
        LVKEOSell.Items[LVKEOSell.SelectedItems[0].Index].SubItems.Add(UDSellNumber.Value.ToString());

        foreach(ListViewItem item in LVKEOSell.Items)
        {
          sum += ( System.Convert.ToInt32(item.SubItems[1].Text.Trim())* System.Convert.ToDouble(item.Text) );
        }
        TBKEOSum.Text = sum.ToString();
        UDSellNumber.Visible = false;
        */
      }
    }


    private void BTKEOStoreRemove_Click(object sender, System.EventArgs e)
    {
      int i;
      bool found=false;

      for(i = 0; i < LVMainStore.Items.Count; i++)
      {
        if(LVMainStore.Items[i].Text.Trim() == LVCashierStore.SelectedItems[0].Text.Trim()) 
        {
          found = true;
          LVMainStore.Items[i].SubItems[1].Text =
            (
            (System.Convert.ToInt32(LVCashierStore.SelectedItems[0].SubItems[1].Text.Trim())) + 
            System.Convert.ToInt32(LVMainStore.Items[i].SubItems[1].Text.Trim())
            ).ToString();
          break;
        }
      }
      if(!found)
      {
        ListViewItem item = new ListViewItem();
        item = (ListViewItem)LVCashierStore.SelectedItems[0].Clone();
        (item.SubItems[1]).Text = LVCashierStore.SelectedItems[0].SubItems[1].Text.Trim();
        LVMainStore.Items.Add(item);	
      }
      
      arrVal v = new arrVal();
      v.price = System.Convert.ToDecimal(LVCashierStore.SelectedItems[0].Text.Trim());
      v.count = System.Convert.ToInt32(LVCashierStore.SelectedItems[0].SubItems[1].Text.Trim());
      delArray.Add(v);
      LVCashierStore.SelectedItems[0].Remove();

      if(LVCashierStore.Items.Count == 0)
      {
        BTKEOStoreRemove.Enabled = false;  
      }
      else
      {
        LVCashierStore.Items[0].Selected = true;
      }

    }

    private void LVCashierStore_SelectedIndexChanged(object sender, System.EventArgs e)
    {
    
    }

    private int MainStoreUpdate()
    {
			return 0;
			/*
     // if(UDKEONumber.Visible == false) return 0;
      int selectedItem = LVCashierStore.SelectedIndices[0];
      int prev = System.Convert.ToInt32(LVCashierStore.SelectedItems[0].SubItems[1].Text.Trim()); // 
      int diff = (int)(prev - UDKEONumber.Value);// >0 - move to MainStore, <0 - Move from MainStore

      if(diff == 0)// 
      {
      //  UDKEONumber.Visible = false;
        return -1;
      }

      int i, val; 
      bool found = false;

      for(i = 0; i < LVMainStore.Items.Count; i++)// .   . . 
      {
        if(LVMainStore.Items[i].Text.Trim() == LVCashierStore.SelectedItems[0].Text.Trim()) 
        {
          found = true;
          val = (int)System.Convert.ToInt32(LVMainStore.Items[i].SubItems[1].Text.Trim());
          if((val + diff) < 0)
          {
            MessageBox.Show("        ", " ", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);  
          //  UDKEONumber.Visible = false;
            return -1;
          }
          LVMainStore.Items[i].SubItems[1].Text = (val + diff).ToString(); 
          if(LVMainStore.Items[i].SubItems[1].Text.Trim() == "0")
          {
            LVMainStore.Items[i].Remove();
          }
          break;
        }
      }

      if(!found)
      {
        if(diff < 0)
        {
          MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);          	
        }
        else
        {
          ListViewItem item = new ListViewItem(LVCashierStore.SelectedItems[0].Text.Trim());
          item.SubItems.Add((diff).ToString());
          LVMainStore.Items.Add(item);        
        }
      }     
   
      if(UDKEONumber.Value.ToString().Trim() == "0")
      {
        arrVal v = new arrVal();
        v.price = System.Convert.ToDecimal(LVCashierStore.SelectedItems[0].Text.Trim());
        v.count = System.Convert.ToInt32(LVCashierStore.SelectedItems[0].SubItems[1].Text.Trim());
        delArray.Add(v);
        LVCashierStore.SelectedItems[0].Remove();
      }
      else
      {
        LVCashierStore.SelectedItems[0].SubItems[1].Text = UDKEONumber.Value.ToString().Trim();
      }

      UDKEONumber.Visible = false;

      return 0;
			*/
    }

    private void LVMainStore_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
    {
      if(e.KeyValue == '\r')
      {
        LVMainStore_DoubleClick_1(sender, e); 
      }
    }

    private void MainForm_Resize(object sender, System.EventArgs e)
    {
      /*
      LVKEOSell.Width = BTKEOAdd.Location.X - 10;
      Point loc = new Point(BTKEOAdd.Location.X + BTKEOAdd.Width + 3, LVLocalStore.Location.Y);
      LVLocalStore.Location = loc;
      LVLocalStore.Width = GBKEOSell.Right - LVLocalStore.Location.X - 12;

      LVCashierStore.Width = BTKEOStoreAdd.Location.X - 10;
      loc.X = BTKEOStoreAdd.Location.X + BTKEOStoreAdd.Width + 3;
      loc.Y = LVMainStore.Location.Y;
      LVMainStore.Location = loc;
      //LVMainStore.Width = GBKEOMove.Right - LVMainStore.Location.X - 12;
*/
      
    }

    private void BTKeoRemove_Click(object sender, System.EventArgs e)
    {
      int i;
      bool found=false;

      for(i = 0; i < LVLocalStore.Items.Count; i++)
      {
        if(LVLocalStore.Items[i].Text.Trim() == LVKEOSell.SelectedItems[0].Text.Trim()) 
        {
          found = true;
          LVLocalStore.Items[i].SubItems[1].Text =
            (
            (System.Convert.ToInt32(LVKEOSell.SelectedItems[0].SubItems[1].Text.Trim())) + 
            System.Convert.ToInt32(LVLocalStore.Items[i].SubItems[1].Text.Trim())
            ).ToString();
          break;
        }
      }
      if(!found)
      {
        ListViewItem item = new ListViewItem();
        item = (ListViewItem)LVMainStore.SelectedItems[0].Clone();
        (item.SubItems[1]).Text = LVKEOSell.SelectedItems[0].SubItems[1].Text.Trim();
        LVLocalStore.Items.Add(item);	
      }

      LVKEOSell.SelectedItems[0].Remove();

      if(LVKEOSell.Items.Count == 0)
      {
        BTKEOStoreRemove.Enabled = false;  
      }
      else
      {
        LVKEOSell.Items[0].Selected = true;
      }

			KEOPriceUpdate();
    }

    private void LVKEOSell_DoubleClick(object sender, System.EventArgs e)
    {
      if(LVKEOSell.SelectedIndices.Count > 0)
      {
        //int sel = LVKEOSell.SelectedIndices[0];
	  if(MessageBox.Show("   c  ?",
			  "   ", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
/*
        if(MessageBox.Show(": "+LVKEOSell.SelectedItems[0].Text.Trim()
          +"\n\n:\nC   "+LVKEOSell.SelectedItems[0].SubItems[2].Text.Trim()
          +"\n "+LVKEOSell.SelectedItems[0].SubItems[3].Text.Trim()
          +"\n\n     ?",
          "    ", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)*/
        {
          BTRefreshLocalStore_Click(sender, e);
			//LVKEOSell.SelectedItems[0].Remove();//SelectedItems[0].Remove();
          return;
        }
      }


      /*
      if(LVKEOSell.SelectedItems.Count == 0)
      {
        return;
      }

      int i;
      bool found = false;
      for(i = 0; i < LVLocalStore.Items.Count; i++)
      {
        if(LVLocalStore.Items[i].Text.Trim() == LVKEOSell.SelectedItems[0].Text.Trim()) 
        {
          found = true;
          LVLocalStore.Items[i].SubItems[1].Text =
            ((System.Convert.ToInt32(LVLocalStore.Items[i].SubItems[1].Text.Trim())) + 1).ToString();
          break;
        }
      }
      if(!found)
      {
        ListViewItem item = new ListViewItem();
        item = (ListViewItem)LVMainStore.SelectedItems[0].Clone();
        (item.SubItems[1]).Text = "1";
        LVLocalStore.Items.Add(item);	
      }

      LVKEOSell.SelectedItems[0].SubItems[1].Text =
        ((System.Convert.ToInt32(LVKEOSell.Items[i].SubItems[1].Text.Trim())) - 1).ToString();

      if(LVKEOSell.SelectedItems[0].SubItems[1].Text.Trim() == "0")
      {
        LVKEOSell.SelectedItems[0].Remove();
      }
      */
    }

    private void LVKEOSell_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
    {
      if(LVKEOSell.SelectedItems.Count == 0) return;
      if(e.KeyValue == '\r')
      {
        Point loc = new Point(0, 0);
        Rectangle rect;
        rect = LVKEOSell.GetItemRect(LVKEOSell.SelectedItems[0].Index);
        loc.X = LVKEOSell.Location.X + rect.X + LVKEOSell.Columns[0].Width + 3;
        loc.Y = LVKEOSell.Location.Y + rect.Y;
        UDSellNumber.Value = System.Convert.ToInt32((LVKEOSell.SelectedItems[0].SubItems[1]).Text);
        UDSellNumber.Width = LVKEOSell.Columns[1].Width;
        UDSellNumber.Height = rect.Height;
        UDSellNumber.Font = LVKEOSell.Font;
        UDSellNumber.Location = loc;
        UDSellNumber.Visible = true;
        UDSellNumber.Focus();
      }
    }

    public int KEOStoreUpdate()
    {
      int selectedItem = LVKEOSell.SelectedIndices[0];
      int prev = System.Convert.ToInt32(LVKEOSell.SelectedItems[0].SubItems[1].Text.Trim()); // 
      int diff = (int)(prev - UDSellNumber.Value);// >0 - move to MainStore, <0 - Move from MainStore

      if(diff == 0)// 
      {
        UDSellNumber.Visible = false;
        return -1;
      }

      int i, val; 
      //int diff2 = 0;
      bool found = false;

      for(i = 0; i < LVLocalStore.Items.Count; i++)// .   . 
      {
        if(LVLocalStore.Items[i].Text.Trim() == LVKEOSell.SelectedItems[0].Text.Trim()) 
        {
          found = true;
          val = (int)System.Convert.ToInt32(LVLocalStore.Items[i].SubItems[1].Text.Trim());
          if((val + diff) < 0)
          {
            MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);  
            UDSellNumber.Visible = false;
            return -1;
          }
          LVLocalStore.Items[i].SubItems[1].Text = (val + diff).ToString(); 
          if(LVLocalStore.Items[i].SubItems[1].Text.Trim() == "0")
          {
            LVLocalStore.Items[i].Remove();
          }
          break;
        }
      }

      if(!found)
      {
        if(diff > 0)
        {
          MessageBox.Show("    ", " ", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);          	
        }
        else
        {
          ListViewItem item = new ListViewItem(LVKEOSell.SelectedItems[0].Text.Trim());
          item.SubItems.Add((diff * -1).ToString());
          LVLocalStore.Items.Add(item);        
        }
      }     
   
      if(UDSellNumber.Value.ToString().Trim() == "0")
      {
        LVKEOSell.SelectedItems[0].Remove();
      }
      else
      {
        LVKEOSell.SelectedItems[0].SubItems[1].Text = UDSellNumber.Value.ToString().Trim();
      }

      UDSellNumber.Visible = false;

      return 0;
    }

    private void BTKEOMainSave_Click(object sender, System.EventArgs e)
    {
      int invoice = 0;
      sqlCommand.Parameters.Clear();
      sqlCommand.CommandText = "csh_UpdateStores";
      sqlCommand.Parameters.Add("@store", SqlDbType.Int, 4).Value = 
        System.Convert.ToInt32(CBStores.Text.Trim());
      sqlCommand.Parameters.Add("@cashier_num", SqlDbType.Int, 4).Value = nCashierNum;
      sqlCommand.Parameters.Add("@price", SqlDbType.Money, 8).Value = 0;
      sqlCommand.Parameters.Add("@count", SqlDbType.Int, 4).Value = 0;
      sqlCommand.Parameters.Add("@invoice", SqlDbType.Int, 4).Value = 0;
      sqlCommand.Parameters["@invoice"].Direction = ParameterDirection.InputOutput;
      try
      {
        sqlCommand.ExecuteNonQuery();
        invoice = (int)sqlCommand.Parameters["@invoice"].Value;

        foreach(ListViewItem item in LVCashierStore.Items)
        {
          sqlCommand.Parameters["@invoice"].Value = invoice;
          sqlCommand.Parameters["@price"].Value = Convert.ToDecimal(item.Text.Trim());
          sqlCommand.Parameters["@count"].Value = Convert.ToInt32(item.SubItems[1].Text.Trim());
          sqlCommand.ExecuteNonQuery();
        }

        if(delArray.Count > 0)
        {
          foreach(arrVal val in delArray)
          {
            sqlCommand.Parameters["@invoice"].Value = invoice;
            sqlCommand.Parameters["@price"].Value = val.price;
            sqlCommand.Parameters["@count"].Value = val.count;
            sqlCommand.ExecuteNonQuery();
          }
        }
        delArray.Clear();
        sqlCommand.Parameters.Clear();
        
      }
      
      catch(SqlException ex)
      {
        delArray.Clear();
        sqlCommand.Parameters.Clear();
        MessageBox.Show(ex.Message, "   ", MessageBoxButtons.OK, MessageBoxIcon.Question);
        return;
      }

    }


    private void CBStoreLocation_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      CBStores.SelectedIndex = CBStoreLocation.SelectedIndex;
    }

    private void BTKEOSell_Click(object sender, System.EventArgs e)
    {
      //TODO:   !!!   
	decimal change = System.Convert.ToDecimal(TBKEOAmount.Text) - System.Convert.ToDecimal(TBKEOSum.Text);
		if(change < 0)
		{
			MessageBox.Show("    !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

			//MessageBox.Show("    !");
			return;
		}
		if(System.Convert.ToDecimal(TBKEOSum.Text)==0)
		{
			MessageBox.Show("  ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

			//MessageBox.Show("    !");
			return;
		}
	//	if(a==null)
	//		a = new KassaProxy(nAct);
	// this.strCMSerial=a.cont.SerialNumber;//   c  
	 decimal sumb=System.Convert.ToDecimal(TBKEOSum.Text);

    int  nChequeNumber;

	if(CBPos.Checked) 
		{	
			string namepay="    "+ CBCardType.Text.Substring(1, 4);
			nChequeNumber = a.printCardCheck(namepay ,sumb,1,1)-1;
		}
    else
	        nChequeNumber = a.printCashCheck("  ",sumb,sumb,1,1)+1;
		if(nChequeNumber > 0) 
		{
   
			strChequeSerial = Convert.ToString(nChequeNumber);
			sqlCommand.Parameters.Clear();
			sqlCommand.CommandType = CommandType.StoredProcedure;
			sqlCommand.CommandText = "csh_InsKEOCheque";

			sqlCommand.Parameters.Add("@session_id", SqlDbType.BigInt).Value = this.lSessionID;
			sqlCommand.Parameters.Add("@cashier_num", SqlDbType.Int).Value = this.nCashierNum;
			sqlCommand.Parameters.Add("@cm_serial", SqlDbType.VarChar, 30).Value = this.strCMSerial;
			sqlCommand.Parameters.Add("@ch_serial", SqlDbType.VarChar, 30).Value = this.strChequeSerial;
			sqlCommand.Parameters.Add("@store_num", SqlDbType.Int,4).Value =this.nStoreNum; 		
			sqlCommand.Parameters.Add("@cardType", SqlDbType.TinyInt);
			sqlCommand.Parameters.Add("@amount", SqlDbType.Money).Value = Convert.ToDecimal(TBKEOSum.Text.Trim());
			sqlCommand.Parameters.Add("@pay_date", SqlDbType.DateTime);
			sqlCommand.Parameters["@pay_date"].Direction = ParameterDirection.Output;

			if(CBKEOPos.Checked)
			{
				sqlCommand.Parameters["@cardType"].Value = 
					Convert.ToByte(CBKEOCardType.Text.Substring(CBKEOCardType.Text.Length-3, 3));
			}
			else
			{
				sqlCommand.Parameters["@cardType"].Value = 0;
			}

			try
			{
				sqlCommand.ExecuteNonQuery();
			}
			catch(SqlException ex)
			{
				MessageBox.Show(ex.Message);
				return;
			}

			DateTime dt = new DateTime();
			dt = Convert.ToDateTime(sqlCommand.Parameters["@pay_date"].Value);
    /*
			sqlCommand.Parameters.Clear();
			sqlCommand.CommandText = "csh_KEOSell";
			sqlCommand.Parameters.Add("@session_id", SqlDbType.Int,4).Value = lSessionID;
			sqlCommand.Parameters.Add("@cashier_num", SqlDbType.Int,4).Value = this.nCashierNum;
			sqlCommand.Parameters.Add("@invoice", SqlDbType.Int,4).Value = 0;
			sqlCommand.Parameters.Add("@count", SqlDbType.Int,4).Value = 0;
			sqlCommand.Parameters.Add("@cur_id", SqlDbType.TinyInt,1).Value = 0;
			sqlCommand.Parameters.Add("@store_num", SqlDbType.Int,4).Value =this.nStoreNum; 		

			sqlCommand.Parameters.Add("@price", SqlDbType.Money,8).Value=0;
			sqlCommand.Parameters.Add("@start", SqlDbType.Char,16).Value="";
			sqlCommand.Parameters.Add("@end", SqlDbType.Char,16).Value="";
  



			// sqlCommand.Parameters.Add("@cur_id", SqlDbType.TinyInt).Value = nCurID;
			//  sqlCommand.Parameters.Add("@price", SqlDbType.Money, 8).Value = 0;
			//  sqlCommand.Parameters.Add("@start", SqlDbType.Int, 4).Value = 0;
			//  sqlCommand.Parameters.Add("@end", SqlDbType.Int, 4).Value = 0;
			//		sqlCommand.Parameters.Add("@cheque_serial", SqlDbType.VarChar, 50).Value = System.Convert.ToInt32(nStoreNum);

			try
			{
				foreach(ListViewItem item in LVKEOSell.Items)
				{
					sqlCommand.Parameters["@price"].Value = System.Convert.ToDecimal(item.SubItems[0].Text.Trim());
					sqlCommand.Parameters["@count"].Value = System.Convert.ToDecimal(item.SubItems[1].Text.Trim());
					sqlCommand.Parameters["@start"].Value = item.SubItems[2].Text.Trim();
					sqlCommand.Parameters["@end"].Value = item.SubItems[3].Text.Trim();

					//sqlCommand.Parameters["@start"].Value = System.Convert.ToInt32(item.SubItems[2].Text.Trim());
					// sqlCommand.Parameters["@end"].Value = System.Convert.ToInt32(item.SubItems[3].Text.Trim());
					sqlCommand.ExecuteNonQuery();
				}
			}
			catch(SqlException ex)
			{
				sqlCommand.Parameters.Clear();
				MessageBox.Show(ex.Message);
				return;
			}
			*/
		}
		else
			MessageBox.Show("  !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

			//MessageBox.Show("   ");
			
			//...

			LVKEOSell.Items.Clear();
			TBKEOSum.Text = "0";
			TBKEOAmount.Text = "0";
			TBKEOChange.Text = "0";
			lblUE.Text="";
		 //   
		LVKEOSell.Items.Clear();
		LVLocalStore.Items.Clear();

		sqlCommand.Parameters.Clear();
		sqlCommand.CommandText = "csh_GetKEOStore";
		sqlCommand.Parameters.Add("@store_num", SqlDbType.TinyInt).Value = nStoreNum;
		SqlDataReader reader = sqlCommand.ExecuteReader();
  
		while(reader.Read())
		{
			ListViewItem item = new ListViewItem(reader.GetDecimal(0).ToString());
			item.SubItems.Add(reader.GetInt32(1).ToString());
			LVLocalStore.Items.Add(item);
		} 
		sqlCommand.Parameters.Clear();
		reader.Close();

		if(LVLocalStore.Items.Count > 0)
		{
			LVLocalStore.Items[0].Selected = true;
		}   
    }

    private void menuItem10_Click(object sender, System.EventArgs e)
    {
      Rates rates = new Rates(sqlConnection);
      rates.ShowDialog();
      /*
      
      ListViewItem item = new ListViewItem;
      sqlCommand.Parameters.Clear();
      sqlCommand.Parameters
      item 
      rates.LVRates.
      */
    }

		public void KEOPriceUpdate()
		{
			decimal sum = 0;
			if(LVKEOSell.Items.Count < 1)
			{
				TBKEOSum.Text = "0";
				TBKEOAmount.Text = "0";
				TBKEOChange.Text = "0";

				return;
			}

			foreach(ListViewItem item in LVKEOSell.Items)
			{
				sum += ( System.Convert.ToInt32(item.SubItems[1].Text.Trim())* System.Convert.ToDecimal(item.Text) );
			}
			if((TBKEOAmount.Text == "0") || (TBKEOAmount.Text == TBKEOSum.Text) )
			{
				TBKEOAmount.Text = sum.ToString();
			}
			TBKEOSum.Text = sum.ToString();
			if(TBKEOAmount.Text == "0")
			{
				TBKEOAmount.Text = sum.ToString();
			}
		}

    private void BTRegister_Click_1(object sender, System.EventArgs e)
    {
      int ret;
		//String strBalance= lblBalance.text;
		if(TBSum.Text != "" && strBalance !="")
		{
			decimal change = System.Convert.ToDecimal(TBAmount.Text) - System.Convert.ToDecimal(TBSum.Text);
			if(change < 0)
			{
				MessageBox.Show("    !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

				//MessageBox.Show("    !");
				return;
			}
			/*
			if(chbReturn.Checked)
			{
				decimal dAmount=System.Convert.ToDecimal(TBAmount.Text.Trim());
				decimal dBalance=System.Convert.ToDecimal(strBalance.Trim().Replace(".",","));
				if(dAmount-dBalance >0)
				{
					MessageBox.Show("   !   !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

					//MessageBox.Show("   !   ! ");
					return;
				}
			}
			*/
			ret = RegisterCash(0);
		}
		else
			MessageBox.Show("  !", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

     
      TBPhone.Clear();
      TBAccount.Clear();
      TBContract.Clear();
      TBChange.Clear();
      CBPos.Checked = false;

      ClearForm();
    }

    private void BTClear_Click_2(object sender, System.EventArgs e)
    {
      ClearForm();
    }



		private void TBSum_KeyPress_1(object sender, System.Windows.Forms.KeyPressEventArgs e)
		{
			if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar) &&
				!(e.KeyChar=='.' && TBSum.Text.Length >0 && TBSum.Text.IndexOf('.')==-1 )  )
			{

				MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
				e.Handled = true;
				return;
			}
			if(TBSum.Text.IndexOf('.')>0 && TBSum.Text.IndexOf('.')+3==TBSum.Text.Length)
			{
				e.Handled = true;
				return;		
			}
			if(char.IsControl(e.KeyChar)) 
				return;
			if(e.KeyChar == '\b') 
				return;

			if(e.KeyChar == '\r') 
			{
				BTRegister_Click_1(sender,  null);
			}
			if(e.KeyChar >= '0' && e.KeyChar <= '9' || e.KeyChar=='.')
			{
				if(TBAmount.Text == "" 
					|| TBAmount.Text.Trim() == "0" 
					|| TBAmount.Text == TBSum.Text)
				{
					/*
					if(TBAmount.Text != "")
						if(Convert.ToDecimal(TBAmount.Text.Trim()) > Convert.ToDecimal(TBSum.Text.Trim()))
							return;
					*/

					TBAmount.Text = TBSum.Text.Trim() + e.KeyChar;

				}
				return;
			}
         /*
			else
			{
				//e.KeyChar
				e.Handled = true;
				return;
			}
		 */	
		}

		private void TBSum_KeyUp_1(object sender, System.Windows.Forms.KeyEventArgs e)
		{
			if(TBAmount.Text != "" && TBSum.Text != "")
			{
				decimal diff = Convert.ToDecimal(TBAmount.Text.Trim()) - Convert.ToDecimal(TBSum.Text.Trim());
				//MessageBox.Show(diff.ToString());
				if(diff > 0)
					TBChange.Text = diff.ToString();
				else
					TBChange.Text = "";
			}
		}

    private void menuItem11_Click(object sender, System.EventArgs e)
    {
      FrmCash dlgCash = new FrmCash(sqlConnection,strCMSerial,nCashierNum,lSessionID,a);

      foreach(object item in CBPayType.Items)
      {
        dlgCash.CBTypes.Items.Add(item);
      }
      /*
      string str;
      for(int i=0; i<CBPayType.Items.Count; i++)
      {
        str = (string)CBPayType.Items[i];
        dlgCash.CBTypes.Items.Add(str);

      }
      */
	    //dlgCash.CBTypes.Items = CBPayType.Items;
      dlgCash.ShowDialog();
    }

    private void CBPos_CheckedChanged_1(object sender, System.EventArgs e)
    {
      CBCardType.Enabled = CBPos.Checked;
    }

    private void CBKEOPos_CheckedChanged(object sender, System.EventArgs e)
    {
      CBKEOCardType.Enabled = CBKEOPos.Checked;
    }

    private void CMKEOMove_Popup(object sender, System.EventArgs e)
    {
      //CMKEOMove.
    }

    private void LVMainStore_DoubleClick(object sender, System.EventArgs e)
    {
		if(LVMainStore.SelectedIndices.Count > 0)
		{
			FrmMoveKEO dlg = new FrmMoveKEO(sqlConnection);
			dlg.nStore = nStoreNum;
			dlg.bMove = true;
			dlg.TBPrice.Text = LVMainStore.SelectedItems[0].Text;
			dlg.mPrice = Convert.ToDecimal(LVMainStore.SelectedItems[0].Text);
			if(dlg.ShowDialog() == DialogResult.OK)
			{
				sqlCommand.Parameters.Clear();
				sqlCommand.CommandText = "csh_KEOMove";

				sqlCommand.Parameters.Add("@storeOrig", SqlDbType.Int).Value = this.nStoreNum;
				sqlCommand.Parameters.Add("@storeDest", SqlDbType.Int).Value = Convert.ToInt32(CBStores.Text.Trim());
				sqlCommand.Parameters.Add("@start", SqlDbType.Char, 14).Value = dlg.TBStart.Text.Trim();
				sqlCommand.Parameters.Add("@end", SqlDbType.Char, 14).Value = dlg.TBEnd.Text.Trim();

				try
				{
					sqlCommand.ExecuteNonQuery();
					MsSqlHelper.printReport(100007);
					//TODO:     
				}
				catch(SqlException ex)
				{
					MessageBox.Show(ex.Message);
					return;

				}

				dlg.Dispose();
          
			}
    
		}
		LBKEORefresh2_Click(sender,  e);
    }


    private void TC_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      if(TC.SelectedIndex == 1)    
      {
        //MessageBox.Show(TC.TabIndex.ToString());
		  if(LVKEOSell.Enabled == true)
		  {
			  BTRefreshLocalStore_Click(TC, e);
		  }
      }
      if(TC.SelectedIndex == 2)
      {
		if(nAccessLevel==1)
			LBKEORefresh2_Click(TC, e);
      }
    }

  	private void TBPhone_TextChanged(object sender, System.EventArgs e)
	  {
	  
	  }

  	private void menuItem13_Click(object sender, System.EventArgs e)
	  {
		//if(a==null)
		//	a = new KassaProxy(nAct);
		if(a.printReport(3)!=0)
			MessageBox.Show("     ");
		//a=null;
	  }

  	private void TBKEOAmount_KeyUp(object sender, System.Windows.Forms.KeyEventArgs e)
	  {
		if((TBKEOSum.Text == "") || (TBKEOAmount.Text == "")) return;
		decimal change = System.Convert.ToDecimal(TBKEOAmount.Text) - System.Convert.ToDecimal(TBKEOSum.Text);
		if(change > 0)
			TBKEOChange.Text = change.ToString();
		else
			TBKEOChange.Text = "";
	  }

  	private void TBAmount_KeyPress_1(object sender, System.Windows.Forms.KeyPressEventArgs e)
	  {
		//if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))  
		//	e.Handled = true; 
		   
		if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar) )
		{

			MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			e.Handled = true;
			return;
		}
		if(e.KeyChar == '\r') 
		{
			TBSum.Focus();
			return;
		}
			 
		if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))  e.Handled = true;

	  }

  	private void TBKEOAmount_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
	  {
		/*   
		if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar) )
		{

			MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
			e.Handled = true;
			return;
		}
		*/
		if(InputError.checkDecimal(e.KeyChar, TBKEOAmount.Text))
			e.Handled = true;
		
	  
	  }

  	public string strBalance;
	/// <summary>
	///  
	/// </summary>
  	public bool nAct;

  	private void BTKEOMove_Click(object sender, System.EventArgs e)
	  {

		if(LVCashierStore.Items.Count > 0)
		{
			
			{
				sqlCommand.Parameters.Clear();
				sqlCommand.CommandText = "csh_KEOMove";

				sqlCommand.Parameters.Add("@storeOrig", SqlDbType.Int).Value = this.nStoreNum;
				sqlCommand.Parameters.Add("@storeDest", SqlDbType.Int).Value = Convert.ToInt32(CBStores.Text.Trim());

				sqlCommand.Parameters.Add("@start", SqlDbType.Char, 14).Value = "";
				sqlCommand.Parameters.Add("@end", SqlDbType.Char, 14).Value = "";
				foreach(ListViewItem item in LVCashierStore.Items)
				{
					try
					{
						sqlCommand.Parameters["@start"].Value = item.SubItems[2].Text.Trim();
						sqlCommand.Parameters["@end"].Value = item.SubItems[3].Text.Trim();

						sqlCommand.ExecuteNonQuery();
						//TODO:     
					}
					catch(SqlException ex)
					{
						MessageBox.Show(ex.Message);
					}
				}
          
          
			 }
			LVCashierStore.Items.Clear();
		}
	  
	  }

  	private void LVMainStore_SelectedIndexChanged(object sender, System.EventArgs e)
	  {
	  
	  }

  	private void TBUESum_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
	  {
		if(InputError.checkDecimal(e.KeyChar, TBAmount.Text))
			e.Handled = true;
			
		
	  }

  	private void TBUESum_KeyUp(object sender, System.Windows.Forms.KeyEventArgs e)
	  {
		if(TBUESum.Text.Length > 0)
		{
			decimal amount = System.Convert.ToDecimal(TBUESum.Text)*dRate;
		
			TBSum.Text = amount.ToString();
			TBAmount.Text = amount.ToString();
		}
	  }

  	private void TBAmount_KeyUp(object sender, System.Windows.Forms.KeyEventArgs e)
	  {
		if((TBSum.Text == "") || (TBAmount.Text == "")) return;
		/*
		if(!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))
		{
			e.Handled = true;
			return;
		}
		*/
		//if(!(TBSum.Text.IndexOf('.') > 0 && TBSum.Text.IndexOf('.')+1 ==TBSum.Text.Length))
		{
			decimal change = System.Convert.ToDecimal(TBAmount.Text) - System.Convert.ToDecimal(TBSum.Text);
			if(change > 0)
				TBChange.Text = change.ToString();
			else
				TBChange.Text = "";
		} 
	  }

  	public int getCurrentCash()
	  {
		sqlCommand.CommandText = "csh_GetCash";
		sqlCommand.Parameters.Clear();
		sqlCommand.Parameters.Add("@cm_serial", SqlDbType.VarChar, 30).Value = this.strCMSerial;
		sqlCommand.Parameters.Add("@amountN", SqlDbType.Money);
		sqlCommand.Parameters.Add("@amountBN", SqlDbType.Money);
		sqlCommand.Parameters["@amountN"].Direction = ParameterDirection.Output;
		sqlCommand.Parameters["@amountBN"].Direction = ParameterDirection.Output;



		try
		{
			sqlCommand.ExecuteNonQuery();
		}
		catch(SqlException ex)
		{
			MessageBox.Show(ex.Message);
			return -1;
		}
		decimal dSum=Convert.ToDecimal(sqlCommand.Parameters["@amountN"].Value);
        if(dSum != 0)
			return -1;
	  	return 0;
	  }

  	private void menuItem5_Click_1(object sender, System.EventArgs e)
	  {
		string message=""; 
		if(a.showState() >= 0)
		{

			switch	(a.cont.Mode)
			{
				case 1:
					message=" ";
					break;
				case 2:
					message=" , 24   ";
					break;
				case 3:
					message=" , 24   ";
					break;
				case 4:
					message=" ";
					break;
				case 5:
					message="     ";
					break;
				case 6:
					message="    ";
					break;
				case 7:
					message="    ";
					break;
				case 8:
					message=" ";
					break;
				case 9:
					message="   ";
					break;
				case 10:
					message=" ";
					break;
				case 11:
					message="   ";
					break;
				case 12:
					message="   ";
					break;
				
			
			}
			
			MessageBox.Show("  : " + a.cont.Mode +" " + message.ToString() );
		
		}
		else
		{	
			MessageBox.Show("  : " + a.cont.ECRError +" " + a.cont.ECRErrorDescription );
		}
					   
					   
	  }

  	private void menuItem6_Click(object sender, System.EventArgs e)
	  {
		if(a.cancelCheck()>=0) {
			if(a.cont.Mode!=8)
				MessageBox.Show("   " );

			}
				else
			MessageBox.Show("  : " + a.cont.ECRError +" " + a.cont.ECRErrorDescription );



	  
			}

  	private void menuItem10_Click_1(object sender, System.EventArgs e)
	  {
		if(a.RepeatCheck()>=0) 
		{
	
		}
		else
			MessageBox.Show("  : " + a.cont.ECRError +" " + a.cont.ECRErrorDescription );

	  }

  	private void menuItem13_Click_1(object sender, System.EventArgs e)
	  {
		if(File.Exists(this.strNameFile))
		 this.RegisterCash(1);
		else
			MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Error);

	  }

  	private void menuItem14_Click(object sender, System.EventArgs e)
	  {
	    
		if(a.ourUse==0)
			a.ldOtherNumberSet();
		settings.nMainFormX = this.Location.X;
		settings.nMainFormY = this.Location.Y;
		settings.nMainFormH = this.Height;
		settings.nMainFormW = this.Width;

		settings.Save();
		this.Close();
	  }

















  }
	public class LastCheque
	{

		public string ac_id;
		public int cheque_number;
		public decimal amount;
		public decimal charge;
		//  public string strName;
		


		public void Save()
		{
			using(FileStream fs = 
					  new FileStream("LastCheque.xml",FileMode.Create))
			{
				System.Xml.Serialization.XmlSerializer xs = 
					new System.Xml.Serialization.XmlSerializer(typeof(LastCheque));
				xs.Serialize(fs, this);
			}
		}
	}
}

